/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.35.0-dev.20220810(dced70bbf36d3c53c08e791da1791ac7fc42519b)
 * Released under the MIT license
 * https://github.com/microsoft/vscode/blob/main/LICENSE.txt
 *-----------------------------------------------------------*/(function(){var X=["require","exports","vs/editor/common/core/range","vs/editor/common/core/position","vs/base/common/strings","vs/base/common/platform","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/objects","vs/editor/common/diff/algorithms/diffAlgorithm","vs/base/common/uri","vs/base/common/errors","vs/base/common/iterator","vs/base/common/linkedList","vs/base/common/diff/diff","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/diff/linesDiffComputer","vs/base/common/stopwatch","vs/nls","vs/base/common/arrays","vs/base/common/assert","vs/base/common/cache","vs/base/common/codicons","vs/base/common/diff/diffChange","vs/base/common/functional","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/hash","vs/base/common/types","vs/editor/common/core/selection","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/diff/algorithms/myersDiffAlgorithm","vs/editor/common/diff/algorithms/utils","vs/editor/common/diff/algorithms/dynamicProgrammingDiffing","vs/editor/common/diff/smartLinesDiffComputer","vs/editor/common/diff/standardLinesDiffComputer","vs/editor/common/diff/linesDiffComputers","vs/editor/common/languages/linkComputer","vs/editor/common/languages/supports/inplaceReplaceSupport","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/unicodeTextModelHighlighter","vs/editor/common/standalone/standaloneEnums","vs/nls!vs/base/common/platform","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/editor/common/tokenizationRegistry","vs/editor/common/languages","vs/editor/common/services/editorBaseApi","vs/nls!vs/base/common/worker/simpleWorker","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],Z=function(F){for(var r=[],N=0,e=F.length;N<e;N++)r[N]=X[F[N]];return r},Ne=this,Ee=typeof global=="object"?global:{},ie;(function(F){F.global=Ne;var r=function(){function N(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1,this._isElectronNodeIntegrationWebWorker=!1}return Object.defineProperty(N.prototype,"isWindows",{get:function(){return this._detect(),this._isWindows},enumerable:!1,configurable:!0}),Object.defineProperty(N.prototype,"isNode",{get:function(){return this._detect(),this._isNode},enumerable:!1,configurable:!0}),Object.defineProperty(N.prototype,"isElectronRenderer",{get:function(){return this._detect(),this._isElectronRenderer},enumerable:!1,configurable:!0}),Object.defineProperty(N.prototype,"isWebWorker",{get:function(){return this._detect(),this._isWebWorker},enumerable:!1,configurable:!0}),Object.defineProperty(N.prototype,"isElectronNodeIntegrationWebWorker",{get:function(){return this._detect(),this._isElectronNodeIntegrationWebWorker},enumerable:!1,configurable:!0}),N.prototype._detect=function(){this._detected||(this._detected=!0,this._isWindows=N._isWindows(),this._isNode=typeof module!="undefined"&&!!module.exports,this._isElectronRenderer=typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="renderer",this._isWebWorker=typeof F.global.importScripts=="function",this._isElectronNodeIntegrationWebWorker=this._isWebWorker&&typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="worker")},N._isWindows=function(){return typeof navigator!="undefined"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process!="undefined"?process.platform==="win32":!1},N}();F.Environment=r})(ie||(ie={}));var ie;(function(F){var r=function(){function A(c,p,C){this.type=c,this.detail=p,this.timestamp=C}return A}();F.LoaderEvent=r;var N=function(){function A(c){this._events=[new r(1,"",c)]}return A.prototype.record=function(c,p){this._events.push(new r(c,p,F.Utilities.getHighPerformanceTimestamp()))},A.prototype.getEvents=function(){return this._events},A}();F.LoaderEventRecorder=N;var e=function(){function A(){}return A.prototype.record=function(c,p){},A.prototype.getEvents=function(){return[]},A.INSTANCE=new A,A}();F.NullLoaderEventRecorder=e})(ie||(ie={}));var ie;(function(F){var r=function(){function N(){}return N.fileUriToFilePath=function(e,A){if(A=decodeURI(A).replace(/%23/g,"#"),e){if(/^file:\/\/\//.test(A))return A.substr(8);if(/^file:\/\//.test(A))return A.substr(5)}else if(/^file:\/\//.test(A))return A.substr(7);return A},N.startsWith=function(e,A){return e.length>=A.length&&e.substr(0,A.length)===A},N.endsWith=function(e,A){return e.length>=A.length&&e.substr(e.length-A.length)===A},N.containsQueryString=function(e){return/^[^\#]*\?/gi.test(e)},N.isAbsolutePath=function(e){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(e)},N.forEachProperty=function(e,A){if(e){var c=void 0;for(c in e)e.hasOwnProperty(c)&&A(c,e[c])}},N.isEmpty=function(e){var A=!0;return N.forEachProperty(e,function(){A=!1}),A},N.recursiveClone=function(e){if(!e||typeof e!="object"||e instanceof RegExp||!Array.isArray(e)&&Object.getPrototypeOf(e)!==Object.prototype)return e;var A=Array.isArray(e)?[]:{};return N.forEachProperty(e,function(c,p){p&&typeof p=="object"?A[c]=N.recursiveClone(p):A[c]=p}),A},N.generateAnonymousModule=function(){return"===anonymous"+N.NEXT_ANONYMOUS_ID+++"==="},N.isAnonymousModule=function(e){return N.startsWith(e,"===anonymous")},N.getHighPerformanceTimestamp=function(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=F.global.performance&&typeof F.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?F.global.performance.now():Date.now()},N.NEXT_ANONYMOUS_ID=1,N.PERFORMANCE_NOW_PROBED=!1,N.HAS_PERFORMANCE_NOW=!1,N}();F.Utilities=r})(ie||(ie={}));var ie;(function(F){function r(A){if(A instanceof Error)return A;var c=new Error(A.message||String(A)||"Unknown Error");return A.stack&&(c.stack=A.stack),c}F.ensureError=r;var N=function(){function A(){}return A.validateConfigurationOptions=function(c){function p(u){if(u.phase==="loading"){console.error('Loading "'+u.moduleId+'" failed'),console.error(u),console.error("Here are the modules that depend on it:"),console.error(u.neededBy);return}if(u.phase==="factory"){console.error('The factory function of "'+u.moduleId+'" has thrown an exception'),console.error(u),console.error("Here are the modules that depend on it:"),console.error(u.neededBy);return}}if(c=c||{},typeof c.baseUrl!="string"&&(c.baseUrl=""),typeof c.isBuild!="boolean"&&(c.isBuild=!1),typeof c.buildForceInvokeFactory!="object"&&(c.buildForceInvokeFactory={}),typeof c.paths!="object"&&(c.paths={}),typeof c.config!="object"&&(c.config={}),typeof c.catchError=="undefined"&&(c.catchError=!1),typeof c.recordStats=="undefined"&&(c.recordStats=!1),typeof c.urlArgs!="string"&&(c.urlArgs=""),typeof c.onError!="function"&&(c.onError=p),Array.isArray(c.ignoreDuplicateModules)||(c.ignoreDuplicateModules=[]),c.baseUrl.length>0&&(F.Utilities.endsWith(c.baseUrl,"/")||(c.baseUrl+="/")),typeof c.cspNonce!="string"&&(c.cspNonce=""),typeof c.preferScriptTags=="undefined"&&(c.preferScriptTags=!1),Array.isArray(c.nodeModules)||(c.nodeModules=[]),c.nodeCachedData&&typeof c.nodeCachedData=="object"&&(typeof c.nodeCachedData.seed!="string"&&(c.nodeCachedData.seed="seed"),(typeof c.nodeCachedData.writeDelay!="number"||c.nodeCachedData.writeDelay<0)&&(c.nodeCachedData.writeDelay=1e3*7),!c.nodeCachedData.path||typeof c.nodeCachedData.path!="string")){var C=r(new Error("INVALID cached data configuration, 'path' MUST be set"));C.phase="configuration",c.onError(C),c.nodeCachedData=void 0}return c},A.mergeConfigurationOptions=function(c,p){c===void 0&&(c=null),p===void 0&&(p=null);var C=F.Utilities.recursiveClone(p||{});return F.Utilities.forEachProperty(c,function(u,d){u==="ignoreDuplicateModules"&&typeof C.ignoreDuplicateModules!="undefined"?C.ignoreDuplicateModules=C.ignoreDuplicateModules.concat(d):u==="paths"&&typeof C.paths!="undefined"?F.Utilities.forEachProperty(d,function(L,t){return C.paths[L]=t}):u==="config"&&typeof C.config!="undefined"?F.Utilities.forEachProperty(d,function(L,t){return C.config[L]=t}):C[u]=F.Utilities.recursiveClone(d)}),A.validateConfigurationOptions(C)},A}();F.ConfigurationOptionsUtil=N;var e=function(){function A(c,p){if(this._env=c,this.options=N.mergeConfigurationOptions(p),this._createIgnoreDuplicateModulesMap(),this._createNodeModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""){if(this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){var C=this.options.nodeRequire.main.filename,u=Math.max(C.lastIndexOf("/"),C.lastIndexOf("\\"));this.options.baseUrl=C.substring(0,u+1)}if(this.options.nodeMain&&this._env.isNode){var C=this.options.nodeMain,u=Math.max(C.lastIndexOf("/"),C.lastIndexOf("\\"));this.options.baseUrl=C.substring(0,u+1)}}}return A.prototype._createIgnoreDuplicateModulesMap=function(){this.ignoreDuplicateModulesMap={};for(var c=0;c<this.options.ignoreDuplicateModules.length;c++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[c]]=!0},A.prototype._createNodeModulesMap=function(){this.nodeModulesMap=Object.create(null);for(var c=0,p=this.options.nodeModules;c<p.length;c++){var C=p[c];this.nodeModulesMap[C]=!0}},A.prototype._createSortedPathsRules=function(){var c=this;this.sortedPathsRules=[],F.Utilities.forEachProperty(this.options.paths,function(p,C){Array.isArray(C)?c.sortedPathsRules.push({from:p,to:C}):c.sortedPathsRules.push({from:p,to:[C]})}),this.sortedPathsRules.sort(function(p,C){return C.from.length-p.from.length})},A.prototype.cloneAndMerge=function(c){return new A(this._env,N.mergeConfigurationOptions(c,this.options))},A.prototype.getOptionsLiteral=function(){return this.options},A.prototype._applyPaths=function(c){for(var p,C=0,u=this.sortedPathsRules.length;C<u;C++)if(p=this.sortedPathsRules[C],F.Utilities.startsWith(c,p.from)){for(var d=[],L=0,t=p.to.length;L<t;L++)d.push(p.to[L]+c.substr(p.from.length));return d}return[c]},A.prototype._addUrlArgsToUrl=function(c){return F.Utilities.containsQueryString(c)?c+"&"+this.options.urlArgs:c+"?"+this.options.urlArgs},A.prototype._addUrlArgsIfNecessaryToUrl=function(c){return this.options.urlArgs?this._addUrlArgsToUrl(c):c},A.prototype._addUrlArgsIfNecessaryToUrls=function(c){if(this.options.urlArgs)for(var p=0,C=c.length;p<C;p++)c[p]=this._addUrlArgsToUrl(c[p]);return c},A.prototype.moduleIdToPaths=function(c){if(this._env.isNode){var p=this.nodeModulesMap[c]===!0||this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(c);if(p)return this.isBuild()?["empty:"]:["node|"+c]}var C=c,u;if(!F.Utilities.endsWith(C,".js")&&!F.Utilities.isAbsolutePath(C)){u=this._applyPaths(C);for(var d=0,L=u.length;d<L;d++)this.isBuild()&&u[d]==="empty:"||(F.Utilities.isAbsolutePath(u[d])||(u[d]=this.options.baseUrl+u[d]),!F.Utilities.endsWith(u[d],".js")&&!F.Utilities.containsQueryString(u[d])&&(u[d]=u[d]+".js"))}else!F.Utilities.endsWith(C,".js")&&!F.Utilities.containsQueryString(C)&&(C=C+".js"),u=[C];return this._addUrlArgsIfNecessaryToUrls(u)},A.prototype.requireToUrl=function(c){var p=c;return F.Utilities.isAbsolutePath(p)||(p=this._applyPaths(p)[0],F.Utilities.isAbsolutePath(p)||(p=this.options.baseUrl+p)),this._addUrlArgsIfNecessaryToUrl(p)},A.prototype.isBuild=function(){return this.options.isBuild},A.prototype.shouldInvokeFactory=function(c){return this.options.isBuild?this.options.buildForceInvokeFactory[c]||F.Utilities.isAnonymousModule(c):!0},A.prototype.isDuplicateMessageIgnoredFor=function(c){return this.ignoreDuplicateModulesMap.hasOwnProperty(c)},A.prototype.getConfigForModule=function(c){if(this.options.config)return this.options.config[c]},A.prototype.shouldCatchError=function(){return this.options.catchError},A.prototype.shouldRecordStats=function(){return this.options.recordStats},A.prototype.onError=function(c){this.options.onError(c)},A}();F.Configuration=e})(ie||(ie={}));var ie;(function(F){var r=function(){function u(d){this._env=d,this._scriptLoader=null,this._callbackMap={}}return u.prototype.load=function(d,L,t,b){var l=this;if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new A;else if(this._env.isElectronRenderer){var m=d.getConfig().getOptionsLiteral().preferScriptTags;m?this._scriptLoader=new N:this._scriptLoader=new c(this._env)}else this._env.isNode?this._scriptLoader=new c(this._env):this._scriptLoader=new N;var v={callback:t,errorback:b};if(this._callbackMap.hasOwnProperty(L)){this._callbackMap[L].push(v);return}this._callbackMap[L]=[v],this._scriptLoader.load(d,L,function(){return l.triggerCallback(L)},function(y){return l.triggerErrorback(L,y)})},u.prototype.triggerCallback=function(d){var L=this._callbackMap[d];delete this._callbackMap[d];for(var t=0;t<L.length;t++)L[t].callback()},u.prototype.triggerErrorback=function(d,L){var t=this._callbackMap[d];delete this._callbackMap[d];for(var b=0;b<t.length;b++)t[b].errorback(L)},u}(),N=function(){function u(){}return u.prototype.attachListeners=function(d,L,t){var b=function(){d.removeEventListener("load",l),d.removeEventListener("error",m)},l=function(v){b(),L()},m=function(v){b(),t(v)};d.addEventListener("load",l),d.addEventListener("error",m)},u.prototype.load=function(d,L,t,b){if(/^node\|/.test(L)){var l=d.getConfig().getOptionsLiteral(),m=p(d.getRecorder(),l.nodeRequire||F.global.nodeRequire),v=L.split("|"),y=null;try{y=m(v[1])}catch(s){b(s);return}d.enqueueDefineAnonymousModule([],function(){return y}),t()}else{var S=document.createElement("script");S.setAttribute("async","async"),S.setAttribute("type","text/javascript"),this.attachListeners(S,t,b);var g=d.getConfig().getOptionsLiteral().trustedTypesPolicy;g&&(L=g.createScriptURL(L)),S.setAttribute("src",L);var i=d.getConfig().getOptionsLiteral().cspNonce;i&&S.setAttribute("nonce",i),document.getElementsByTagName("head")[0].appendChild(S)}},u}();function e(u){var d=u.getConfig().getOptionsLiteral().trustedTypesPolicy;try{var L=d?self.eval(d.createScript("","true")):new Function("true");return L.call(self),!0}catch{return!1}}var A=function(){function u(){this._cachedCanUseEval=null}return u.prototype._canUseEval=function(d){return this._cachedCanUseEval===null&&(this._cachedCanUseEval=e(d)),this._cachedCanUseEval},u.prototype.load=function(d,L,t,b){if(/^node\|/.test(L)){var l=d.getConfig().getOptionsLiteral(),m=p(d.getRecorder(),l.nodeRequire||F.global.nodeRequire),v=L.split("|"),y=null;try{y=m(v[1])}catch(i){b(i);return}d.enqueueDefineAnonymousModule([],function(){return y}),t()}else{var S=d.getConfig().getOptionsLiteral().trustedTypesPolicy,g=/^((http:)|(https:)|(file:))/.test(L)&&L.substring(0,self.origin.length)!==self.origin;if(!g&&this._canUseEval(d)){fetch(L).then(function(i){if(i.status!==200)throw new Error(i.statusText);return i.text()}).then(function(i){i=i+`
//# sourceURL=`+L;var s=S?self.eval(S.createScript("",i)):new Function(i);s.call(self),t()}).then(void 0,b);return}try{S&&(L=S.createScriptURL(L)),importScripts(L),t()}catch(i){b(i)}}},u}(),c=function(){function u(d){this._env=d,this._didInitialize=!1,this._didPatchNodeRequire=!1}return u.prototype._init=function(d){this._didInitialize||(this._didInitialize=!0,this._fs=d("fs"),this._vm=d("vm"),this._path=d("path"),this._crypto=d("crypto"))},u.prototype._initNodeRequire=function(d,L){var t=L.getConfig().getOptionsLiteral().nodeCachedData;if(!t||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;var b=this,l=d("module");function m(v){var y=v.constructor,S=function(i){try{return v.require(i)}finally{}};return S.resolve=function(i,s){return y._resolveFilename(i,v,!1,s)},S.resolve.paths=function(i){return y._resolveLookupPaths(i,v)},S.main=process.mainModule,S.extensions=y._extensions,S.cache=y._cache,S}l.prototype._compile=function(v,y){var S=l.wrap(v.replace(/^#!.*/,"")),g=L.getRecorder(),i=b._getCachedDataPath(t,y),s={filename:y},h;try{var w=b._fs.readFileSync(i);h=w.slice(0,16),s.cachedData=w.slice(16),g.record(60,i)}catch{g.record(61,i)}var o=new b._vm.Script(S,s),a=o.runInThisContext(s),f=b._path.dirname(y),_=m(this),E=[this.exports,_,this,y,f,process,Ee,Buffer],M=a.apply(this.exports,E);return b._handleCachedData(o,S,i,!s.cachedData,L),b._verifyCachedData(o,S,i,h,L),M}},u.prototype.load=function(d,L,t,b){var l=this,m=d.getConfig().getOptionsLiteral(),v=p(d.getRecorder(),m.nodeRequire||F.global.nodeRequire),y=m.nodeInstrumenter||function(a){return a};this._init(v),this._initNodeRequire(v,d);var S=d.getRecorder();if(/^node\|/.test(L)){var g=L.split("|"),i=null;try{i=v(g[1])}catch(a){b(a);return}d.enqueueDefineAnonymousModule([],function(){return i}),t()}else{L=F.Utilities.fileUriToFilePath(this._env.isWindows,L);var s=this._path.normalize(L),h=this._getElectronRendererScriptPathOrUri(s),w=Boolean(m.nodeCachedData),o=w?this._getCachedDataPath(m.nodeCachedData,L):void 0;this._readSourceAndCachedData(s,o,S,function(a,f,_,E){if(a){b(a);return}var M;f.charCodeAt(0)===u._BOM?M=u._PREFIX+f.substring(1)+u._SUFFIX:M=u._PREFIX+f+u._SUFFIX,M=y(M,s);var P={filename:h,cachedData:_},D=l._createAndEvalScript(d,M,P,t,b);l._handleCachedData(D,M,o,w&&!_,d),l._verifyCachedData(D,M,o,E,d)})}},u.prototype._createAndEvalScript=function(d,L,t,b,l){var m=d.getRecorder();m.record(31,t.filename);var v=new this._vm.Script(L,t),y=v.runInThisContext(t),S=d.getGlobalAMDDefineFunc(),g=!1,i=function(){return g=!0,S.apply(null,arguments)};return i.amd=S.amd,y.call(F.global,d.getGlobalAMDRequireFunc(),i,t.filename,this._path.dirname(t.filename)),m.record(32,t.filename),g?b():l(new Error("Didn't receive define call in "+t.filename+"!")),v},u.prototype._getElectronRendererScriptPathOrUri=function(d){if(!this._env.isElectronRenderer)return d;var L=d.match(/^([a-z])\:(.*)/i);return L?"file:///"+(L[1].toUpperCase()+":"+L[2]).replace(/\\/g,"/"):"file://"+d},u.prototype._getCachedDataPath=function(d,L){var t=this._crypto.createHash("md5").update(L,"utf8").update(d.seed,"utf8").update(process.arch,"").digest("hex"),b=this._path.basename(L).replace(/\.js$/,"");return this._path.join(d.path,b+"-"+t+".code")},u.prototype._handleCachedData=function(d,L,t,b,l){var m=this;d.cachedDataRejected?this._fs.unlink(t,function(v){l.getRecorder().record(62,t),m._createAndWriteCachedData(d,L,t,l),v&&l.getConfig().onError(v)}):b&&this._createAndWriteCachedData(d,L,t,l)},u.prototype._createAndWriteCachedData=function(d,L,t,b){var l=this,m=Math.ceil(b.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),v=-1,y=0,S=void 0,g=function(){setTimeout(function(){S||(S=l._crypto.createHash("md5").update(L,"utf8").digest());var i=d.createCachedData();if(!(i.length===0||i.length===v||y>=5)){if(i.length<v){g();return}v=i.length,l._fs.writeFile(t,Buffer.concat([S,i]),function(s){s&&b.getConfig().onError(s),b.getRecorder().record(63,t),g()})}},m*Math.pow(4,y++))};g()},u.prototype._readSourceAndCachedData=function(d,L,t,b){if(!L)this._fs.readFile(d,{encoding:"utf8"},b);else{var l=void 0,m=void 0,v=void 0,y=2,S=function(g){g?b(g):--y==0&&b(void 0,l,m,v)};this._fs.readFile(d,{encoding:"utf8"},function(g,i){l=i,S(g)}),this._fs.readFile(L,function(g,i){!g&&i&&i.length>0?(v=i.slice(0,16),m=i.slice(16),t.record(60,L)):t.record(61,L),S()})}},u.prototype._verifyCachedData=function(d,L,t,b,l){var m=this;!b||d.cachedDataRejected||setTimeout(function(){var v=m._crypto.createHash("md5").update(L,"utf8").digest();b.equals(v)||(l.getConfig().onError(new Error("FAILED TO VERIFY CACHED DATA, deleting stale '"+t+"' now, but a RESTART IS REQUIRED")),m._fs.unlink(t,function(y){y&&l.getConfig().onError(y)}))},Math.ceil(5e3*(1+Math.random())))},u._BOM=65279,u._PREFIX="(function (require, define, __filename, __dirname) { ",u._SUFFIX=`
});`,u}();function p(u,d){if(d.__$__isRecorded)return d;var L=function(b){u.record(33,b);try{return d(b)}finally{u.record(34,b)}};return L.__$__isRecorded=!0,L}F.ensureRecordedNodeRequire=p;function C(u){return new r(u)}F.createScriptLoader=C})(ie||(ie={}));var ie;(function(F){var r=function(){function C(u){var d=u.lastIndexOf("/");d!==-1?this.fromModulePath=u.substr(0,d+1):this.fromModulePath=""}return C._normalizeModuleId=function(u){var d=u,L;for(L=/\/\.\//;L.test(d);)d=d.replace(L,"/");for(d=d.replace(/^\.\//g,""),L=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;L.test(d);)d=d.replace(L,"/");return d=d.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),d},C.prototype.resolveModule=function(u){var d=u;return F.Utilities.isAbsolutePath(d)||(F.Utilities.startsWith(d,"./")||F.Utilities.startsWith(d,"../"))&&(d=C._normalizeModuleId(this.fromModulePath+d)),d},C.ROOT=new C(""),C}();F.ModuleIdResolver=r;var N=function(){function C(u,d,L,t,b,l){this.id=u,this.strId=d,this.dependencies=L,this._callback=t,this._errorback=b,this.moduleIdResolver=l,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}return C._safeInvokeFunction=function(u,d){try{return{returnedValue:u.apply(F.global,d),producedError:null}}catch(L){return{returnedValue:null,producedError:L}}},C._invokeFactory=function(u,d,L,t){return u.shouldInvokeFactory(d)?u.shouldCatchError()?this._safeInvokeFunction(L,t):{returnedValue:L.apply(F.global,t),producedError:null}:{returnedValue:null,producedError:null}},C.prototype.complete=function(u,d,L,t){this._isComplete=!0;var b=null;if(this._callback)if(typeof this._callback=="function"){u.record(21,this.strId);var l=C._invokeFactory(d,this.strId,this._callback,L);b=l.producedError,u.record(22,this.strId),!b&&typeof l.returnedValue!="undefined"&&(!this.exportsPassedIn||F.Utilities.isEmpty(this.exports))&&(this.exports=l.returnedValue)}else this.exports=this._callback;if(b){var m=F.ensureError(b);m.phase="factory",m.moduleId=this.strId,m.neededBy=t(this.id),this.error=m,d.onError(m)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null},C.prototype.onDependencyError=function(u){return this._isComplete=!0,this.error=u,this._errorback?(this._errorback(u),!0):!1},C.prototype.isComplete=function(){return this._isComplete},C}();F.Module=N;var e=function(){function C(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}return C.prototype.getMaxModuleId=function(){return this._nextId},C.prototype.getModuleId=function(u){var d=this._strModuleIdToIntModuleId.get(u);return typeof d=="undefined"&&(d=this._nextId++,this._strModuleIdToIntModuleId.set(u,d),this._intModuleIdToStrModuleId[d]=u),d},C.prototype.getStrModuleId=function(u){return this._intModuleIdToStrModuleId[u]},C}(),A=function(){function C(u){this.id=u}return C.EXPORTS=new C(0),C.MODULE=new C(1),C.REQUIRE=new C(2),C}();F.RegularDependency=A;var c=function(){function C(u,d,L){this.id=u,this.pluginId=d,this.pluginParam=L}return C}();F.PluginDependency=c;var p=function(){function C(u,d,L,t,b){b===void 0&&(b=0),this._env=u,this._scriptLoader=d,this._loaderAvailableTimestamp=b,this._defineFunc=L,this._requireFunc=t,this._moduleIdProvider=new e,this._config=new F.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}return C.prototype.reset=function(){return new C(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)},C.prototype.getGlobalAMDDefineFunc=function(){return this._defineFunc},C.prototype.getGlobalAMDRequireFunc=function(){return this._requireFunc},C._findRelevantLocationInStack=function(u,d){for(var L=function(s){return s.replace(/\\/g,"/")},t=L(u),b=d.split(/\n/),l=0;l<b.length;l++){var m=b[l].match(/(.*):(\d+):(\d+)\)?$/);if(m){var v=m[1],y=m[2],S=m[3],g=Math.max(v.lastIndexOf(" ")+1,v.lastIndexOf("(")+1);if(v=v.substr(g),v=L(v),v===t){var i={line:parseInt(y,10),col:parseInt(S,10)};return i.line===1&&(i.col-="(function (require, define, __filename, __dirname) { ".length),i}}}throw new Error("Could not correlate define call site for needle "+u)},C.prototype.getBuildInfo=function(){if(!this._config.isBuild())return null;for(var u=[],d=0,L=0,t=this._modules2.length;L<t;L++){var b=this._modules2[L];if(!!b){var l=this._buildInfoPath[b.id]||null,m=this._buildInfoDefineStack[b.id]||null,v=this._buildInfoDependencies[b.id];u[d++]={id:b.strId,path:l,defineLocation:l&&m?C._findRelevantLocationInStack(l,m):null,dependencies:v,shim:null,exports:b.exports}}}return u},C.prototype.getRecorder=function(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new F.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=F.NullLoaderEventRecorder.INSTANCE),this._recorder},C.prototype.getLoaderEvents=function(){return this.getRecorder().getEvents()},C.prototype.enqueueDefineAnonymousModule=function(u,d){if(this._currentAnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");var L=null;this._config.isBuild()&&(L=new Error("StackLocation").stack||null),this._currentAnonymousDefineCall={stack:L,dependencies:u,callback:d}},C.prototype.defineModule=function(u,d,L,t,b,l){var m=this;l===void 0&&(l=new r(u));var v=this._moduleIdProvider.getModuleId(u);if(this._modules2[v]){this._config.isDuplicateMessageIgnoredFor(u)||console.warn("Duplicate definition of module '"+u+"'");return}var y=new N(v,u,this._normalizeDependencies(d,l),L,t,l);this._modules2[v]=y,this._config.isBuild()&&(this._buildInfoDefineStack[v]=b,this._buildInfoDependencies[v]=(y.dependencies||[]).map(function(S){return m._moduleIdProvider.getStrModuleId(S.id)})),this._resolve(y)},C.prototype._normalizeDependency=function(u,d){if(u==="exports")return A.EXPORTS;if(u==="module")return A.MODULE;if(u==="require")return A.REQUIRE;var L=u.indexOf("!");if(L>=0){var t=d.resolveModule(u.substr(0,L)),b=d.resolveModule(u.substr(L+1)),l=this._moduleIdProvider.getModuleId(t+"!"+b),m=this._moduleIdProvider.getModuleId(t);return new c(l,m,b)}return new A(this._moduleIdProvider.getModuleId(d.resolveModule(u)))},C.prototype._normalizeDependencies=function(u,d){for(var L=[],t=0,b=0,l=u.length;b<l;b++)L[t++]=this._normalizeDependency(u[b],d);return L},C.prototype._relativeRequire=function(u,d,L,t){if(typeof d=="string")return this.synchronousRequire(d,u);this.defineModule(F.Utilities.generateAnonymousModule(),d,L,t,null,u)},C.prototype.synchronousRequire=function(u,d){d===void 0&&(d=new r(u));var L=this._normalizeDependency(u,d),t=this._modules2[L.id];if(!t)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+u+"'. This is the first mention of this module!");if(!t.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+u+"'. This module has not been resolved completely yet.");if(t.error)throw t.error;return t.exports},C.prototype.configure=function(u,d){var L=this._config.shouldRecordStats();d?this._config=new F.Configuration(this._env,u):this._config=this._config.cloneAndMerge(u),this._config.shouldRecordStats()&&!L&&(this._recorder=null)},C.prototype.getConfig=function(){return this._config},C.prototype._onLoad=function(u){if(this._currentAnonymousDefineCall!==null){var d=this._currentAnonymousDefineCall;this._currentAnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(u),d.dependencies,d.callback,null,d.stack)}},C.prototype._createLoadError=function(u,d){var L=this,t=this._moduleIdProvider.getStrModuleId(u),b=(this._inverseDependencies2[u]||[]).map(function(m){return L._moduleIdProvider.getStrModuleId(m)}),l=F.ensureError(d);return l.phase="loading",l.moduleId=t,l.neededBy=b,l},C.prototype._onLoadError=function(u,d){var L=this._createLoadError(u,d);this._modules2[u]||(this._modules2[u]=new N(u,this._moduleIdProvider.getStrModuleId(u),[],function(){},null,null));for(var t=[],b=0,l=this._moduleIdProvider.getMaxModuleId();b<l;b++)t[b]=!1;var m=!1,v=[];for(v.push(u),t[u]=!0;v.length>0;){var y=v.shift(),S=this._modules2[y];S&&(m=S.onDependencyError(L)||m);var g=this._inverseDependencies2[y];if(g)for(var b=0,l=g.length;b<l;b++){var i=g[b];t[i]||(v.push(i),t[i]=!0)}}m||this._config.onError(L)},C.prototype._hasDependencyPath=function(u,d){var L=this._modules2[u];if(!L)return!1;for(var t=[],b=0,l=this._moduleIdProvider.getMaxModuleId();b<l;b++)t[b]=!1;var m=[];for(m.push(L),t[u]=!0;m.length>0;){var v=m.shift(),y=v.dependencies;if(y)for(var b=0,l=y.length;b<l;b++){var S=y[b];if(S.id===d)return!0;var g=this._modules2[S.id];g&&!t[S.id]&&(t[S.id]=!0,m.push(g))}}return!1},C.prototype._findCyclePath=function(u,d,L){if(u===d||L===50)return[u];var t=this._modules2[u];if(!t)return null;var b=t.dependencies;if(b)for(var l=0,m=b.length;l<m;l++){var v=this._findCyclePath(b[l].id,d,L+1);if(v!==null)return v.push(u),v}return null},C.prototype._createRequire=function(u){var d=this,L=function(t,b,l){return d._relativeRequire(u,t,b,l)};return L.toUrl=function(t){return d._config.requireToUrl(u.resolveModule(t))},L.getStats=function(){return d.getLoaderEvents()},L.hasDependencyCycle=function(){return d._hasDependencyCycle},L.config=function(t,b){b===void 0&&(b=!1),d.configure(t,b)},L.__$__nodeRequire=F.global.nodeRequire,L},C.prototype._loadModule=function(u){var d=this;if(!(this._modules2[u]||this._knownModules2[u])){this._knownModules2[u]=!0;var L=this._moduleIdProvider.getStrModuleId(u),t=this._config.moduleIdToPaths(L),b=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(L.indexOf("/")===-1||b.test(L))&&t.push("node|"+L);var l=-1,m=function(v){if(l++,l>=t.length)d._onLoadError(u,v);else{var y=t[l],S=d.getRecorder();if(d._config.isBuild()&&y==="empty:"){d._buildInfoPath[u]=y,d.defineModule(d._moduleIdProvider.getStrModuleId(u),[],null,null,null),d._onLoad(u);return}S.record(10,y),d._scriptLoader.load(d,y,function(){d._config.isBuild()&&(d._buildInfoPath[u]=y),S.record(11,y),d._onLoad(u)},function(g){S.record(12,y),m(g)})}};m(null)}},C.prototype._loadPluginDependency=function(u,d){var L=this;if(!(this._modules2[d.id]||this._knownModules2[d.id])){this._knownModules2[d.id]=!0;var t=function(b){L.defineModule(L._moduleIdProvider.getStrModuleId(d.id),[],b,null,null)};t.error=function(b){L._config.onError(L._createLoadError(d.id,b))},u.load(d.pluginParam,this._createRequire(r.ROOT),t,this._config.getOptionsLiteral())}},C.prototype._resolve=function(u){var d=this,L=u.dependencies;if(L)for(var t=0,b=L.length;t<b;t++){var l=L[t];if(l===A.EXPORTS){u.exportsPassedIn=!0,u.unresolvedDependenciesCount--;continue}if(l===A.MODULE){u.unresolvedDependenciesCount--;continue}if(l===A.REQUIRE){u.unresolvedDependenciesCount--;continue}var m=this._modules2[l.id];if(m&&m.isComplete()){if(m.error){u.onDependencyError(m.error);return}u.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(l.id,u.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(l.id)+"' and '"+this._moduleIdProvider.getStrModuleId(u.id)+"'. The cyclic path follows:");var v=this._findCyclePath(l.id,u.id,0)||[];v.reverse(),v.push(l.id),console.warn(v.map(function(g){return d._moduleIdProvider.getStrModuleId(g)}).join(` => 
`)),u.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[l.id]=this._inverseDependencies2[l.id]||[],this._inverseDependencies2[l.id].push(u.id),l instanceof c){var y=this._modules2[l.pluginId];if(y&&y.isComplete()){this._loadPluginDependency(y.exports,l);continue}var S=this._inversePluginDependencies2.get(l.pluginId);S||(S=[],this._inversePluginDependencies2.set(l.pluginId,S)),S.push(l),this._loadModule(l.pluginId);continue}this._loadModule(l.id)}u.unresolvedDependenciesCount===0&&this._onModuleComplete(u)},C.prototype._onModuleComplete=function(u){var d=this,L=this.getRecorder();if(!u.isComplete()){var t=u.dependencies,b=[];if(t)for(var l=0,m=t.length;l<m;l++){var v=t[l];if(v===A.EXPORTS){b[l]=u.exports;continue}if(v===A.MODULE){b[l]={id:u.strId,config:function(){return d._config.getConfigForModule(u.strId)}};continue}if(v===A.REQUIRE){b[l]=this._createRequire(u.moduleIdResolver);continue}var y=this._modules2[v.id];if(y){b[l]=y.exports;continue}b[l]=null}var S=function(w){return(d._inverseDependencies2[w]||[]).map(function(o){return d._moduleIdProvider.getStrModuleId(o)})};u.complete(L,this._config,b,S);var g=this._inverseDependencies2[u.id];if(this._inverseDependencies2[u.id]=null,g)for(var l=0,m=g.length;l<m;l++){var i=g[l],s=this._modules2[i];s.unresolvedDependenciesCount--,s.unresolvedDependenciesCount===0&&this._onModuleComplete(s)}var h=this._inversePluginDependencies2.get(u.id);if(h){this._inversePluginDependencies2.delete(u.id);for(var l=0,m=h.length;l<m;l++)this._loadPluginDependency(u.exports,h[l])}}},C}();F.ModuleManager=p})(ie||(ie={}));var Y,ie;(function(F){var r=new F.Environment,N=null,e=function(C,u,d){typeof C!="string"&&(d=u,u=C,C=null),(typeof u!="object"||!Array.isArray(u))&&(d=u,u=null),u||(u=["require","exports","module"]),C?N.defineModule(C,u,d,null,null):N.enqueueDefineAnonymousModule(u,d)};e.amd={jQuery:!0};var A=function(C,u){u===void 0&&(u=!1),N.configure(C,u)},c=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){A(arguments[0]);return}if(typeof arguments[0]=="string")return N.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){N.defineModule(F.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};c.config=A,c.getConfig=function(){return N.getConfig().getOptionsLiteral()},c.reset=function(){N=N.reset()},c.getBuildInfo=function(){return N.getBuildInfo()},c.getStats=function(){return N.getLoaderEvents()},c.define=e;function p(){if(typeof F.global.require!="undefined"||typeof require!="undefined"){var C=F.global.require||require;if(typeof C=="function"&&typeof C.resolve=="function"){var u=F.ensureRecordedNodeRequire(N.getRecorder(),C);F.global.nodeRequire=u,c.nodeRequire=u,c.__$__nodeRequire=u}}r.isNode&&!r.isElectronRenderer&&!r.isElectronNodeIntegrationWebWorker?(module.exports=c,require=c):(r.isElectronRenderer||(F.global.define=e),F.global.require=c)}F.init=p,(typeof F.global.define!="function"||!F.global.define.amd)&&(N=new F.ModuleManager(r,F.createScriptLoader(r),e,c,F.Utilities.getHighPerformanceTimestamp()),typeof F.global.require!="undefined"&&typeof F.global.require!="function"&&c.config(F.global.require),Y=function(){return e.apply(null,arguments)},Y.amd=e.amd,typeof doNotInitLoader=="undefined"&&p())})(ie||(ie={}));var le=this&&this.__awaiter||function(F,r,N,e){function A(c){return c instanceof N?c:new N(function(p){p(c)})}return new(N||(N=Promise))(function(c,p){function C(L){try{d(e.next(L))}catch(t){p(t)}}function u(L){try{d(e.throw(L))}catch(t){p(t)}}function d(L){L.done?c(L.value):A(L.value).then(C,u)}d((e=e.apply(F,r||[])).next())})};Y(X[20],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.load=r.create=r.setPseudoTranslation=r.getConfiguredDefaultLocale=r.localize=void 0;let N=typeof document!="undefined"&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;const e="i-default";function A(m,v){let y;return v.length===0?y=m:y=m.replace(/\{(\d+)\}/g,(S,g)=>{const i=g[0],s=v[i];let h=S;return typeof s=="string"?h=s:(typeof s=="number"||typeof s=="boolean"||s===void 0||s===null)&&(h=String(s)),h}),N&&(y="\uFF3B"+y.replace(/[aouei]/g,"$&$&")+"\uFF3D"),y}function c(m,v){let y=m[v];return y||(y=m["*"],y)?y:null}function p(m){return m.charAt(m.length-1)==="/"?m:m+"/"}function C(m,v,y){return le(this,void 0,void 0,function*(){const S=p(m)+p(v)+"vscode/"+p(y),g=yield fetch(S);if(g.ok)return yield g.json();throw new Error(`${g.status} - ${g.statusText}`)})}function u(m){return function(v,y){const S=Array.prototype.slice.call(arguments,2);return A(m[v],S)}}function d(m,v,...y){return A(v,y)}r.localize=d;function L(m){}r.getConfiguredDefaultLocale=L;function t(m){N=m}r.setPseudoTranslation=t;function b(m,v){var y;return{localize:u(v[m]),getConfiguredDefaultLocale:(y=v.getConfiguredDefaultLocale)!==null&&y!==void 0?y:S=>{}}}r.create=b;function l(m,v,y,S){var g;const i=(g=S["vs/nls"])!==null&&g!==void 0?g:{};if(!m||m.length===0)return y({localize:d,getConfiguredDefaultLocale:()=>{var a;return(a=i.availableLanguages)===null||a===void 0?void 0:a["*"]}});const s=i.availableLanguages?c(i.availableLanguages,m):null,h=s===null||s===e;let w=".nls";h||(w=w+"."+s);const o=a=>{Array.isArray(a)?a.localize=u(a):a.localize=u(a[m]),a.getConfiguredDefaultLocale=()=>{var f;return(f=i.availableLanguages)===null||f===void 0?void 0:f["*"]},y(a)};typeof i.loadBundle=="function"?i.loadBundle(m,s,(a,f)=>{a?v([m+".nls"],o):o(f)}):i.translationServiceUrl&&!h?(()=>le(this,void 0,void 0,function*(){var a;try{const f=yield C(i.translationServiceUrl,s,m);return o(f)}catch(f){if(!s.includes("-"))return console.error(f),v([m+".nls"],o);try{const _=s.split("-")[0],E=yield C(i.translationServiceUrl,_,m);return(a=i.availableLanguages)!==null&&a!==void 0||(i.availableLanguages={}),i.availableLanguages["*"]=_,o(E)}catch(_){return console.error(_),v([m+".nls"],o)}}}))():v([m+w],o,a=>{if(w===".nls"){console.error("Failed trying to load default language strings",a);return}console.error(`Failed to load message bundle for language ${s}. Falling back to the default language:`,a),v([m+".nls"],o)})}r.load=l}),function(){var F,r;const N=self.MonacoEnvironment,e=N&&N.baseUrl?N.baseUrl:"../../../",A=typeof((F=self.trustedTypes)===null||F===void 0?void 0:F.createPolicy)=="function"?(r=self.trustedTypes)===null||r===void 0?void 0:r.createPolicy("amdLoader",{createScriptURL:t=>t,createScript:(t,...b)=>{const l=b.slice(0,-1).join(","),m=b.pop().toString();return`(function anonymous(${l}) {
${m}
})`}}):void 0;function c(){try{return(A?self.eval(A.createScript("","true")):new Function("true")).call(self),!0}catch{return!1}}function p(){return new Promise((t,b)=>{if(typeof self.define=="function"&&self.define.amd)return t();const l=e+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(l)&&l.substring(0,self.origin.length)!==self.origin)&&c()){fetch(l).then(v=>{if(v.status!==200)throw new Error(v.statusText);return v.text()}).then(v=>{v=`${v}
//# sourceURL=${l}`,(A?self.eval(A.createScript("",v)):new Function(v)).call(self),t()}).then(void 0,b);return}A?importScripts(A.createScriptURL(l)):importScripts(l),t()})}function C(){require.config({baseUrl:e,catchError:!0,trustedTypesPolicy:A,amdModulesPattern:/^vs\//})}function u(t){p().then(()=>{C(),require([t],function(b){setTimeout(function(){const l=b.create((m,v)=>{self.postMessage(m,v)},null);for(self.onmessage=m=>l.onmessage(m.data,m.ports);L.length>0;)self.onmessage(L.shift())},0)})})}typeof self.define=="function"&&self.define.amd&&C();let d=!0;const L=[];self.onmessage=t=>{if(!d){L.push(t);return}d=!1,u(t.data)}}(),Y(X[21],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CallbackIterable=r.ArrayQueue=r.findMinBy=r.findLastMaxBy=r.findMaxBy=r.numberComparator=r.compareBy=r.CompareResult=r.splice=r.insertInto=r.asArray=r.pushMany=r.pushToEnd=r.pushToStart=r.arrayInsert=r.range=r.firstOrDefault=r.lastIndex=r.findLast=r.distinct=r.isNonEmptyArray=r.isFalsyOrEmpty=r.coalesce=r.groupBy=r.quickSelect=r.findFirstInSorted=r.binarySearch2=r.binarySearch=r.removeFastWithoutKeepingOrder=r.equals=r.tail2=r.tail=void 0;function N(I,U=0){return I[I.length-(1+U)]}r.tail=N;function e(I){if(I.length===0)throw new Error("Invalid tail call");return[I.slice(0,I.length-1),I[I.length-1]]}r.tail2=e;function A(I,U,T=(O,$)=>O===$){if(I===U)return!0;if(!I||!U||I.length!==U.length)return!1;for(let O=0,$=I.length;O<$;O++)if(!T(I[O],U[O]))return!1;return!0}r.equals=A;function c(I,U){const T=I.length-1;U<T&&(I[U]=I[T]),I.pop()}r.removeFastWithoutKeepingOrder=c;function p(I,U,T){return C(I.length,O=>T(I[O],U))}r.binarySearch=p;function C(I,U){let T=0,O=I-1;for(;T<=O;){const $=(T+O)/2|0,n=U($);if(n<0)T=$+1;else if(n>0)O=$-1;else return $}return-(T+1)}r.binarySearch2=C;function u(I,U){let T=0,O=I.length;if(O===0)return 0;for(;T<O;){const $=Math.floor((T+O)/2);U(I[$])?O=$:T=$+1}return T}r.findFirstInSorted=u;function d(I,U,T){if(I=I|0,I>=U.length)throw new TypeError("invalid index");const O=U[Math.floor(U.length*Math.random())],$=[],n=[],se=[];for(const ge of U){const _e=T(ge,O);_e<0?$.push(ge):_e>0?n.push(ge):se.push(ge)}return I<$.length?d(I,$,T):I<$.length+se.length?se[0]:d(I-($.length+se.length),n,T)}r.quickSelect=d;function L(I,U){const T=[];let O;for(const $ of I.slice(0).sort(U))!O||U(O[0],$)!==0?(O=[$],T.push(O)):O.push($);return T}r.groupBy=L;function t(I){return I.filter(U=>!!U)}r.coalesce=t;function b(I){return!Array.isArray(I)||I.length===0}r.isFalsyOrEmpty=b;function l(I){return Array.isArray(I)&&I.length>0}r.isNonEmptyArray=l;function m(I,U=T=>T){const T=new Set;return I.filter(O=>{const $=U(O);return T.has($)?!1:(T.add($),!0)})}r.distinct=m;function v(I,U){const T=y(I,U);if(T!==-1)return I[T]}r.findLast=v;function y(I,U){for(let T=I.length-1;T>=0;T--){const O=I[T];if(U(O))return T}return-1}r.lastIndex=y;function S(I,U){return I.length>0?I[0]:U}r.firstOrDefault=S;function g(I,U){let T=typeof U=="number"?I:0;typeof U=="number"?T=I:(T=0,U=I);const O=[];if(T<=U)for(let $=T;$<U;$++)O.push($);else for(let $=T;$>U;$--)O.push($);return O}r.range=g;function i(I,U,T){const O=I.slice(0,U),$=I.slice(U);return O.concat(T,$)}r.arrayInsert=i;function s(I,U){const T=I.indexOf(U);T>-1&&(I.splice(T,1),I.unshift(U))}r.pushToStart=s;function h(I,U){const T=I.indexOf(U);T>-1&&(I.splice(T,1),I.push(U))}r.pushToEnd=h;function w(I,U){for(const T of U)I.push(T)}r.pushMany=w;function o(I){return Array.isArray(I)?I:[I]}r.asArray=o;function a(I,U,T){const O=_(I,U),$=I.length,n=T.length;I.length=$+n;for(let se=$-1;se>=O;se--)I[se+n]=I[se];for(let se=0;se<n;se++)I[se+O]=T[se]}r.insertInto=a;function f(I,U,T,O){const $=_(I,U),n=I.splice($,T);return a(I,$,O),n}r.splice=f;function _(I,U){return U<0?Math.max(U+I.length,0):Math.min(U,I.length)}var E;(function(I){function U($){return $<0}I.isLessThan=U;function T($){return $>0}I.isGreaterThan=T;function O($){return $===0}I.isNeitherLessOrGreaterThan=O,I.greaterThan=1,I.lessThan=-1,I.neitherLessOrGreaterThan=0})(E=r.CompareResult||(r.CompareResult={}));function M(I,U){return(T,O)=>U(I(T),I(O))}r.compareBy=M;const P=(I,U)=>I-U;r.numberComparator=P;function D(I,U){if(I.length===0)return;let T=I[0];for(let O=1;O<I.length;O++){const $=I[O];U($,T)>0&&(T=$)}return T}r.findMaxBy=D;function B(I,U){if(I.length===0)return;let T=I[0];for(let O=1;O<I.length;O++){const $=I[O];U($,T)>=0&&(T=$)}return T}r.findLastMaxBy=B;function V(I,U){return D(I,(T,O)=>-U(T,O))}r.findMinBy=V;class H{constructor(U){this.items=U,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(U){let T=this.firstIdx;for(;T<this.items.length&&U(this.items[T]);)T++;const O=T===this.firstIdx?null:this.items.slice(this.firstIdx,T);return this.firstIdx=T,O}takeFromEndWhile(U){let T=this.lastIdx;for(;T>=0&&U(this.items[T]);)T--;const O=T===this.lastIdx?null:this.items.slice(T+1,this.lastIdx+1);return this.lastIdx=T,O}peek(){if(this.length!==0)return this.items[this.firstIdx]}dequeue(){const U=this.items[this.firstIdx];return this.firstIdx++,U}takeCount(U){const T=this.items.slice(this.firstIdx,this.firstIdx+U);return this.firstIdx+=U,T}}r.ArrayQueue=H;class W{constructor(U){this.iterate=U}toArray(){const U=[];return this.iterate(T=>(U.push(T),!0)),U}filter(U){return new W(T=>this.iterate(O=>U(O)?T(O):!0))}map(U){return new W(T=>this.iterate(O=>T(U(O))))}findLast(U){let T;return this.iterate(O=>(U(O)&&(T=O),!0)),T}findLastMaxBy(U){let T,O=!0;return this.iterate($=>((O||E.isGreaterThan(U($,T)))&&(O=!1,T=$),!0)),T}}r.CallbackIterable=W,W.empty=new W(I=>{})}),Y(X[22],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.assertNever=r.ok=void 0;function N(A,c){if(!A)throw new Error(c?`Assertion failed (${c})`:"Assertion Failed")}r.ok=N;function e(A,c="Unreachable"){throw new Error(c)}r.assertNever=e}),Y(X[23],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CachedFunction=r.LRUCachedFunction=void 0;class N{constructor(c){this.fn=c,this.lastCache=void 0,this.lastArgKey=void 0}get(c){const p=JSON.stringify(c);return this.lastArgKey!==p&&(this.lastArgKey=p,this.lastCache=this.fn(c)),this.lastCache}}r.LRUCachedFunction=N;class e{constructor(c){this.fn=c,this._map=new Map}get cachedValues(){return this._map}get(c){if(this._map.has(c))return this._map.get(c);const p=this.fn(c);return this._map.set(c,p),p}}r.CachedFunction=e}),Y(X[24],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CSSIcon=r.Codicon=r.getCodiconAriaLabel=void 0;function N(c){return c?c.replace(/\$\((.*?)\)/g,(p,C)=>` ${C} `).trim():""}r.getCodiconAriaLabel=N;class e{constructor(p,C,u){this.id=p,this.definition=C,this.description=u,e._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return e._allCodicons}}r.Codicon=e,e._allCodicons=[],e.add=new e("add",{fontCharacter:"\\ea60"}),e.plus=new e("plus",e.add.definition),e.gistNew=new e("gist-new",e.add.definition),e.repoCreate=new e("repo-create",e.add.definition),e.lightbulb=new e("lightbulb",{fontCharacter:"\\ea61"}),e.lightBulb=new e("light-bulb",{fontCharacter:"\\ea61"}),e.repo=new e("repo",{fontCharacter:"\\ea62"}),e.repoDelete=new e("repo-delete",{fontCharacter:"\\ea62"}),e.gistFork=new e("gist-fork",{fontCharacter:"\\ea63"}),e.repoForked=new e("repo-forked",{fontCharacter:"\\ea63"}),e.gitPullRequest=new e("git-pull-request",{fontCharacter:"\\ea64"}),e.gitPullRequestAbandoned=new e("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),e.recordKeys=new e("record-keys",{fontCharacter:"\\ea65"}),e.keyboard=new e("keyboard",{fontCharacter:"\\ea65"}),e.tag=new e("tag",{fontCharacter:"\\ea66"}),e.tagAdd=new e("tag-add",{fontCharacter:"\\ea66"}),e.tagRemove=new e("tag-remove",{fontCharacter:"\\ea66"}),e.person=new e("person",{fontCharacter:"\\ea67"}),e.personFollow=new e("person-follow",{fontCharacter:"\\ea67"}),e.personOutline=new e("person-outline",{fontCharacter:"\\ea67"}),e.personFilled=new e("person-filled",{fontCharacter:"\\ea67"}),e.gitBranch=new e("git-branch",{fontCharacter:"\\ea68"}),e.gitBranchCreate=new e("git-branch-create",{fontCharacter:"\\ea68"}),e.gitBranchDelete=new e("git-branch-delete",{fontCharacter:"\\ea68"}),e.sourceControl=new e("source-control",{fontCharacter:"\\ea68"}),e.mirror=new e("mirror",{fontCharacter:"\\ea69"}),e.mirrorPublic=new e("mirror-public",{fontCharacter:"\\ea69"}),e.star=new e("star",{fontCharacter:"\\ea6a"}),e.starAdd=new e("star-add",{fontCharacter:"\\ea6a"}),e.starDelete=new e("star-delete",{fontCharacter:"\\ea6a"}),e.starEmpty=new e("star-empty",{fontCharacter:"\\ea6a"}),e.comment=new e("comment",{fontCharacter:"\\ea6b"}),e.commentAdd=new e("comment-add",{fontCharacter:"\\ea6b"}),e.alert=new e("alert",{fontCharacter:"\\ea6c"}),e.warning=new e("warning",{fontCharacter:"\\ea6c"}),e.search=new e("search",{fontCharacter:"\\ea6d"}),e.searchSave=new e("search-save",{fontCharacter:"\\ea6d"}),e.logOut=new e("log-out",{fontCharacter:"\\ea6e"}),e.signOut=new e("sign-out",{fontCharacter:"\\ea6e"}),e.logIn=new e("log-in",{fontCharacter:"\\ea6f"}),e.signIn=new e("sign-in",{fontCharacter:"\\ea6f"}),e.eye=new e("eye",{fontCharacter:"\\ea70"}),e.eyeUnwatch=new e("eye-unwatch",{fontCharacter:"\\ea70"}),e.eyeWatch=new e("eye-watch",{fontCharacter:"\\ea70"}),e.circleFilled=new e("circle-filled",{fontCharacter:"\\ea71"}),e.primitiveDot=new e("primitive-dot",e.circleFilled.definition),e.closeDirty=new e("close-dirty",e.circleFilled.definition),e.terminalDecorationSuccess=new e("terminal-decoration-success",e.circleFilled.definition),e.debugBreakpoint=new e("debug-breakpoint",e.circleFilled.definition),e.debugBreakpointDisabled=new e("debug-breakpoint-disabled",e.circleFilled.definition),e.debugHint=new e("debug-hint",e.circleFilled.definition),e.primitiveSquare=new e("primitive-square",{fontCharacter:"\\ea72"}),e.edit=new e("edit",{fontCharacter:"\\ea73"}),e.pencil=new e("pencil",{fontCharacter:"\\ea73"}),e.info=new e("info",{fontCharacter:"\\ea74"}),e.issueOpened=new e("issue-opened",{fontCharacter:"\\ea74"}),e.gistPrivate=new e("gist-private",{fontCharacter:"\\ea75"}),e.gitForkPrivate=new e("git-fork-private",{fontCharacter:"\\ea75"}),e.lock=new e("lock",{fontCharacter:"\\ea75"}),e.mirrorPrivate=new e("mirror-private",{fontCharacter:"\\ea75"}),e.close=new e("close",{fontCharacter:"\\ea76"}),e.removeClose=new e("remove-close",{fontCharacter:"\\ea76"}),e.x=new e("x",{fontCharacter:"\\ea76"}),e.repoSync=new e("repo-sync",{fontCharacter:"\\ea77"}),e.sync=new e("sync",{fontCharacter:"\\ea77"}),e.clone=new e("clone",{fontCharacter:"\\ea78"}),e.desktopDownload=new e("desktop-download",{fontCharacter:"\\ea78"}),e.beaker=new e("beaker",{fontCharacter:"\\ea79"}),e.microscope=new e("microscope",{fontCharacter:"\\ea79"}),e.vm=new e("vm",{fontCharacter:"\\ea7a"}),e.deviceDesktop=new e("device-desktop",{fontCharacter:"\\ea7a"}),e.file=new e("file",{fontCharacter:"\\ea7b"}),e.fileText=new e("file-text",{fontCharacter:"\\ea7b"}),e.more=new e("more",{fontCharacter:"\\ea7c"}),e.ellipsis=new e("ellipsis",{fontCharacter:"\\ea7c"}),e.kebabHorizontal=new e("kebab-horizontal",{fontCharacter:"\\ea7c"}),e.mailReply=new e("mail-reply",{fontCharacter:"\\ea7d"}),e.reply=new e("reply",{fontCharacter:"\\ea7d"}),e.organization=new e("organization",{fontCharacter:"\\ea7e"}),e.organizationFilled=new e("organization-filled",{fontCharacter:"\\ea7e"}),e.organizationOutline=new e("organization-outline",{fontCharacter:"\\ea7e"}),e.newFile=new e("new-file",{fontCharacter:"\\ea7f"}),e.fileAdd=new e("file-add",{fontCharacter:"\\ea7f"}),e.newFolder=new e("new-folder",{fontCharacter:"\\ea80"}),e.fileDirectoryCreate=new e("file-directory-create",{fontCharacter:"\\ea80"}),e.trash=new e("trash",{fontCharacter:"\\ea81"}),e.trashcan=new e("trashcan",{fontCharacter:"\\ea81"}),e.history=new e("history",{fontCharacter:"\\ea82"}),e.clock=new e("clock",{fontCharacter:"\\ea82"}),e.folder=new e("folder",{fontCharacter:"\\ea83"}),e.fileDirectory=new e("file-directory",{fontCharacter:"\\ea83"}),e.symbolFolder=new e("symbol-folder",{fontCharacter:"\\ea83"}),e.logoGithub=new e("logo-github",{fontCharacter:"\\ea84"}),e.markGithub=new e("mark-github",{fontCharacter:"\\ea84"}),e.github=new e("github",{fontCharacter:"\\ea84"}),e.terminal=new e("terminal",{fontCharacter:"\\ea85"}),e.console=new e("console",{fontCharacter:"\\ea85"}),e.repl=new e("repl",{fontCharacter:"\\ea85"}),e.zap=new e("zap",{fontCharacter:"\\ea86"}),e.symbolEvent=new e("symbol-event",{fontCharacter:"\\ea86"}),e.error=new e("error",{fontCharacter:"\\ea87"}),e.stop=new e("stop",{fontCharacter:"\\ea87"}),e.variable=new e("variable",{fontCharacter:"\\ea88"}),e.symbolVariable=new e("symbol-variable",{fontCharacter:"\\ea88"}),e.array=new e("array",{fontCharacter:"\\ea8a"}),e.symbolArray=new e("symbol-array",{fontCharacter:"\\ea8a"}),e.symbolModule=new e("symbol-module",{fontCharacter:"\\ea8b"}),e.symbolPackage=new e("symbol-package",{fontCharacter:"\\ea8b"}),e.symbolNamespace=new e("symbol-namespace",{fontCharacter:"\\ea8b"}),e.symbolObject=new e("symbol-object",{fontCharacter:"\\ea8b"}),e.symbolMethod=new e("symbol-method",{fontCharacter:"\\ea8c"}),e.symbolFunction=new e("symbol-function",{fontCharacter:"\\ea8c"}),e.symbolConstructor=new e("symbol-constructor",{fontCharacter:"\\ea8c"}),e.symbolBoolean=new e("symbol-boolean",{fontCharacter:"\\ea8f"}),e.symbolNull=new e("symbol-null",{fontCharacter:"\\ea8f"}),e.symbolNumeric=new e("symbol-numeric",{fontCharacter:"\\ea90"}),e.symbolNumber=new e("symbol-number",{fontCharacter:"\\ea90"}),e.symbolStructure=new e("symbol-structure",{fontCharacter:"\\ea91"}),e.symbolStruct=new e("symbol-struct",{fontCharacter:"\\ea91"}),e.symbolParameter=new e("symbol-parameter",{fontCharacter:"\\ea92"}),e.symbolTypeParameter=new e("symbol-type-parameter",{fontCharacter:"\\ea92"}),e.symbolKey=new e("symbol-key",{fontCharacter:"\\ea93"}),e.symbolText=new e("symbol-text",{fontCharacter:"\\ea93"}),e.symbolReference=new e("symbol-reference",{fontCharacter:"\\ea94"}),e.goToFile=new e("go-to-file",{fontCharacter:"\\ea94"}),e.symbolEnum=new e("symbol-enum",{fontCharacter:"\\ea95"}),e.symbolValue=new e("symbol-value",{fontCharacter:"\\ea95"}),e.symbolRuler=new e("symbol-ruler",{fontCharacter:"\\ea96"}),e.symbolUnit=new e("symbol-unit",{fontCharacter:"\\ea96"}),e.activateBreakpoints=new e("activate-breakpoints",{fontCharacter:"\\ea97"}),e.archive=new e("archive",{fontCharacter:"\\ea98"}),e.arrowBoth=new e("arrow-both",{fontCharacter:"\\ea99"}),e.arrowDown=new e("arrow-down",{fontCharacter:"\\ea9a"}),e.arrowLeft=new e("arrow-left",{fontCharacter:"\\ea9b"}),e.arrowRight=new e("arrow-right",{fontCharacter:"\\ea9c"}),e.arrowSmallDown=new e("arrow-small-down",{fontCharacter:"\\ea9d"}),e.arrowSmallLeft=new e("arrow-small-left",{fontCharacter:"\\ea9e"}),e.arrowSmallRight=new e("arrow-small-right",{fontCharacter:"\\ea9f"}),e.arrowSmallUp=new e("arrow-small-up",{fontCharacter:"\\eaa0"}),e.arrowUp=new e("arrow-up",{fontCharacter:"\\eaa1"}),e.bell=new e("bell",{fontCharacter:"\\eaa2"}),e.bold=new e("bold",{fontCharacter:"\\eaa3"}),e.book=new e("book",{fontCharacter:"\\eaa4"}),e.bookmark=new e("bookmark",{fontCharacter:"\\eaa5"}),e.debugBreakpointConditionalUnverified=new e("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),e.debugBreakpointConditional=new e("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),e.debugBreakpointConditionalDisabled=new e("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),e.debugBreakpointDataUnverified=new e("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),e.debugBreakpointData=new e("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),e.debugBreakpointDataDisabled=new e("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),e.debugBreakpointLogUnverified=new e("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),e.debugBreakpointLog=new e("debug-breakpoint-log",{fontCharacter:"\\eaab"}),e.debugBreakpointLogDisabled=new e("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),e.briefcase=new e("briefcase",{fontCharacter:"\\eaac"}),e.broadcast=new e("broadcast",{fontCharacter:"\\eaad"}),e.browser=new e("browser",{fontCharacter:"\\eaae"}),e.bug=new e("bug",{fontCharacter:"\\eaaf"}),e.calendar=new e("calendar",{fontCharacter:"\\eab0"}),e.caseSensitive=new e("case-sensitive",{fontCharacter:"\\eab1"}),e.check=new e("check",{fontCharacter:"\\eab2"}),e.checklist=new e("checklist",{fontCharacter:"\\eab3"}),e.chevronDown=new e("chevron-down",{fontCharacter:"\\eab4"}),e.dropDownButton=new e("drop-down-button",e.chevronDown.definition),e.chevronLeft=new e("chevron-left",{fontCharacter:"\\eab5"}),e.chevronRight=new e("chevron-right",{fontCharacter:"\\eab6"}),e.chevronUp=new e("chevron-up",{fontCharacter:"\\eab7"}),e.chromeClose=new e("chrome-close",{fontCharacter:"\\eab8"}),e.chromeMaximize=new e("chrome-maximize",{fontCharacter:"\\eab9"}),e.chromeMinimize=new e("chrome-minimize",{fontCharacter:"\\eaba"}),e.chromeRestore=new e("chrome-restore",{fontCharacter:"\\eabb"}),e.circle=new e("circle",{fontCharacter:"\\eabc"}),e.circleOutline=new e("circle-outline",e.circle.definition),e.terminalDecorationIncomplete=new e("terminal-decoration-incomplete",e.circle.definition),e.debugBreakpointUnverified=new e("debug-breakpoint-unverified",e.circle.definition),e.circleSlash=new e("circle-slash",{fontCharacter:"\\eabd"}),e.circuitBoard=new e("circuit-board",{fontCharacter:"\\eabe"}),e.clearAll=new e("clear-all",{fontCharacter:"\\eabf"}),e.clippy=new e("clippy",{fontCharacter:"\\eac0"}),e.closeAll=new e("close-all",{fontCharacter:"\\eac1"}),e.cloudDownload=new e("cloud-download",{fontCharacter:"\\eac2"}),e.cloudUpload=new e("cloud-upload",{fontCharacter:"\\eac3"}),e.code=new e("code",{fontCharacter:"\\eac4"}),e.collapseAll=new e("collapse-all",{fontCharacter:"\\eac5"}),e.colorMode=new e("color-mode",{fontCharacter:"\\eac6"}),e.commentDiscussion=new e("comment-discussion",{fontCharacter:"\\eac7"}),e.compareChanges=new e("compare-changes",{fontCharacter:"\\eafd"}),e.creditCard=new e("credit-card",{fontCharacter:"\\eac9"}),e.dash=new e("dash",{fontCharacter:"\\eacc"}),e.dashboard=new e("dashboard",{fontCharacter:"\\eacd"}),e.database=new e("database",{fontCharacter:"\\eace"}),e.debugContinue=new e("debug-continue",{fontCharacter:"\\eacf"}),e.debugDisconnect=new e("debug-disconnect",{fontCharacter:"\\ead0"}),e.debugPause=new e("debug-pause",{fontCharacter:"\\ead1"}),e.debugRestart=new e("debug-restart",{fontCharacter:"\\ead2"}),e.debugStart=new e("debug-start",{fontCharacter:"\\ead3"}),e.debugStepInto=new e("debug-step-into",{fontCharacter:"\\ead4"}),e.debugStepOut=new e("debug-step-out",{fontCharacter:"\\ead5"}),e.debugStepOver=new e("debug-step-over",{fontCharacter:"\\ead6"}),e.debugStop=new e("debug-stop",{fontCharacter:"\\ead7"}),e.debug=new e("debug",{fontCharacter:"\\ead8"}),e.deviceCameraVideo=new e("device-camera-video",{fontCharacter:"\\ead9"}),e.deviceCamera=new e("device-camera",{fontCharacter:"\\eada"}),e.deviceMobile=new e("device-mobile",{fontCharacter:"\\eadb"}),e.diffAdded=new e("diff-added",{fontCharacter:"\\eadc"}),e.diffIgnored=new e("diff-ignored",{fontCharacter:"\\eadd"}),e.diffModified=new e("diff-modified",{fontCharacter:"\\eade"}),e.diffRemoved=new e("diff-removed",{fontCharacter:"\\eadf"}),e.diffRenamed=new e("diff-renamed",{fontCharacter:"\\eae0"}),e.diff=new e("diff",{fontCharacter:"\\eae1"}),e.discard=new e("discard",{fontCharacter:"\\eae2"}),e.editorLayout=new e("editor-layout",{fontCharacter:"\\eae3"}),e.emptyWindow=new e("empty-window",{fontCharacter:"\\eae4"}),e.exclude=new e("exclude",{fontCharacter:"\\eae5"}),e.extensions=new e("extensions",{fontCharacter:"\\eae6"}),e.eyeClosed=new e("eye-closed",{fontCharacter:"\\eae7"}),e.fileBinary=new e("file-binary",{fontCharacter:"\\eae8"}),e.fileCode=new e("file-code",{fontCharacter:"\\eae9"}),e.fileMedia=new e("file-media",{fontCharacter:"\\eaea"}),e.filePdf=new e("file-pdf",{fontCharacter:"\\eaeb"}),e.fileSubmodule=new e("file-submodule",{fontCharacter:"\\eaec"}),e.fileSymlinkDirectory=new e("file-symlink-directory",{fontCharacter:"\\eaed"}),e.fileSymlinkFile=new e("file-symlink-file",{fontCharacter:"\\eaee"}),e.fileZip=new e("file-zip",{fontCharacter:"\\eaef"}),e.files=new e("files",{fontCharacter:"\\eaf0"}),e.filter=new e("filter",{fontCharacter:"\\eaf1"}),e.flame=new e("flame",{fontCharacter:"\\eaf2"}),e.foldDown=new e("fold-down",{fontCharacter:"\\eaf3"}),e.foldUp=new e("fold-up",{fontCharacter:"\\eaf4"}),e.fold=new e("fold",{fontCharacter:"\\eaf5"}),e.folderActive=new e("folder-active",{fontCharacter:"\\eaf6"}),e.folderOpened=new e("folder-opened",{fontCharacter:"\\eaf7"}),e.gear=new e("gear",{fontCharacter:"\\eaf8"}),e.gift=new e("gift",{fontCharacter:"\\eaf9"}),e.gistSecret=new e("gist-secret",{fontCharacter:"\\eafa"}),e.gist=new e("gist",{fontCharacter:"\\eafb"}),e.gitCommit=new e("git-commit",{fontCharacter:"\\eafc"}),e.gitCompare=new e("git-compare",{fontCharacter:"\\eafd"}),e.gitMerge=new e("git-merge",{fontCharacter:"\\eafe"}),e.githubAction=new e("github-action",{fontCharacter:"\\eaff"}),e.githubAlt=new e("github-alt",{fontCharacter:"\\eb00"}),e.globe=new e("globe",{fontCharacter:"\\eb01"}),e.grabber=new e("grabber",{fontCharacter:"\\eb02"}),e.graph=new e("graph",{fontCharacter:"\\eb03"}),e.gripper=new e("gripper",{fontCharacter:"\\eb04"}),e.heart=new e("heart",{fontCharacter:"\\eb05"}),e.home=new e("home",{fontCharacter:"\\eb06"}),e.horizontalRule=new e("horizontal-rule",{fontCharacter:"\\eb07"}),e.hubot=new e("hubot",{fontCharacter:"\\eb08"}),e.inbox=new e("inbox",{fontCharacter:"\\eb09"}),e.issueClosed=new e("issue-closed",{fontCharacter:"\\eba4"}),e.issueReopened=new e("issue-reopened",{fontCharacter:"\\eb0b"}),e.issues=new e("issues",{fontCharacter:"\\eb0c"}),e.italic=new e("italic",{fontCharacter:"\\eb0d"}),e.jersey=new e("jersey",{fontCharacter:"\\eb0e"}),e.json=new e("json",{fontCharacter:"\\eb0f"}),e.kebabVertical=new e("kebab-vertical",{fontCharacter:"\\eb10"}),e.key=new e("key",{fontCharacter:"\\eb11"}),e.law=new e("law",{fontCharacter:"\\eb12"}),e.lightbulbAutofix=new e("lightbulb-autofix",{fontCharacter:"\\eb13"}),e.linkExternal=new e("link-external",{fontCharacter:"\\eb14"}),e.link=new e("link",{fontCharacter:"\\eb15"}),e.listOrdered=new e("list-ordered",{fontCharacter:"\\eb16"}),e.listUnordered=new e("list-unordered",{fontCharacter:"\\eb17"}),e.liveShare=new e("live-share",{fontCharacter:"\\eb18"}),e.loading=new e("loading",{fontCharacter:"\\eb19"}),e.location=new e("location",{fontCharacter:"\\eb1a"}),e.mailRead=new e("mail-read",{fontCharacter:"\\eb1b"}),e.mail=new e("mail",{fontCharacter:"\\eb1c"}),e.markdown=new e("markdown",{fontCharacter:"\\eb1d"}),e.megaphone=new e("megaphone",{fontCharacter:"\\eb1e"}),e.mention=new e("mention",{fontCharacter:"\\eb1f"}),e.milestone=new e("milestone",{fontCharacter:"\\eb20"}),e.mortarBoard=new e("mortar-board",{fontCharacter:"\\eb21"}),e.move=new e("move",{fontCharacter:"\\eb22"}),e.multipleWindows=new e("multiple-windows",{fontCharacter:"\\eb23"}),e.mute=new e("mute",{fontCharacter:"\\eb24"}),e.noNewline=new e("no-newline",{fontCharacter:"\\eb25"}),e.note=new e("note",{fontCharacter:"\\eb26"}),e.octoface=new e("octoface",{fontCharacter:"\\eb27"}),e.openPreview=new e("open-preview",{fontCharacter:"\\eb28"}),e.package_=new e("package",{fontCharacter:"\\eb29"}),e.paintcan=new e("paintcan",{fontCharacter:"\\eb2a"}),e.pin=new e("pin",{fontCharacter:"\\eb2b"}),e.play=new e("play",{fontCharacter:"\\eb2c"}),e.run=new e("run",{fontCharacter:"\\eb2c"}),e.plug=new e("plug",{fontCharacter:"\\eb2d"}),e.preserveCase=new e("preserve-case",{fontCharacter:"\\eb2e"}),e.preview=new e("preview",{fontCharacter:"\\eb2f"}),e.project=new e("project",{fontCharacter:"\\eb30"}),e.pulse=new e("pulse",{fontCharacter:"\\eb31"}),e.question=new e("question",{fontCharacter:"\\eb32"}),e.quote=new e("quote",{fontCharacter:"\\eb33"}),e.radioTower=new e("radio-tower",{fontCharacter:"\\eb34"}),e.reactions=new e("reactions",{fontCharacter:"\\eb35"}),e.references=new e("references",{fontCharacter:"\\eb36"}),e.refresh=new e("refresh",{fontCharacter:"\\eb37"}),e.regex=new e("regex",{fontCharacter:"\\eb38"}),e.remoteExplorer=new e("remote-explorer",{fontCharacter:"\\eb39"}),e.remote=new e("remote",{fontCharacter:"\\eb3a"}),e.remove=new e("remove",{fontCharacter:"\\eb3b"}),e.replaceAll=new e("replace-all",{fontCharacter:"\\eb3c"}),e.replace=new e("replace",{fontCharacter:"\\eb3d"}),e.repoClone=new e("repo-clone",{fontCharacter:"\\eb3e"}),e.repoForcePush=new e("repo-force-push",{fontCharacter:"\\eb3f"}),e.repoPull=new e("repo-pull",{fontCharacter:"\\eb40"}),e.repoPush=new e("repo-push",{fontCharacter:"\\eb41"}),e.report=new e("report",{fontCharacter:"\\eb42"}),e.requestChanges=new e("request-changes",{fontCharacter:"\\eb43"}),e.rocket=new e("rocket",{fontCharacter:"\\eb44"}),e.rootFolderOpened=new e("root-folder-opened",{fontCharacter:"\\eb45"}),e.rootFolder=new e("root-folder",{fontCharacter:"\\eb46"}),e.rss=new e("rss",{fontCharacter:"\\eb47"}),e.ruby=new e("ruby",{fontCharacter:"\\eb48"}),e.saveAll=new e("save-all",{fontCharacter:"\\eb49"}),e.saveAs=new e("save-as",{fontCharacter:"\\eb4a"}),e.save=new e("save",{fontCharacter:"\\eb4b"}),e.screenFull=new e("screen-full",{fontCharacter:"\\eb4c"}),e.screenNormal=new e("screen-normal",{fontCharacter:"\\eb4d"}),e.searchStop=new e("search-stop",{fontCharacter:"\\eb4e"}),e.server=new e("server",{fontCharacter:"\\eb50"}),e.settingsGear=new e("settings-gear",{fontCharacter:"\\eb51"}),e.settings=new e("settings",{fontCharacter:"\\eb52"}),e.shield=new e("shield",{fontCharacter:"\\eb53"}),e.smiley=new e("smiley",{fontCharacter:"\\eb54"}),e.sortPrecedence=new e("sort-precedence",{fontCharacter:"\\eb55"}),e.splitHorizontal=new e("split-horizontal",{fontCharacter:"\\eb56"}),e.splitVertical=new e("split-vertical",{fontCharacter:"\\eb57"}),e.squirrel=new e("squirrel",{fontCharacter:"\\eb58"}),e.starFull=new e("star-full",{fontCharacter:"\\eb59"}),e.starHalf=new e("star-half",{fontCharacter:"\\eb5a"}),e.symbolClass=new e("symbol-class",{fontCharacter:"\\eb5b"}),e.symbolColor=new e("symbol-color",{fontCharacter:"\\eb5c"}),e.symbolCustomColor=new e("symbol-customcolor",{fontCharacter:"\\eb5c"}),e.symbolConstant=new e("symbol-constant",{fontCharacter:"\\eb5d"}),e.symbolEnumMember=new e("symbol-enum-member",{fontCharacter:"\\eb5e"}),e.symbolField=new e("symbol-field",{fontCharacter:"\\eb5f"}),e.symbolFile=new e("symbol-file",{fontCharacter:"\\eb60"}),e.symbolInterface=new e("symbol-interface",{fontCharacter:"\\eb61"}),e.symbolKeyword=new e("symbol-keyword",{fontCharacter:"\\eb62"}),e.symbolMisc=new e("symbol-misc",{fontCharacter:"\\eb63"}),e.symbolOperator=new e("symbol-operator",{fontCharacter:"\\eb64"}),e.symbolProperty=new e("symbol-property",{fontCharacter:"\\eb65"}),e.wrench=new e("wrench",{fontCharacter:"\\eb65"}),e.wrenchSubaction=new e("wrench-subaction",{fontCharacter:"\\eb65"}),e.symbolSnippet=new e("symbol-snippet",{fontCharacter:"\\eb66"}),e.tasklist=new e("tasklist",{fontCharacter:"\\eb67"}),e.telescope=new e("telescope",{fontCharacter:"\\eb68"}),e.textSize=new e("text-size",{fontCharacter:"\\eb69"}),e.threeBars=new e("three-bars",{fontCharacter:"\\eb6a"}),e.thumbsdown=new e("thumbsdown",{fontCharacter:"\\eb6b"}),e.thumbsup=new e("thumbsup",{fontCharacter:"\\eb6c"}),e.tools=new e("tools",{fontCharacter:"\\eb6d"}),e.triangleDown=new e("triangle-down",{fontCharacter:"\\eb6e"}),e.triangleLeft=new e("triangle-left",{fontCharacter:"\\eb6f"}),e.triangleRight=new e("triangle-right",{fontCharacter:"\\eb70"}),e.triangleUp=new e("triangle-up",{fontCharacter:"\\eb71"}),e.twitter=new e("twitter",{fontCharacter:"\\eb72"}),e.unfold=new e("unfold",{fontCharacter:"\\eb73"}),e.unlock=new e("unlock",{fontCharacter:"\\eb74"}),e.unmute=new e("unmute",{fontCharacter:"\\eb75"}),e.unverified=new e("unverified",{fontCharacter:"\\eb76"}),e.verified=new e("verified",{fontCharacter:"\\eb77"}),e.versions=new e("versions",{fontCharacter:"\\eb78"}),e.vmActive=new e("vm-active",{fontCharacter:"\\eb79"}),e.vmOutline=new e("vm-outline",{fontCharacter:"\\eb7a"}),e.vmRunning=new e("vm-running",{fontCharacter:"\\eb7b"}),e.watch=new e("watch",{fontCharacter:"\\eb7c"}),e.whitespace=new e("whitespace",{fontCharacter:"\\eb7d"}),e.wholeWord=new e("whole-word",{fontCharacter:"\\eb7e"}),e.window=new e("window",{fontCharacter:"\\eb7f"}),e.wordWrap=new e("word-wrap",{fontCharacter:"\\eb80"}),e.zoomIn=new e("zoom-in",{fontCharacter:"\\eb81"}),e.zoomOut=new e("zoom-out",{fontCharacter:"\\eb82"}),e.listFilter=new e("list-filter",{fontCharacter:"\\eb83"}),e.listFlat=new e("list-flat",{fontCharacter:"\\eb84"}),e.listSelection=new e("list-selection",{fontCharacter:"\\eb85"}),e.selection=new e("selection",{fontCharacter:"\\eb85"}),e.listTree=new e("list-tree",{fontCharacter:"\\eb86"}),e.debugBreakpointFunctionUnverified=new e("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),e.debugBreakpointFunction=new e("debug-breakpoint-function",{fontCharacter:"\\eb88"}),e.debugBreakpointFunctionDisabled=new e("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),e.debugStackframeActive=new e("debug-stackframe-active",{fontCharacter:"\\eb89"}),e.circleSmallFilled=new e("circle-small-filled",{fontCharacter:"\\eb8a"}),e.debugStackframeDot=new e("debug-stackframe-dot",e.circleSmallFilled.definition),e.terminalDecorationMark=new e("terminal-decoration-mark",e.circleSmallFilled.definition),e.debugStackframe=new e("debug-stackframe",{fontCharacter:"\\eb8b"}),e.debugStackframeFocused=new e("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),e.debugBreakpointUnsupported=new e("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),e.symbolString=new e("symbol-string",{fontCharacter:"\\eb8d"}),e.debugReverseContinue=new e("debug-reverse-continue",{fontCharacter:"\\eb8e"}),e.debugStepBack=new e("debug-step-back",{fontCharacter:"\\eb8f"}),e.debugRestartFrame=new e("debug-restart-frame",{fontCharacter:"\\eb90"}),e.callIncoming=new e("call-incoming",{fontCharacter:"\\eb92"}),e.callOutgoing=new e("call-outgoing",{fontCharacter:"\\eb93"}),e.menu=new e("menu",{fontCharacter:"\\eb94"}),e.expandAll=new e("expand-all",{fontCharacter:"\\eb95"}),e.feedback=new e("feedback",{fontCharacter:"\\eb96"}),e.groupByRefType=new e("group-by-ref-type",{fontCharacter:"\\eb97"}),e.ungroupByRefType=new e("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),e.account=new e("account",{fontCharacter:"\\eb99"}),e.bellDot=new e("bell-dot",{fontCharacter:"\\eb9a"}),e.debugConsole=new e("debug-console",{fontCharacter:"\\eb9b"}),e.library=new e("library",{fontCharacter:"\\eb9c"}),e.output=new e("output",{fontCharacter:"\\eb9d"}),e.runAll=new e("run-all",{fontCharacter:"\\eb9e"}),e.syncIgnored=new e("sync-ignored",{fontCharacter:"\\eb9f"}),e.pinned=new e("pinned",{fontCharacter:"\\eba0"}),e.githubInverted=new e("github-inverted",{fontCharacter:"\\eba1"}),e.debugAlt=new e("debug-alt",{fontCharacter:"\\eb91"}),e.serverProcess=new e("server-process",{fontCharacter:"\\eba2"}),e.serverEnvironment=new e("server-environment",{fontCharacter:"\\eba3"}),e.pass=new e("pass",{fontCharacter:"\\eba4"}),e.stopCircle=new e("stop-circle",{fontCharacter:"\\eba5"}),e.playCircle=new e("play-circle",{fontCharacter:"\\eba6"}),e.record=new e("record",{fontCharacter:"\\eba7"}),e.debugAltSmall=new e("debug-alt-small",{fontCharacter:"\\eba8"}),e.vmConnect=new e("vm-connect",{fontCharacter:"\\eba9"}),e.cloud=new e("cloud",{fontCharacter:"\\ebaa"}),e.merge=new e("merge",{fontCharacter:"\\ebab"}),e.exportIcon=new e("export",{fontCharacter:"\\ebac"}),e.graphLeft=new e("graph-left",{fontCharacter:"\\ebad"}),e.magnet=new e("magnet",{fontCharacter:"\\ebae"}),e.notebook=new e("notebook",{fontCharacter:"\\ebaf"}),e.redo=new e("redo",{fontCharacter:"\\ebb0"}),e.checkAll=new e("check-all",{fontCharacter:"\\ebb1"}),e.pinnedDirty=new e("pinned-dirty",{fontCharacter:"\\ebb2"}),e.passFilled=new e("pass-filled",{fontCharacter:"\\ebb3"}),e.circleLargeFilled=new e("circle-large-filled",{fontCharacter:"\\ebb4"}),e.circleLarge=new e("circle-large",{fontCharacter:"\\ebb5"}),e.circleLargeOutline=new e("circle-large-outline",e.circleLarge.definition),e.combine=new e("combine",{fontCharacter:"\\ebb6"}),e.gather=new e("gather",{fontCharacter:"\\ebb6"}),e.table=new e("table",{fontCharacter:"\\ebb7"}),e.variableGroup=new e("variable-group",{fontCharacter:"\\ebb8"}),e.typeHierarchy=new e("type-hierarchy",{fontCharacter:"\\ebb9"}),e.typeHierarchySub=new e("type-hierarchy-sub",{fontCharacter:"\\ebba"}),e.typeHierarchySuper=new e("type-hierarchy-super",{fontCharacter:"\\ebbb"}),e.gitPullRequestCreate=new e("git-pull-request-create",{fontCharacter:"\\ebbc"}),e.runAbove=new e("run-above",{fontCharacter:"\\ebbd"}),e.runBelow=new e("run-below",{fontCharacter:"\\ebbe"}),e.notebookTemplate=new e("notebook-template",{fontCharacter:"\\ebbf"}),e.debugRerun=new e("debug-rerun",{fontCharacter:"\\ebc0"}),e.workspaceTrusted=new e("workspace-trusted",{fontCharacter:"\\ebc1"}),e.workspaceUntrusted=new e("workspace-untrusted",{fontCharacter:"\\ebc2"}),e.workspaceUnspecified=new e("workspace-unspecified",{fontCharacter:"\\ebc3"}),e.terminalCmd=new e("terminal-cmd",{fontCharacter:"\\ebc4"}),e.terminalDebian=new e("terminal-debian",{fontCharacter:"\\ebc5"}),e.terminalLinux=new e("terminal-linux",{fontCharacter:"\\ebc6"}),e.terminalPowershell=new e("terminal-powershell",{fontCharacter:"\\ebc7"}),e.terminalTmux=new e("terminal-tmux",{fontCharacter:"\\ebc8"}),e.terminalUbuntu=new e("terminal-ubuntu",{fontCharacter:"\\ebc9"}),e.terminalBash=new e("terminal-bash",{fontCharacter:"\\ebca"}),e.arrowSwap=new e("arrow-swap",{fontCharacter:"\\ebcb"}),e.copy=new e("copy",{fontCharacter:"\\ebcc"}),e.personAdd=new e("person-add",{fontCharacter:"\\ebcd"}),e.filterFilled=new e("filter-filled",{fontCharacter:"\\ebce"}),e.wand=new e("wand",{fontCharacter:"\\ebcf"}),e.debugLineByLine=new e("debug-line-by-line",{fontCharacter:"\\ebd0"}),e.inspect=new e("inspect",{fontCharacter:"\\ebd1"}),e.layers=new e("layers",{fontCharacter:"\\ebd2"}),e.layersDot=new e("layers-dot",{fontCharacter:"\\ebd3"}),e.layersActive=new e("layers-active",{fontCharacter:"\\ebd4"}),e.compass=new e("compass",{fontCharacter:"\\ebd5"}),e.compassDot=new e("compass-dot",{fontCharacter:"\\ebd6"}),e.compassActive=new e("compass-active",{fontCharacter:"\\ebd7"}),e.azure=new e("azure",{fontCharacter:"\\ebd8"}),e.issueDraft=new e("issue-draft",{fontCharacter:"\\ebd9"}),e.gitPullRequestClosed=new e("git-pull-request-closed",{fontCharacter:"\\ebda"}),e.gitPullRequestDraft=new e("git-pull-request-draft",{fontCharacter:"\\ebdb"}),e.debugAll=new e("debug-all",{fontCharacter:"\\ebdc"}),e.debugCoverage=new e("debug-coverage",{fontCharacter:"\\ebdd"}),e.runErrors=new e("run-errors",{fontCharacter:"\\ebde"}),e.folderLibrary=new e("folder-library",{fontCharacter:"\\ebdf"}),e.debugContinueSmall=new e("debug-continue-small",{fontCharacter:"\\ebe0"}),e.beakerStop=new e("beaker-stop",{fontCharacter:"\\ebe1"}),e.graphLine=new e("graph-line",{fontCharacter:"\\ebe2"}),e.graphScatter=new e("graph-scatter",{fontCharacter:"\\ebe3"}),e.pieChart=new e("pie-chart",{fontCharacter:"\\ebe4"}),e.bracket=new e("bracket",e.json.definition),e.bracketDot=new e("bracket-dot",{fontCharacter:"\\ebe5"}),e.bracketError=new e("bracket-error",{fontCharacter:"\\ebe6"}),e.lockSmall=new e("lock-small",{fontCharacter:"\\ebe7"}),e.azureDevops=new e("azure-devops",{fontCharacter:"\\ebe8"}),e.verifiedFilled=new e("verified-filled",{fontCharacter:"\\ebe9"}),e.newLine=new e("newline",{fontCharacter:"\\ebea"}),e.layout=new e("layout",{fontCharacter:"\\ebeb"}),e.layoutActivitybarLeft=new e("layout-activitybar-left",{fontCharacter:"\\ebec"}),e.layoutActivitybarRight=new e("layout-activitybar-right",{fontCharacter:"\\ebed"}),e.layoutPanelLeft=new e("layout-panel-left",{fontCharacter:"\\ebee"}),e.layoutPanelCenter=new e("layout-panel-center",{fontCharacter:"\\ebef"}),e.layoutPanelJustify=new e("layout-panel-justify",{fontCharacter:"\\ebf0"}),e.layoutPanelRight=new e("layout-panel-right",{fontCharacter:"\\ebf1"}),e.layoutPanel=new e("layout-panel",{fontCharacter:"\\ebf2"}),e.layoutSidebarLeft=new e("layout-sidebar-left",{fontCharacter:"\\ebf3"}),e.layoutSidebarRight=new e("layout-sidebar-right",{fontCharacter:"\\ebf4"}),e.layoutStatusbar=new e("layout-statusbar",{fontCharacter:"\\ebf5"}),e.layoutMenubar=new e("layout-menubar",{fontCharacter:"\\ebf6"}),e.layoutCentered=new e("layout-centered",{fontCharacter:"\\ebf7"}),e.layoutSidebarRightOff=new e("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),e.layoutPanelOff=new e("layout-panel-off",{fontCharacter:"\\ec01"}),e.layoutSidebarLeftOff=new e("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),e.target=new e("target",{fontCharacter:"\\ebf8"}),e.indent=new e("indent",{fontCharacter:"\\ebf9"}),e.recordSmall=new e("record-small",{fontCharacter:"\\ebfa"}),e.errorSmall=new e("error-small",{fontCharacter:"\\ebfb"}),e.terminalDecorationError=new e("terminal-decoration-error",e.errorSmall.definition),e.arrowCircleDown=new e("arrow-circle-down",{fontCharacter:"\\ebfc"}),e.arrowCircleLeft=new e("arrow-circle-left",{fontCharacter:"\\ebfd"}),e.arrowCircleRight=new e("arrow-circle-right",{fontCharacter:"\\ebfe"}),e.arrowCircleUp=new e("arrow-circle-up",{fontCharacter:"\\ebff"}),e.heartFilled=new e("heart-filled",{fontCharacter:"\\ec04"}),e.map=new e("map",{fontCharacter:"\\ec05"}),e.mapFilled=new e("map-filled",{fontCharacter:"\\ec06"}),e.circleSmall=new e("circle-small",{fontCharacter:"\\ec07"}),e.bellSlash=new e("bell-slash",{fontCharacter:"\\ec08"}),e.bellSlashDot=new e("bell-slash-dot",{fontCharacter:"\\ec09"}),e.commentUnresolved=new e("comment-unresolved",{fontCharacter:"\\ec0a"}),e.gitPullRequestGoToChanges=new e("git-pull-request-go-to-changes",{fontCharacter:"\\ec0b"}),e.gitPullRequestNewChanges=new e("git-pull-request-new-changes",{fontCharacter:"\\ec0c"}),e.dialogError=new e("dialog-error",e.error.definition),e.dialogWarning=new e("dialog-warning",e.warning.definition),e.dialogInfo=new e("dialog-info",e.info.definition),e.dialogClose=new e("dialog-close",e.close.definition),e.treeItemExpanded=new e("tree-item-expanded",e.chevronDown.definition),e.treeFilterOnTypeOn=new e("tree-filter-on-type-on",e.listFilter.definition),e.treeFilterOnTypeOff=new e("tree-filter-on-type-off",e.listSelection.definition),e.treeFilterClear=new e("tree-filter-clear",e.close.definition),e.treeItemLoading=new e("tree-item-loading",e.loading.definition),e.menuSelection=new e("menu-selection",e.check.definition),e.menuSubmenu=new e("menu-submenu",e.chevronRight.definition),e.menuBarMore=new e("menubar-more",e.more.definition),e.scrollbarButtonLeft=new e("scrollbar-button-left",e.triangleLeft.definition),e.scrollbarButtonRight=new e("scrollbar-button-right",e.triangleRight.definition),e.scrollbarButtonUp=new e("scrollbar-button-up",e.triangleUp.definition),e.scrollbarButtonDown=new e("scrollbar-button-down",e.triangleDown.definition),e.toolBarMore=new e("toolbar-more",e.more.definition),e.quickInputBack=new e("quick-input-back",e.arrowLeft.definition);var A;(function(c){c.iconNameSegment="[A-Za-z0-9]+",c.iconNameExpression="[A-Za-z0-9-]+",c.iconModifierExpression="~[A-Za-z]+",c.iconNameCharacter="[A-Za-z0-9~-]";const p=new RegExp(`^(${c.iconNameExpression})(${c.iconModifierExpression})?$`);function C(L){if(L instanceof e)return["codicon","codicon-"+L.id];const t=p.exec(L.id);if(!t)return C(e.error);const[,b,l]=t,m=["codicon","codicon-"+b];return l&&m.push("codicon-modifier-"+l.substr(1)),m}c.asClassNameArray=C;function u(L){return C(L).join(" ")}c.asClassName=u;function d(L){return"."+C(L).join(".")}c.asCSSSelector=d})(A=r.CSSIcon||(r.CSSIcon={}))}),Y(X[25],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffChange=void 0;class N{constructor(A,c,p,C){this.originalStart=A,this.originalLength=c,this.modifiedStart=p,this.modifiedLength=C}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}r.DiffChange=N}),Y(X[11],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BugIndicatingError=r.ErrorNoTelemetry=r.NotSupportedError=r.illegalState=r.illegalArgument=r.canceled=r.CancellationError=r.isCancellationError=r.transformErrorForSerialization=r.onUnexpectedExternalError=r.onUnexpectedError=r.errorHandler=r.ErrorHandler=void 0;class N{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(y){setTimeout(()=>{throw y.stack?l.isErrorNoTelemetry(y)?new l(y.message+`

`+y.stack):new Error(y.message+`

`+y.stack):y},0)}}emit(y){this.listeners.forEach(S=>{S(y)})}onUnexpectedError(y){this.unexpectedErrorHandler(y),this.emit(y)}onUnexpectedExternalError(y){this.unexpectedErrorHandler(y)}}r.ErrorHandler=N,r.errorHandler=new N;function e(v){C(v)||r.errorHandler.onUnexpectedError(v)}r.onUnexpectedError=e;function A(v){C(v)||r.errorHandler.onUnexpectedExternalError(v)}r.onUnexpectedExternalError=A;function c(v){if(v instanceof Error){const{name:y,message:S}=v,g=v.stacktrace||v.stack;return{$isError:!0,name:y,message:S,stack:g,noTelemetry:l.isErrorNoTelemetry(v)}}return v}r.transformErrorForSerialization=c;const p="Canceled";function C(v){return v instanceof u?!0:v instanceof Error&&v.name===p&&v.message===p}r.isCancellationError=C;class u extends Error{constructor(){super(p);this.name=this.message}}r.CancellationError=u;function d(){const v=new Error(p);return v.name=v.message,v}r.canceled=d;function L(v){return v?new Error(`Illegal argument: ${v}`):new Error("Illegal argument")}r.illegalArgument=L;function t(v){return v?new Error(`Illegal state: ${v}`):new Error("Illegal state")}r.illegalState=t;class b extends Error{constructor(y){super("NotSupported");y&&(this.message=y)}}r.NotSupportedError=b;class l extends Error{constructor(y){super(y);this.name="ErrorNoTelemetry"}static fromError(y){if(y instanceof l)return y;const S=new l;return S.message=y.message,S.stack=y.stack,S}static isErrorNoTelemetry(y){return y.name==="ErrorNoTelemetry"}}r.ErrorNoTelemetry=l;class m extends Error{constructor(y){super(y||"An unexpected bug occurred.");Object.setPrototypeOf(this,m.prototype);debugger}}r.BugIndicatingError=m}),Y(X[26],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.once=void 0;function N(e){const A=this;let c=!1,p;return function(){return c||(c=!0,p=e.apply(A,arguments)),p}}r.once=N}),Y(X[12],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Iterable=void 0;var N;(function(e){function A(o){return o&&typeof o=="object"&&typeof o[Symbol.iterator]=="function"}e.is=A;const c=Object.freeze([]);function p(){return c}e.empty=p;function*C(o){yield o}e.single=C;function u(o){return o||c}e.from=u;function d(o){return!o||o[Symbol.iterator]().next().done===!0}e.isEmpty=d;function L(o){return o[Symbol.iterator]().next().value}e.first=L;function t(o,a){for(const f of o)if(a(f))return!0;return!1}e.some=t;function b(o,a){for(const f of o)if(a(f))return f}e.find=b;function*l(o,a){for(const f of o)a(f)&&(yield f)}e.filter=l;function*m(o,a){let f=0;for(const _ of o)yield a(_,f++)}e.map=m;function*v(...o){for(const a of o)for(const f of a)yield f}e.concat=v;function*y(o){for(const a of o)for(const f of a)yield f}e.concatNested=y;function S(o,a,f){let _=f;for(const E of o)_=a(_,E);return _}e.reduce=S;function g(o,a){let f=0;for(const _ of o)a(_,f++)}e.forEach=g;function*i(o,a,f=o.length){for(a<0&&(a+=o.length),f<0?f+=o.length:f>o.length&&(f=o.length);a<f;a++)yield o[a]}e.slice=i;function s(o,a=Number.POSITIVE_INFINITY){const f=[];if(a===0)return[f,o];const _=o[Symbol.iterator]();for(let E=0;E<a;E++){const M=_.next();if(M.done)return[f,e.empty()];f.push(M.value)}return[f,{[Symbol.iterator](){return _}}]}e.consume=s;function h(o){return s(o)[0]}e.collect=h;function w(o,a,f=(_,E)=>_===E){const _=o[Symbol.iterator](),E=a[Symbol.iterator]();for(;;){const M=_.next(),P=E.next();if(M.done!==P.done)return!1;if(M.done)return!0;if(!f(M.value,P.value))return!1}}e.equals=w})(N=r.Iterable||(r.Iterable={}))}),Y(X[27],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.KeyChord=r.KeyCodeUtils=r.IMMUTABLE_KEY_CODE_TO_CODE=r.IMMUTABLE_CODE_TO_KEY_CODE=r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=r.EVENT_KEY_CODE_MAP=void 0;class N{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(b,l){this._keyCodeToStr[b]=l,this._strToKeyCode[l.toLowerCase()]=b}keyCodeToStr(b){return this._keyCodeToStr[b]}strToKeyCode(b){return this._strToKeyCode[b.toLowerCase()]||0}}const e=new N,A=new N,c=new N;r.EVENT_KEY_CODE_MAP=new Array(230),r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const p=[],C=Object.create(null),u=Object.create(null);r.IMMUTABLE_CODE_TO_KEY_CODE=[],r.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let t=0;t<=193;t++)r.IMMUTABLE_CODE_TO_KEY_CODE[t]=-1;for(let t=0;t<=127;t++)r.IMMUTABLE_KEY_CODE_TO_CODE[t]=-1;(function(){const t="",b=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",t,t],[0,1,1,"Hyper",0,t,0,t,t,t],[0,1,2,"Super",0,t,0,t,t,t],[0,1,3,"Fn",0,t,0,t,t,t],[0,1,4,"FnLock",0,t,0,t,t,t],[0,1,5,"Suspend",0,t,0,t,t,t],[0,1,6,"Resume",0,t,0,t,t,t],[0,1,7,"Turbo",0,t,0,t,t,t],[0,1,8,"Sleep",0,t,0,"VK_SLEEP",t,t],[0,1,9,"WakeUp",0,t,0,t,t,t],[31,0,10,"KeyA",31,"A",65,"VK_A",t,t],[32,0,11,"KeyB",32,"B",66,"VK_B",t,t],[33,0,12,"KeyC",33,"C",67,"VK_C",t,t],[34,0,13,"KeyD",34,"D",68,"VK_D",t,t],[35,0,14,"KeyE",35,"E",69,"VK_E",t,t],[36,0,15,"KeyF",36,"F",70,"VK_F",t,t],[37,0,16,"KeyG",37,"G",71,"VK_G",t,t],[38,0,17,"KeyH",38,"H",72,"VK_H",t,t],[39,0,18,"KeyI",39,"I",73,"VK_I",t,t],[40,0,19,"KeyJ",40,"J",74,"VK_J",t,t],[41,0,20,"KeyK",41,"K",75,"VK_K",t,t],[42,0,21,"KeyL",42,"L",76,"VK_L",t,t],[43,0,22,"KeyM",43,"M",77,"VK_M",t,t],[44,0,23,"KeyN",44,"N",78,"VK_N",t,t],[45,0,24,"KeyO",45,"O",79,"VK_O",t,t],[46,0,25,"KeyP",46,"P",80,"VK_P",t,t],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",t,t],[48,0,27,"KeyR",48,"R",82,"VK_R",t,t],[49,0,28,"KeyS",49,"S",83,"VK_S",t,t],[50,0,29,"KeyT",50,"T",84,"VK_T",t,t],[51,0,30,"KeyU",51,"U",85,"VK_U",t,t],[52,0,31,"KeyV",52,"V",86,"VK_V",t,t],[53,0,32,"KeyW",53,"W",87,"VK_W",t,t],[54,0,33,"KeyX",54,"X",88,"VK_X",t,t],[55,0,34,"KeyY",55,"Y",89,"VK_Y",t,t],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",t,t],[22,0,36,"Digit1",22,"1",49,"VK_1",t,t],[23,0,37,"Digit2",23,"2",50,"VK_2",t,t],[24,0,38,"Digit3",24,"3",51,"VK_3",t,t],[25,0,39,"Digit4",25,"4",52,"VK_4",t,t],[26,0,40,"Digit5",26,"5",53,"VK_5",t,t],[27,0,41,"Digit6",27,"6",54,"VK_6",t,t],[28,0,42,"Digit7",28,"7",55,"VK_7",t,t],[29,0,43,"Digit8",29,"8",56,"VK_8",t,t],[30,0,44,"Digit9",30,"9",57,"VK_9",t,t],[21,0,45,"Digit0",21,"0",48,"VK_0",t,t],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",t,t],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",t,t],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",t,t],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",t,t],[10,1,50,"Space",10,"Space",32,"VK_SPACE",t,t],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,t,0,t,t,t],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",t,t],[59,1,64,"F1",59,"F1",112,"VK_F1",t,t],[60,1,65,"F2",60,"F2",113,"VK_F2",t,t],[61,1,66,"F3",61,"F3",114,"VK_F3",t,t],[62,1,67,"F4",62,"F4",115,"VK_F4",t,t],[63,1,68,"F5",63,"F5",116,"VK_F5",t,t],[64,1,69,"F6",64,"F6",117,"VK_F6",t,t],[65,1,70,"F7",65,"F7",118,"VK_F7",t,t],[66,1,71,"F8",66,"F8",119,"VK_F8",t,t],[67,1,72,"F9",67,"F9",120,"VK_F9",t,t],[68,1,73,"F10",68,"F10",121,"VK_F10",t,t],[69,1,74,"F11",69,"F11",122,"VK_F11",t,t],[70,1,75,"F12",70,"F12",123,"VK_F12",t,t],[0,1,76,"PrintScreen",0,t,0,t,t,t],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",t,t],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",t,t],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",t,t],[14,1,80,"Home",14,"Home",36,"VK_HOME",t,t],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",t,t],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",t,t],[13,1,83,"End",13,"End",35,"VK_END",t,t],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",t,t],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",t],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",t],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",t],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",t],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",t,t],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",t,t],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",t,t],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",t,t],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",t,t],[3,1,94,"NumpadEnter",3,t,0,t,t,t],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",t,t],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",t,t],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",t,t],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",t,t],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",t,t],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",t,t],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",t,t],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",t,t],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",t,t],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",t,t],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",t,t],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",t,t],[58,1,107,"ContextMenu",58,"ContextMenu",93,t,t,t],[0,1,108,"Power",0,t,0,t,t,t],[0,1,109,"NumpadEqual",0,t,0,t,t,t],[71,1,110,"F13",71,"F13",124,"VK_F13",t,t],[72,1,111,"F14",72,"F14",125,"VK_F14",t,t],[73,1,112,"F15",73,"F15",126,"VK_F15",t,t],[74,1,113,"F16",74,"F16",127,"VK_F16",t,t],[75,1,114,"F17",75,"F17",128,"VK_F17",t,t],[76,1,115,"F18",76,"F18",129,"VK_F18",t,t],[77,1,116,"F19",77,"F19",130,"VK_F19",t,t],[0,1,117,"F20",0,t,0,"VK_F20",t,t],[0,1,118,"F21",0,t,0,"VK_F21",t,t],[0,1,119,"F22",0,t,0,"VK_F22",t,t],[0,1,120,"F23",0,t,0,"VK_F23",t,t],[0,1,121,"F24",0,t,0,"VK_F24",t,t],[0,1,122,"Open",0,t,0,t,t,t],[0,1,123,"Help",0,t,0,t,t,t],[0,1,124,"Select",0,t,0,t,t,t],[0,1,125,"Again",0,t,0,t,t,t],[0,1,126,"Undo",0,t,0,t,t,t],[0,1,127,"Cut",0,t,0,t,t,t],[0,1,128,"Copy",0,t,0,t,t,t],[0,1,129,"Paste",0,t,0,t,t,t],[0,1,130,"Find",0,t,0,t,t,t],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",t,t],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",t,t],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",t,t],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",t,t],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",t,t],[0,1,136,"KanaMode",0,t,0,t,t,t],[0,0,137,"IntlYen",0,t,0,t,t,t],[0,1,138,"Convert",0,t,0,t,t,t],[0,1,139,"NonConvert",0,t,0,t,t,t],[0,1,140,"Lang1",0,t,0,t,t,t],[0,1,141,"Lang2",0,t,0,t,t,t],[0,1,142,"Lang3",0,t,0,t,t,t],[0,1,143,"Lang4",0,t,0,t,t,t],[0,1,144,"Lang5",0,t,0,t,t,t],[0,1,145,"Abort",0,t,0,t,t,t],[0,1,146,"Props",0,t,0,t,t,t],[0,1,147,"NumpadParenLeft",0,t,0,t,t,t],[0,1,148,"NumpadParenRight",0,t,0,t,t,t],[0,1,149,"NumpadBackspace",0,t,0,t,t,t],[0,1,150,"NumpadMemoryStore",0,t,0,t,t,t],[0,1,151,"NumpadMemoryRecall",0,t,0,t,t,t],[0,1,152,"NumpadMemoryClear",0,t,0,t,t,t],[0,1,153,"NumpadMemoryAdd",0,t,0,t,t,t],[0,1,154,"NumpadMemorySubtract",0,t,0,t,t,t],[0,1,155,"NumpadClear",126,"Clear",12,"VK_CLEAR",t,t],[0,1,156,"NumpadClearEntry",0,t,0,t,t,t],[5,1,0,t,5,"Ctrl",17,"VK_CONTROL",t,t],[4,1,0,t,4,"Shift",16,"VK_SHIFT",t,t],[6,1,0,t,6,"Alt",18,"VK_MENU",t,t],[57,1,0,t,57,"Meta",0,"VK_COMMAND",t,t],[5,1,157,"ControlLeft",5,t,0,"VK_LCONTROL",t,t],[4,1,158,"ShiftLeft",4,t,0,"VK_LSHIFT",t,t],[6,1,159,"AltLeft",6,t,0,"VK_LMENU",t,t],[57,1,160,"MetaLeft",57,t,0,"VK_LWIN",t,t],[5,1,161,"ControlRight",5,t,0,"VK_RCONTROL",t,t],[4,1,162,"ShiftRight",4,t,0,"VK_RSHIFT",t,t],[6,1,163,"AltRight",6,t,0,"VK_RMENU",t,t],[57,1,164,"MetaRight",57,t,0,"VK_RWIN",t,t],[0,1,165,"BrightnessUp",0,t,0,t,t,t],[0,1,166,"BrightnessDown",0,t,0,t,t,t],[0,1,167,"MediaPlay",0,t,0,t,t,t],[0,1,168,"MediaRecord",0,t,0,t,t,t],[0,1,169,"MediaFastForward",0,t,0,t,t,t],[0,1,170,"MediaRewind",0,t,0,t,t,t],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",t,t],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",t,t],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",t,t],[0,1,174,"Eject",0,t,0,t,t,t],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",t,t],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",t,t],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",t,t],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",t,t],[0,1,179,"LaunchApp1",0,t,0,"VK_MEDIA_LAUNCH_APP1",t,t],[0,1,180,"SelectTask",0,t,0,t,t,t],[0,1,181,"LaunchScreenSaver",0,t,0,t,t,t],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",t,t],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",t,t],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",t,t],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",t,t],[0,1,186,"BrowserStop",0,t,0,"VK_BROWSER_STOP",t,t],[0,1,187,"BrowserRefresh",0,t,0,"VK_BROWSER_REFRESH",t,t],[0,1,188,"BrowserFavorites",0,t,0,"VK_BROWSER_FAVORITES",t,t],[0,1,189,"ZoomToggle",0,t,0,t,t,t],[0,1,190,"MailReply",0,t,0,t,t,t],[0,1,191,"MailForward",0,t,0,t,t,t],[0,1,192,"MailSend",0,t,0,t,t,t],[109,1,0,t,109,"KeyInComposition",229,t,t,t],[111,1,0,t,111,"ABNT_C2",194,"VK_ABNT_C2",t,t],[91,1,0,t,91,"OEM_8",223,"VK_OEM_8",t,t],[0,1,0,t,0,t,0,"VK_KANA",t,t],[0,1,0,t,0,t,0,"VK_HANGUL",t,t],[0,1,0,t,0,t,0,"VK_JUNJA",t,t],[0,1,0,t,0,t,0,"VK_FINAL",t,t],[0,1,0,t,0,t,0,"VK_HANJA",t,t],[0,1,0,t,0,t,0,"VK_KANJI",t,t],[0,1,0,t,0,t,0,"VK_CONVERT",t,t],[0,1,0,t,0,t,0,"VK_NONCONVERT",t,t],[0,1,0,t,0,t,0,"VK_ACCEPT",t,t],[0,1,0,t,0,t,0,"VK_MODECHANGE",t,t],[0,1,0,t,0,t,0,"VK_SELECT",t,t],[0,1,0,t,0,t,0,"VK_PRINT",t,t],[0,1,0,t,0,t,0,"VK_EXECUTE",t,t],[0,1,0,t,0,t,0,"VK_SNAPSHOT",t,t],[0,1,0,t,0,t,0,"VK_HELP",t,t],[0,1,0,t,0,t,0,"VK_APPS",t,t],[0,1,0,t,0,t,0,"VK_PROCESSKEY",t,t],[0,1,0,t,0,t,0,"VK_PACKET",t,t],[0,1,0,t,0,t,0,"VK_DBE_SBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_DBE_DBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_ATTN",t,t],[0,1,0,t,0,t,0,"VK_CRSEL",t,t],[0,1,0,t,0,t,0,"VK_EXSEL",t,t],[0,1,0,t,0,t,0,"VK_EREOF",t,t],[0,1,0,t,0,t,0,"VK_PLAY",t,t],[0,1,0,t,0,t,0,"VK_ZOOM",t,t],[0,1,0,t,0,t,0,"VK_NONAME",t,t],[0,1,0,t,0,t,0,"VK_PA1",t,t],[0,1,0,t,0,t,0,"VK_OEM_CLEAR",t,t]],l=[],m=[];for(const v of b){const[y,S,g,i,s,h,w,o,a,f]=v;if(m[g]||(m[g]=!0,p[g]=i,C[i]=g,u[i.toLowerCase()]=g,S&&(r.IMMUTABLE_CODE_TO_KEY_CODE[g]=s,s!==0&&s!==3&&s!==5&&s!==4&&s!==6&&s!==57&&(r.IMMUTABLE_KEY_CODE_TO_CODE[s]=g))),!l[s]){if(l[s]=!0,!h)throw new Error(`String representation missing for key code ${s} around scan code ${i}`);e.define(s,h),A.define(s,a||h),c.define(s,f||a||h)}w&&(r.EVENT_KEY_CODE_MAP[w]=s),o&&(r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[o]=s)}r.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var d;(function(t){function b(g){return e.keyCodeToStr(g)}t.toString=b;function l(g){return e.strToKeyCode(g)}t.fromString=l;function m(g){return A.keyCodeToStr(g)}t.toUserSettingsUS=m;function v(g){return c.keyCodeToStr(g)}t.toUserSettingsGeneral=v;function y(g){return A.strToKeyCode(g)||c.strToKeyCode(g)}t.fromUserSettings=y;function S(g){if(g>=93&&g<=108)return null;switch(g){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return e.keyCodeToStr(g)}t.toElectronAccelerator=S})(d=r.KeyCodeUtils||(r.KeyCodeUtils={}));function L(t,b){const l=(b&65535)<<16>>>0;return(t|l)>>>0}r.KeyChord=L}),Y(X[28],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Lazy=void 0;class N{constructor(A){this.executor=A,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(A){this._error=A}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}}r.Lazy=N}),Y(X[7],Z([0,1,26,12]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.ImmortalReference=r.SafeDisposable=r.RefCountedDisposable=r.MutableDisposable=r.Disposable=r.DisposableStore=r.toDisposable=r.combinedDisposable=r.dispose=r.isDisposable=r.MultiDisposeError=r.markAsSingleton=r.setDisposableTracker=void 0;const A=!1;let c=null;function p(o){c=o}if(r.setDisposableTracker=p,A){const o="__is_disposable_tracked__";p(new class{trackDisposable(a){const f=new Error("Potentially leaked disposable").stack;setTimeout(()=>{a[o]||console.log(f)},3e3)}setParent(a,f){if(a&&a!==g.None)try{a[o]=!0}catch{}}markAsDisposed(a){if(a&&a!==g.None)try{a[o]=!0}catch{}}markAsSingleton(a){}})}function C(o){return c==null||c.trackDisposable(o),o}function u(o){c==null||c.markAsDisposed(o)}function d(o,a){c==null||c.setParent(o,a)}function L(o,a){if(!!c)for(const f of o)c.setParent(f,a)}function t(o){return c==null||c.markAsSingleton(o),o}r.markAsSingleton=t;class b extends Error{constructor(a){super(`Encountered errors while disposing of store. Errors: [${a.join(", ")}]`);this.errors=a}}r.MultiDisposeError=b;function l(o){return typeof o.dispose=="function"&&o.dispose.length===0}r.isDisposable=l;function m(o){if(e.Iterable.is(o)){const a=[];for(const f of o)if(f)try{f.dispose()}catch(_){a.push(_)}if(a.length===1)throw a[0];if(a.length>1)throw new b(a);return Array.isArray(o)?[]:o}else if(o)return o.dispose(),o}r.dispose=m;function v(...o){const a=y(()=>m(o));return L(o,a),a}r.combinedDisposable=v;function y(o){const a=C({dispose:(0,N.once)(()=>{u(a),o()})});return a}r.toDisposable=y;class S{constructor(){this._toDispose=new Set,this._isDisposed=!1,C(this)}dispose(){this._isDisposed||(u(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{m(this._toDispose.values())}finally{this._toDispose.clear()}}add(a){if(!a)return a;if(a===this)throw new Error("Cannot register a disposable on itself!");return d(a,this),this._isDisposed?S.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(a),a}}r.DisposableStore=S,S.DISABLE_DISPOSED_WARNING=!1;class g{constructor(){this._store=new S,C(this),d(this._store,this)}dispose(){u(this),this._store.dispose()}_register(a){if(a===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(a)}}r.Disposable=g,g.None=Object.freeze({dispose(){}});class i{constructor(){this._isDisposed=!1,C(this)}get value(){return this._isDisposed?void 0:this._value}set value(a){var f;this._isDisposed||a===this._value||((f=this._value)===null||f===void 0||f.dispose(),a&&d(a,this),this._value=a)}clear(){this.value=void 0}dispose(){var a;this._isDisposed=!0,u(this),(a=this._value)===null||a===void 0||a.dispose(),this._value=void 0}clearAndLeak(){const a=this._value;return this._value=void 0,a&&d(a,null),a}}r.MutableDisposable=i;class s{constructor(a){this._disposable=a,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}r.RefCountedDisposable=s;class h{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,C(this)}set(a){let f=a;return this.unset=()=>f=void 0,this.isset=()=>f!==void 0,this.dispose=()=>{f&&(f(),f=void 0,u(this))},this}}r.SafeDisposable=h;class w{constructor(a){this.object=a}dispose(){}}r.ImmortalReference=w}),Y(X[13],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LinkedList=void 0;class N{constructor(c){this.element=c,this.next=N.Undefined,this.prev=N.Undefined}}N.Undefined=new N(void 0);class e{constructor(){this._first=N.Undefined,this._last=N.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===N.Undefined}clear(){let c=this._first;for(;c!==N.Undefined;){const p=c.next;c.prev=N.Undefined,c.next=N.Undefined,c=p}this._first=N.Undefined,this._last=N.Undefined,this._size=0}unshift(c){return this._insert(c,!1)}push(c){return this._insert(c,!0)}_insert(c,p){const C=new N(c);if(this._first===N.Undefined)this._first=C,this._last=C;else if(p){const d=this._last;this._last=C,C.prev=d,d.next=C}else{const d=this._first;this._first=C,C.next=d,d.prev=C}this._size+=1;let u=!1;return()=>{u||(u=!0,this._remove(C))}}shift(){if(this._first!==N.Undefined){const c=this._first.element;return this._remove(this._first),c}}pop(){if(this._last!==N.Undefined){const c=this._last.element;return this._remove(this._last),c}}_remove(c){if(c.prev!==N.Undefined&&c.next!==N.Undefined){const p=c.prev;p.next=c.next,c.next.prev=p}else c.prev===N.Undefined&&c.next===N.Undefined?(this._first=N.Undefined,this._last=N.Undefined):c.next===N.Undefined?(this._last=this._last.prev,this._last.next=N.Undefined):c.prev===N.Undefined&&(this._first=this._first.next,this._first.prev=N.Undefined);this._size-=1}*[Symbol.iterator](){let c=this._first;for(;c!==N.Undefined;)yield c.element,c=c.next}}r.LinkedList=e}),Y(X[4],Z([0,1,23,28]),function(F,r,N,e){"use strict";var A;Object.defineProperty(r,"__esModule",{value:!0}),r.InvisibleCharacters=r.AmbiguousCharacters=r.noBreakWhitespace=r.getLeftDeleteOffset=r.singleLetterHash=r.containsUppercaseCharacter=r.startsWithUTF8BOM=r.UTF8_BOM_CHARACTER=r.isEmojiImprecise=r.isFullWidthCharacter=r.containsUnusualLineTerminators=r.UNUSUAL_LINE_TERMINATORS=r.isBasicASCII=r.containsRTL=r.getCharContainingOffset=r.prevCharLength=r.nextCharLength=r.GraphemeIterator=r.CodePointIterator=r.getNextCodePoint=r.computeCodePoint=r.isLowSurrogate=r.isHighSurrogate=r.commonSuffixLength=r.commonPrefixLength=r.startsWithIgnoreCase=r.equalsIgnoreCase=r.isUpperAsciiLetter=r.isLowerAsciiLetter=r.isAsciiDigit=r.compareSubstringIgnoreCase=r.compareIgnoreCase=r.compareSubstring=r.compare=r.lastNonWhitespaceIndex=r.getLeadingWhitespace=r.firstNonWhitespaceIndex=r.splitLines=r.regExpFlags=r.regExpLeadsToEndlessLoop=r.createRegExp=r.stripWildcards=r.convertSimple2RegExpPattern=r.rtrim=r.ltrim=r.trim=r.escapeRegExpCharacters=r.escape=r.format=r.isFalsyOrWhitespace=void 0;function c(R){return!R||typeof R!="string"?!0:R.trim().length===0}r.isFalsyOrWhitespace=c;const p=/{(\d+)}/g;function C(R,...k){return k.length===0?R:R.replace(p,function(q,z){const J=parseInt(z,10);return isNaN(J)||J<0||J>=k.length?q:k[J]})}r.format=C;function u(R){return R.replace(/[<>&]/g,function(k){switch(k){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return k}})}r.escape=u;function d(R){return R.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}r.escapeRegExpCharacters=d;function L(R,k=" "){const q=t(R,k);return b(q,k)}r.trim=L;function t(R,k){if(!R||!k)return R;const q=k.length;if(q===0||R.length===0)return R;let z=0;for(;R.indexOf(k,z)===z;)z=z+q;return R.substring(z)}r.ltrim=t;function b(R,k){if(!R||!k)return R;const q=k.length,z=R.length;if(q===0||z===0)return R;let J=z,ne=-1;for(;ne=R.lastIndexOf(k,J-1),!(ne===-1||ne+q!==J);){if(ne===0)return"";J=ne}return R.substring(0,J)}r.rtrim=b;function l(R){return R.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}r.convertSimple2RegExpPattern=l;function m(R){return R.replace(/\*/g,"")}r.stripWildcards=m;function v(R,k,q={}){if(!R)throw new Error("Cannot create regex from empty string");k||(R=d(R)),q.wholeWord&&(/\B/.test(R.charAt(0))||(R="\\b"+R),/\B/.test(R.charAt(R.length-1))||(R=R+"\\b"));let z="";return q.global&&(z+="g"),q.matchCase||(z+="i"),q.multiline&&(z+="m"),q.unicode&&(z+="u"),new RegExp(R,z)}r.createRegExp=v;function y(R){return R.source==="^"||R.source==="^$"||R.source==="$"||R.source==="^\\s*$"?!1:!!(R.exec("")&&R.lastIndex===0)}r.regExpLeadsToEndlessLoop=y;function S(R){return(R.global?"g":"")+(R.ignoreCase?"i":"")+(R.multiline?"m":"")+(R.unicode?"u":"")}r.regExpFlags=S;function g(R){return R.split(/\r\n|\r|\n/)}r.splitLines=g;function i(R){for(let k=0,q=R.length;k<q;k++){const z=R.charCodeAt(k);if(z!==32&&z!==9)return k}return-1}r.firstNonWhitespaceIndex=i;function s(R,k=0,q=R.length){for(let z=k;z<q;z++){const J=R.charCodeAt(z);if(J!==32&&J!==9)return R.substring(k,z)}return R.substring(k,q)}r.getLeadingWhitespace=s;function h(R,k=R.length-1){for(let q=k;q>=0;q--){const z=R.charCodeAt(q);if(z!==32&&z!==9)return q}return-1}r.lastNonWhitespaceIndex=h;function w(R,k){return R<k?-1:R>k?1:0}r.compare=w;function o(R,k,q=0,z=R.length,J=0,ne=k.length){for(;q<z&&J<ne;q++,J++){const he=R.charCodeAt(q),re=k.charCodeAt(J);if(he<re)return-1;if(he>re)return 1}const oe=z-q,be=ne-J;return oe<be?-1:oe>be?1:0}r.compareSubstring=o;function a(R,k){return f(R,k,0,R.length,0,k.length)}r.compareIgnoreCase=a;function f(R,k,q=0,z=R.length,J=0,ne=k.length){for(;q<z&&J<ne;q++,J++){let he=R.charCodeAt(q),re=k.charCodeAt(J);if(he===re)continue;if(he>=128||re>=128)return o(R.toLowerCase(),k.toLowerCase(),q,z,J,ne);E(he)&&(he-=32),E(re)&&(re-=32);const ce=he-re;if(ce!==0)return ce}const oe=z-q,be=ne-J;return oe<be?-1:oe>be?1:0}r.compareSubstringIgnoreCase=f;function _(R){return R>=48&&R<=57}r.isAsciiDigit=_;function E(R){return R>=97&&R<=122}r.isLowerAsciiLetter=E;function M(R){return R>=65&&R<=90}r.isUpperAsciiLetter=M;function P(R,k){return R.length===k.length&&f(R,k)===0}r.equalsIgnoreCase=P;function D(R,k){const q=k.length;return k.length>R.length?!1:f(R,k,0,q)===0}r.startsWithIgnoreCase=D;function B(R,k){const q=Math.min(R.length,k.length);let z;for(z=0;z<q;z++)if(R.charCodeAt(z)!==k.charCodeAt(z))return z;return q}r.commonPrefixLength=B;function V(R,k){const q=Math.min(R.length,k.length);let z;const J=R.length-1,ne=k.length-1;for(z=0;z<q;z++)if(R.charCodeAt(J-z)!==k.charCodeAt(ne-z))return z;return q}r.commonSuffixLength=V;function H(R){return 55296<=R&&R<=56319}r.isHighSurrogate=H;function W(R){return 56320<=R&&R<=57343}r.isLowSurrogate=W;function I(R,k){return(R-55296<<10)+(k-56320)+65536}r.computeCodePoint=I;function U(R,k,q){const z=R.charCodeAt(q);if(H(z)&&q+1<k){const J=R.charCodeAt(q+1);if(W(J))return I(z,J)}return z}r.getNextCodePoint=U;function T(R,k){const q=R.charCodeAt(k-1);if(W(q)&&k>1){const z=R.charCodeAt(k-2);if(H(z))return I(z,q)}return q}class O{constructor(k,q=0){this._str=k,this._len=k.length,this._offset=q}get offset(){return this._offset}setOffset(k){this._offset=k}prevCodePoint(){const k=T(this._str,this._offset);return this._offset-=k>=65536?2:1,k}nextCodePoint(){const k=U(this._str,this._len,this._offset);return this._offset+=k>=65536?2:1,k}eol(){return this._offset>=this._len}}r.CodePointIterator=O;class ${constructor(k,q=0){this._iterator=new O(k,q)}get offset(){return this._iterator.offset}nextGraphemeLength(){const k=ue.getInstance(),q=this._iterator,z=q.offset;let J=k.getGraphemeBreakType(q.nextCodePoint());for(;!q.eol();){const ne=q.offset,oe=k.getGraphemeBreakType(q.nextCodePoint());if(me(J,oe)){q.setOffset(ne);break}J=oe}return q.offset-z}prevGraphemeLength(){const k=ue.getInstance(),q=this._iterator,z=q.offset;let J=k.getGraphemeBreakType(q.prevCodePoint());for(;q.offset>0;){const ne=q.offset,oe=k.getGraphemeBreakType(q.prevCodePoint());if(me(oe,J)){q.setOffset(ne);break}J=oe}return z-q.offset}eol(){return this._iterator.eol()}}r.GraphemeIterator=$;function n(R,k){return new $(R,k).nextGraphemeLength()}r.nextCharLength=n;function se(R,k){return new $(R,k).prevGraphemeLength()}r.prevCharLength=se;function ge(R,k){k>0&&W(R.charCodeAt(k))&&k--;const q=k+n(R,k);return[q-se(R,q),q]}r.getCharContainingOffset=ge;const _e=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function ye(R){return _e.test(R)}r.containsRTL=ye;const K=/^[\t\n\r\x20-\x7E]*$/;function j(R){return K.test(R)}r.isBasicASCII=j,r.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function G(R){return r.UNUSUAL_LINE_TERMINATORS.test(R)}r.containsUnusualLineTerminators=G;function Q(R){return R>=11904&&R<=55215||R>=63744&&R<=64255||R>=65281&&R<=65374}r.isFullWidthCharacter=Q;function x(R){return R>=127462&&R<=127487||R===8986||R===8987||R===9200||R===9203||R>=9728&&R<=10175||R===11088||R===11093||R>=127744&&R<=128591||R>=128640&&R<=128764||R>=128992&&R<=129008||R>=129280&&R<=129535||R>=129648&&R<=129782}r.isEmojiImprecise=x,r.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ee(R){return!!(R&&R.length>0&&R.charCodeAt(0)===65279)}r.startsWithUTF8BOM=ee;function te(R,k=!1){return R?(k&&(R=R.replace(/\\./g,"")),R.toLowerCase()!==R):!1}r.containsUppercaseCharacter=te;function ae(R){const k=90-65+1;return R=R%(2*k),R<k?String.fromCharCode(97+R):String.fromCharCode(65+R-k)}r.singleLetterHash=ae;function me(R,k){return R===0?k!==5&&k!==7:R===2&&k===3?!1:R===4||R===2||R===3||k===4||k===2||k===3?!0:!(R===8&&(k===8||k===9||k===11||k===12)||(R===11||R===9)&&(k===9||k===10)||(R===12||R===10)&&k===10||k===5||k===13||k===7||R===1||R===13&&k===14||R===6&&k===6)}class ue{constructor(){this._data=ve()}static getInstance(){return ue._INSTANCE||(ue._INSTANCE=new ue),ue._INSTANCE}getGraphemeBreakType(k){if(k<32)return k===10?3:k===13?2:4;if(k<127)return 0;const q=this._data,z=q.length/3;let J=1;for(;J<=z;)if(k<q[3*J])J=2*J;else if(k>q[3*J+1])J=2*J+1;else return q[3*J+2];return 0}}ue._INSTANCE=null;function ve(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Ce(R,k){if(R===0)return 0;const q=Le(R,k);if(q!==void 0)return q;const z=new O(k,R);return z.prevCodePoint(),z.offset}r.getLeftDeleteOffset=Ce;function Le(R,k){const q=new O(k,R);let z=q.prevCodePoint();for(;Se(z)||z===65039||z===8419;){if(q.offset===0)return;z=q.prevCodePoint()}if(!x(z))return;let J=q.offset;return J>0&&q.prevCodePoint()===8205&&(J=q.offset),J}function Se(R){return 127995<=R&&R<=127999}r.noBreakWhitespace="\xA0";class fe{constructor(k){this.confusableDictionary=k}static getInstance(k){return fe.cache.get(Array.from(k))}static getLocales(){return fe._locales.getValue()}isAmbiguous(k){return this.confusableDictionary.has(k)}getPrimaryConfusable(k){return this.confusableDictionary.get(k)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}r.AmbiguousCharacters=fe,A=fe,fe.ambiguousCharacterData=new e.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),fe.cache=new N.LRUCachedFunction(R=>{function k(re){const ce=new Map;for(let de=0;de<re.length;de+=2)ce.set(re[de],re[de+1]);return ce}function q(re,ce){const de=new Map(re);for(const[pe,Ae]of ce)de.set(pe,Ae);return de}function z(re,ce){if(!re)return ce;const de=new Map;for(const[pe,Ae]of re)ce.has(pe)&&de.set(pe,Ae);return de}const J=A.ambiguousCharacterData.getValue();let ne=R.filter(re=>!re.startsWith("_")&&re in J);ne.length===0&&(ne=["_default"]);let oe;for(const re of ne){const ce=k(J[re]);oe=z(oe,ce)}const be=k(J._common),he=q(be,oe);return new fe(he)}),fe._locales=new e.Lazy(()=>Object.keys(fe.ambiguousCharacterData.getValue()).filter(R=>!R.startsWith("_")));class we{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(we.getRawData())),this._data}static isInvisibleCharacter(k){return we.getData().has(k)}static get codePoints(){return we.getData()}}r.InvisibleCharacters=we,we._data=void 0}),Y(X[29],Z([0,1,4]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StringSHA1=r.toHexString=r.stringHash=r.numberHash=r.doHash=r.hash=void 0;function e(v){return A(v,0)}r.hash=e;function A(v,y){switch(typeof v){case"object":return v===null?c(349,y):Array.isArray(v)?u(v,y):d(v,y);case"string":return C(v,y);case"boolean":return p(v,y);case"number":return c(v,y);case"undefined":return c(937,y);default:return c(617,y)}}r.doHash=A;function c(v,y){return(y<<5)-y+v|0}r.numberHash=c;function p(v,y){return c(v?433:863,y)}function C(v,y){y=c(149417,y);for(let S=0,g=v.length;S<g;S++)y=c(v.charCodeAt(S),y);return y}r.stringHash=C;function u(v,y){return y=c(104579,y),v.reduce((S,g)=>A(g,S),y)}function d(v,y){return y=c(181387,y),Object.keys(v).sort().reduce((S,g)=>(S=C(g,S),A(v[g],S)),y)}function L(v,y,S=32){const g=S-y,i=~((1<<g)-1);return(v<<y|(i&v)>>>g)>>>0}function t(v,y=0,S=v.byteLength,g=0){for(let i=0;i<S;i++)v[y+i]=g}function b(v,y,S="0"){for(;v.length<y;)v=S+v;return v}function l(v,y=32){return v instanceof ArrayBuffer?Array.from(new Uint8Array(v)).map(S=>S.toString(16).padStart(2,"0")).join(""):b((v>>>0).toString(16),y/4)}r.toHexString=l;class m{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(y){const S=y.length;if(S===0)return;const g=this._buff;let i=this._buffLen,s=this._leftoverHighSurrogate,h,w;for(s!==0?(h=s,w=-1,s=0):(h=y.charCodeAt(0),w=0);;){let o=h;if(N.isHighSurrogate(h))if(w+1<S){const a=y.charCodeAt(w+1);N.isLowSurrogate(a)?(w++,o=N.computeCodePoint(h,a)):o=65533}else{s=h;break}else N.isLowSurrogate(h)&&(o=65533);if(i=this._push(g,i,o),w++,w<S)h=y.charCodeAt(w);else break}this._buffLen=i,this._leftoverHighSurrogate=s}_push(y,S,g){return g<128?y[S++]=g:g<2048?(y[S++]=192|(g&1984)>>>6,y[S++]=128|(g&63)>>>0):g<65536?(y[S++]=224|(g&61440)>>>12,y[S++]=128|(g&4032)>>>6,y[S++]=128|(g&63)>>>0):(y[S++]=240|(g&1835008)>>>18,y[S++]=128|(g&258048)>>>12,y[S++]=128|(g&4032)>>>6,y[S++]=128|(g&63)>>>0),S>=64&&(this._step(),S-=64,this._totalLen+=64,y[0]=y[64+0],y[1]=y[64+1],y[2]=y[64+2]),S}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),l(this._h0)+l(this._h1)+l(this._h2)+l(this._h3)+l(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,t(this._buff,this._buffLen),this._buffLen>56&&(this._step(),t(this._buff));const y=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(y/4294967296),!1),this._buffDV.setUint32(60,y%4294967296,!1),this._step()}_step(){const y=m._bigBlock32,S=this._buffDV;for(let _=0;_<64;_+=4)y.setUint32(_,S.getUint32(_,!1),!1);for(let _=64;_<320;_+=4)y.setUint32(_,L(y.getUint32(_-12,!1)^y.getUint32(_-32,!1)^y.getUint32(_-56,!1)^y.getUint32(_-64,!1),1),!1);let g=this._h0,i=this._h1,s=this._h2,h=this._h3,w=this._h4,o,a,f;for(let _=0;_<80;_++)_<20?(o=i&s|~i&h,a=1518500249):_<40?(o=i^s^h,a=1859775393):_<60?(o=i&s|i&h|s&h,a=2400959708):(o=i^s^h,a=3395469782),f=L(g,5)+o+w+a+y.getUint32(_*4,!1)&4294967295,w=h,h=s,s=L(i,30),i=g,g=f;this._h0=this._h0+g&4294967295,this._h1=this._h1+i&4294967295,this._h2=this._h2+s&4294967295,this._h3=this._h3+h&4294967295,this._h4=this._h4+w&4294967295}}r.StringSHA1=m,m._bigBlock32=new DataView(new ArrayBuffer(320))}),Y(X[14],Z([0,1,25,29]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LcsDiff=r.MyArray=r.Debug=r.stringDiff=r.StringDiffSequence=void 0;class A{constructor(t){this.source=t}getElements(){const t=this.source,b=new Int32Array(t.length);for(let l=0,m=t.length;l<m;l++)b[l]=t.charCodeAt(l);return b}}r.StringDiffSequence=A;function c(L,t,b){return new d(new A(L),new A(t)).ComputeDiff(b).changes}r.stringDiff=c;class p{static Assert(t,b){if(!t)throw new Error(b)}}r.Debug=p;class C{static Copy(t,b,l,m,v){for(let y=0;y<v;y++)l[m+y]=t[b+y]}static Copy2(t,b,l,m,v){for(let y=0;y<v;y++)l[m+y]=t[b+y]}}r.MyArray=C;class u{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new N.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(t,b){this.m_originalStart=Math.min(this.m_originalStart,t),this.m_modifiedStart=Math.min(this.m_modifiedStart,b),this.m_originalCount++}AddModifiedElement(t,b){this.m_originalStart=Math.min(this.m_originalStart,t),this.m_modifiedStart=Math.min(this.m_modifiedStart,b),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class d{constructor(t,b,l=null){this.ContinueProcessingPredicate=l,this._originalSequence=t,this._modifiedSequence=b;const[m,v,y]=d._getElements(t),[S,g,i]=d._getElements(b);this._hasStrings=y&&i,this._originalStringElements=m,this._originalElementsOrHash=v,this._modifiedStringElements=S,this._modifiedElementsOrHash=g,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(t){return t.length>0&&typeof t[0]=="string"}static _getElements(t){const b=t.getElements();if(d._isStringArray(b)){const l=new Int32Array(b.length);for(let m=0,v=b.length;m<v;m++)l[m]=(0,e.stringHash)(b[m],0);return[b,l,!0]}return b instanceof Int32Array?[[],b,!1]:[[],new Int32Array(b),!1]}ElementsAreEqual(t,b){return this._originalElementsOrHash[t]!==this._modifiedElementsOrHash[b]?!1:this._hasStrings?this._originalStringElements[t]===this._modifiedStringElements[b]:!0}ElementsAreStrictEqual(t,b){if(!this.ElementsAreEqual(t,b))return!1;const l=d._getStrictElement(this._originalSequence,t),m=d._getStrictElement(this._modifiedSequence,b);return l===m}static _getStrictElement(t,b){return typeof t.getStrictElement=="function"?t.getStrictElement(b):null}OriginalElementsAreEqual(t,b){return this._originalElementsOrHash[t]!==this._originalElementsOrHash[b]?!1:this._hasStrings?this._originalStringElements[t]===this._originalStringElements[b]:!0}ModifiedElementsAreEqual(t,b){return this._modifiedElementsOrHash[t]!==this._modifiedElementsOrHash[b]?!1:this._hasStrings?this._modifiedStringElements[t]===this._modifiedStringElements[b]:!0}ComputeDiff(t){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,t)}_ComputeDiff(t,b,l,m,v){const y=[!1];let S=this.ComputeDiffRecursive(t,b,l,m,y);return v&&(S=this.PrettifyChanges(S)),{quitEarly:y[0],changes:S}}ComputeDiffRecursive(t,b,l,m,v){for(v[0]=!1;t<=b&&l<=m&&this.ElementsAreEqual(t,l);)t++,l++;for(;b>=t&&m>=l&&this.ElementsAreEqual(b,m);)b--,m--;if(t>b||l>m){let h;return l<=m?(p.Assert(t===b+1,"originalStart should only be one more than originalEnd"),h=[new N.DiffChange(t,0,l,m-l+1)]):t<=b?(p.Assert(l===m+1,"modifiedStart should only be one more than modifiedEnd"),h=[new N.DiffChange(t,b-t+1,l,0)]):(p.Assert(t===b+1,"originalStart should only be one more than originalEnd"),p.Assert(l===m+1,"modifiedStart should only be one more than modifiedEnd"),h=[]),h}const y=[0],S=[0],g=this.ComputeRecursionPoint(t,b,l,m,y,S,v),i=y[0],s=S[0];if(g!==null)return g;if(!v[0]){const h=this.ComputeDiffRecursive(t,i,l,s,v);let w=[];return v[0]?w=[new N.DiffChange(i+1,b-(i+1)+1,s+1,m-(s+1)+1)]:w=this.ComputeDiffRecursive(i+1,b,s+1,m,v),this.ConcatenateChanges(h,w)}return[new N.DiffChange(t,b-t+1,l,m-l+1)]}WALKTRACE(t,b,l,m,v,y,S,g,i,s,h,w,o,a,f,_,E,M){let P=null,D=null,B=new u,V=b,H=l,W=o[0]-_[0]-m,I=-1073741824,U=this.m_forwardHistory.length-1;do{const T=W+t;T===V||T<H&&i[T-1]<i[T+1]?(h=i[T+1],a=h-W-m,h<I&&B.MarkNextChange(),I=h,B.AddModifiedElement(h+1,a),W=T+1-t):(h=i[T-1]+1,a=h-W-m,h<I&&B.MarkNextChange(),I=h-1,B.AddOriginalElement(h,a+1),W=T-1-t),U>=0&&(i=this.m_forwardHistory[U],t=i[0],V=1,H=i.length-1)}while(--U>=-1);if(P=B.getReverseChanges(),M[0]){let T=o[0]+1,O=_[0]+1;if(P!==null&&P.length>0){const $=P[P.length-1];T=Math.max(T,$.getOriginalEnd()),O=Math.max(O,$.getModifiedEnd())}D=[new N.DiffChange(T,w-T+1,O,f-O+1)]}else{B=new u,V=y,H=S,W=o[0]-_[0]-g,I=1073741824,U=E?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const T=W+v;T===V||T<H&&s[T-1]>=s[T+1]?(h=s[T+1]-1,a=h-W-g,h>I&&B.MarkNextChange(),I=h+1,B.AddOriginalElement(h+1,a+1),W=T+1-v):(h=s[T-1],a=h-W-g,h>I&&B.MarkNextChange(),I=h,B.AddModifiedElement(h+1,a+1),W=T-1-v),U>=0&&(s=this.m_reverseHistory[U],v=s[0],V=1,H=s.length-1)}while(--U>=-1);D=B.getChanges()}return this.ConcatenateChanges(P,D)}ComputeRecursionPoint(t,b,l,m,v,y,S){let g=0,i=0,s=0,h=0,w=0,o=0;t--,l--,v[0]=0,y[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const a=b-t+(m-l),f=a+1,_=new Int32Array(f),E=new Int32Array(f),M=m-l,P=b-t,D=t-l,B=b-m,H=(P-M)%2==0;_[M]=t,E[P]=b,S[0]=!1;for(let W=1;W<=a/2+1;W++){let I=0,U=0;s=this.ClipDiagonalBound(M-W,W,M,f),h=this.ClipDiagonalBound(M+W,W,M,f);for(let O=s;O<=h;O+=2){O===s||O<h&&_[O-1]<_[O+1]?g=_[O+1]:g=_[O-1]+1,i=g-(O-M)-D;const $=g;for(;g<b&&i<m&&this.ElementsAreEqual(g+1,i+1);)g++,i++;if(_[O]=g,g+i>I+U&&(I=g,U=i),!H&&Math.abs(O-P)<=W-1&&g>=E[O])return v[0]=g,y[0]=i,$<=E[O]&&1447>0&&W<=1447+1?this.WALKTRACE(M,s,h,D,P,w,o,B,_,E,g,b,v,i,m,y,H,S):null}const T=(I-t+(U-l)-W)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(I,T))return S[0]=!0,v[0]=I,y[0]=U,T>0&&1447>0&&W<=1447+1?this.WALKTRACE(M,s,h,D,P,w,o,B,_,E,g,b,v,i,m,y,H,S):(t++,l++,[new N.DiffChange(t,b-t+1,l,m-l+1)]);w=this.ClipDiagonalBound(P-W,W,P,f),o=this.ClipDiagonalBound(P+W,W,P,f);for(let O=w;O<=o;O+=2){O===w||O<o&&E[O-1]>=E[O+1]?g=E[O+1]-1:g=E[O-1],i=g-(O-P)-B;const $=g;for(;g>t&&i>l&&this.ElementsAreEqual(g,i);)g--,i--;if(E[O]=g,H&&Math.abs(O-M)<=W&&g<=_[O])return v[0]=g,y[0]=i,$>=_[O]&&1447>0&&W<=1447+1?this.WALKTRACE(M,s,h,D,P,w,o,B,_,E,g,b,v,i,m,y,H,S):null}if(W<=1447){let O=new Int32Array(h-s+2);O[0]=M-s+1,C.Copy2(_,s,O,1,h-s+1),this.m_forwardHistory.push(O),O=new Int32Array(o-w+2),O[0]=P-w+1,C.Copy2(E,w,O,1,o-w+1),this.m_reverseHistory.push(O)}}return this.WALKTRACE(M,s,h,D,P,w,o,B,_,E,g,b,v,i,m,y,H,S)}PrettifyChanges(t){for(let b=0;b<t.length;b++){const l=t[b],m=b<t.length-1?t[b+1].originalStart:this._originalElementsOrHash.length,v=b<t.length-1?t[b+1].modifiedStart:this._modifiedElementsOrHash.length,y=l.originalLength>0,S=l.modifiedLength>0;for(;l.originalStart+l.originalLength<m&&l.modifiedStart+l.modifiedLength<v&&(!y||this.OriginalElementsAreEqual(l.originalStart,l.originalStart+l.originalLength))&&(!S||this.ModifiedElementsAreEqual(l.modifiedStart,l.modifiedStart+l.modifiedLength));){const i=this.ElementsAreStrictEqual(l.originalStart,l.modifiedStart);if(this.ElementsAreStrictEqual(l.originalStart+l.originalLength,l.modifiedStart+l.modifiedLength)&&!i)break;l.originalStart++,l.modifiedStart++}const g=[null];if(b<t.length-1&&this.ChangesOverlap(t[b],t[b+1],g)){t[b]=g[0],t.splice(b+1,1),b--;continue}}for(let b=t.length-1;b>=0;b--){const l=t[b];let m=0,v=0;if(b>0){const h=t[b-1];m=h.originalStart+h.originalLength,v=h.modifiedStart+h.modifiedLength}const y=l.originalLength>0,S=l.modifiedLength>0;let g=0,i=this._boundaryScore(l.originalStart,l.originalLength,l.modifiedStart,l.modifiedLength);for(let h=1;;h++){const w=l.originalStart-h,o=l.modifiedStart-h;if(w<m||o<v||y&&!this.OriginalElementsAreEqual(w,w+l.originalLength)||S&&!this.ModifiedElementsAreEqual(o,o+l.modifiedLength))break;const f=(w===m&&o===v?5:0)+this._boundaryScore(w,l.originalLength,o,l.modifiedLength);f>i&&(i=f,g=h)}l.originalStart-=g,l.modifiedStart-=g;const s=[null];if(b>0&&this.ChangesOverlap(t[b-1],t[b],s)){t[b-1]=s[0],t.splice(b,1),b++;continue}}if(this._hasStrings)for(let b=1,l=t.length;b<l;b++){const m=t[b-1],v=t[b],y=v.originalStart-m.originalStart-m.originalLength,S=m.originalStart,g=v.originalStart+v.originalLength,i=g-S,s=m.modifiedStart,h=v.modifiedStart+v.modifiedLength,w=h-s;if(y<5&&i<20&&w<20){const o=this._findBetterContiguousSequence(S,i,s,w,y);if(o){const[a,f]=o;(a!==m.originalStart+m.originalLength||f!==m.modifiedStart+m.modifiedLength)&&(m.originalLength=a-m.originalStart,m.modifiedLength=f-m.modifiedStart,v.originalStart=a+y,v.modifiedStart=f+y,v.originalLength=g-v.originalStart,v.modifiedLength=h-v.modifiedStart)}}}return t}_findBetterContiguousSequence(t,b,l,m,v){if(b<v||m<v)return null;const y=t+b-v+1,S=l+m-v+1;let g=0,i=0,s=0;for(let h=t;h<y;h++)for(let w=l;w<S;w++){const o=this._contiguousSequenceScore(h,w,v);o>0&&o>g&&(g=o,i=h,s=w)}return g>0?[i,s]:null}_contiguousSequenceScore(t,b,l){let m=0;for(let v=0;v<l;v++){if(!this.ElementsAreEqual(t+v,b+v))return 0;m+=this._originalStringElements[t+v].length}return m}_OriginalIsBoundary(t){return t<=0||t>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[t])}_OriginalRegionIsBoundary(t,b){if(this._OriginalIsBoundary(t)||this._OriginalIsBoundary(t-1))return!0;if(b>0){const l=t+b;if(this._OriginalIsBoundary(l-1)||this._OriginalIsBoundary(l))return!0}return!1}_ModifiedIsBoundary(t){return t<=0||t>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[t])}_ModifiedRegionIsBoundary(t,b){if(this._ModifiedIsBoundary(t)||this._ModifiedIsBoundary(t-1))return!0;if(b>0){const l=t+b;if(this._ModifiedIsBoundary(l-1)||this._ModifiedIsBoundary(l))return!0}return!1}_boundaryScore(t,b,l,m){const v=this._OriginalRegionIsBoundary(t,b)?1:0,y=this._ModifiedRegionIsBoundary(l,m)?1:0;return v+y}ConcatenateChanges(t,b){const l=[];if(t.length===0||b.length===0)return b.length>0?b:t;if(this.ChangesOverlap(t[t.length-1],b[0],l)){const m=new Array(t.length+b.length-1);return C.Copy(t,0,m,0,t.length-1),m[t.length-1]=l[0],C.Copy(b,1,m,t.length,b.length-1),m}else{const m=new Array(t.length+b.length);return C.Copy(t,0,m,0,t.length),C.Copy(b,0,m,t.length,b.length),m}}ChangesOverlap(t,b,l){if(p.Assert(t.originalStart<=b.originalStart,"Left change is not less than or equal to right change"),p.Assert(t.modifiedStart<=b.modifiedStart,"Left change is not less than or equal to right change"),t.originalStart+t.originalLength>=b.originalStart||t.modifiedStart+t.modifiedLength>=b.modifiedStart){const m=t.originalStart;let v=t.originalLength;const y=t.modifiedStart;let S=t.modifiedLength;return t.originalStart+t.originalLength>=b.originalStart&&(v=b.originalStart+b.originalLength-t.originalStart),t.modifiedStart+t.modifiedLength>=b.modifiedStart&&(S=b.modifiedStart+b.modifiedLength-t.modifiedStart),l[0]=new N.DiffChange(m,v,y,S),!0}else return l[0]=null,!1}ClipDiagonalBound(t,b,l,m){if(t>=0&&t<m)return t;const v=l,y=m-l-1,S=b%2==0;if(t<0){const g=v%2==0;return S===g?0:1}else{const g=y%2==0;return S===g?m-1:m-2}}}r.LcsDiff=d}),Y(X[30],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.withNullAsUndefined=r.validateConstraint=r.validateConstraints=r.isFunction=r.assertIsDefined=r.assertType=r.isUndefinedOrNull=r.isDefined=r.isUndefined=r.isBoolean=r.isIterable=r.isNumber=r.isTypedArray=r.isObject=r.isString=void 0;function N(S){return typeof S=="string"}r.isString=N;function e(S){return typeof S=="object"&&S!==null&&!Array.isArray(S)&&!(S instanceof RegExp)&&!(S instanceof Date)}r.isObject=e;function A(S){const g=Object.getPrototypeOf(Uint8Array);return typeof S=="object"&&S instanceof g}r.isTypedArray=A;function c(S){return typeof S=="number"&&!isNaN(S)}r.isNumber=c;function p(S){return!!S&&typeof S[Symbol.iterator]=="function"}r.isIterable=p;function C(S){return S===!0||S===!1}r.isBoolean=C;function u(S){return typeof S=="undefined"}r.isUndefined=u;function d(S){return!L(S)}r.isDefined=d;function L(S){return u(S)||S===null}r.isUndefinedOrNull=L;function t(S,g){if(!S)throw new Error(g?`Unexpected type, expected '${g}'`:"Unexpected type")}r.assertType=t;function b(S){if(L(S))throw new Error("Assertion Failed: argument is undefined or null");return S}r.assertIsDefined=b;function l(S){return typeof S=="function"}r.isFunction=l;function m(S,g){const i=Math.min(S.length,g.length);for(let s=0;s<i;s++)v(S[s],g[s])}r.validateConstraints=m;function v(S,g){if(N(g)){if(typeof S!==g)throw new Error(`argument does not match constraint: typeof ${g}`)}else if(l(g)){try{if(S instanceof g)return}catch{}if(!L(S)&&S.constructor===g||g.length===1&&g.call(void 0,S)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}r.validateConstraint=v;function y(S){return S===null?void 0:S}r.withNullAsUndefined=y}),Y(X[8],Z([0,1,30]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createProxyObject=r.getAllMethodNames=r.getAllPropertyNames=r.equals=r.mixin=r.cloneAndChange=r.deepFreeze=r.deepClone=void 0;function e(l){if(!l||typeof l!="object"||l instanceof RegExp)return l;const m=Array.isArray(l)?[]:{};return Object.keys(l).forEach(v=>{l[v]&&typeof l[v]=="object"?m[v]=e(l[v]):m[v]=l[v]}),m}r.deepClone=e;function A(l){if(!l||typeof l!="object")return l;const m=[l];for(;m.length>0;){const v=m.shift();Object.freeze(v);for(const y in v)if(c.call(v,y)){const S=v[y];typeof S=="object"&&!Object.isFrozen(S)&&!(0,N.isTypedArray)(S)&&m.push(S)}}return l}r.deepFreeze=A;const c=Object.prototype.hasOwnProperty;function p(l,m){return C(l,m,new Set)}r.cloneAndChange=p;function C(l,m,v){if((0,N.isUndefinedOrNull)(l))return l;const y=m(l);if(typeof y!="undefined")return y;if(Array.isArray(l)){const S=[];for(const g of l)S.push(C(g,m,v));return S}if((0,N.isObject)(l)){if(v.has(l))throw new Error("Cannot clone recursive data-structure");v.add(l);const S={};for(const g in l)c.call(l,g)&&(S[g]=C(l[g],m,v));return v.delete(l),S}return l}function u(l,m,v=!0){return(0,N.isObject)(l)?((0,N.isObject)(m)&&Object.keys(m).forEach(y=>{y in l?v&&((0,N.isObject)(l[y])&&(0,N.isObject)(m[y])?u(l[y],m[y],v):l[y]=m[y]):l[y]=m[y]}),l):m}r.mixin=u;function d(l,m){if(l===m)return!0;if(l==null||m===null||m===void 0||typeof l!=typeof m||typeof l!="object"||Array.isArray(l)!==Array.isArray(m))return!1;let v,y;if(Array.isArray(l)){if(l.length!==m.length)return!1;for(v=0;v<l.length;v++)if(!d(l[v],m[v]))return!1}else{const S=[];for(y in l)S.push(y);S.sort();const g=[];for(y in m)g.push(y);if(g.sort(),!d(S,g))return!1;for(v=0;v<S.length;v++)if(!d(l[S[v]],m[S[v]]))return!1}return!0}r.equals=d;function L(l){let m=[],v=Object.getPrototypeOf(l);for(;Object.prototype!==v;)m=m.concat(Object.getOwnPropertyNames(v)),v=Object.getPrototypeOf(v);return m}r.getAllPropertyNames=L;function t(l){const m=[];for(const v of L(l))typeof l[v]=="function"&&m.push(v);return m}r.getAllMethodNames=t;function b(l,m){const v=S=>function(){const g=Array.prototype.slice.call(arguments,0);return m(S,g)},y={};for(const S of l)y[S]=v(S);return y}r.createProxyObject=b}),Y(X[15],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.toUint32=r.toUint8=void 0;function N(A){return A<0?0:A>255?255:A|0}r.toUint8=N;function e(A){return A<0?0:A>4294967295?4294967295:A|0}r.toUint32=e}),Y(X[16],Z([0,1,15]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CharacterSet=r.CharacterClassifier=void 0;class e{constructor(p){const C=(0,N.toUint8)(p);this._defaultValue=C,this._asciiMap=e._createAsciiMap(C),this._map=new Map}static _createAsciiMap(p){const C=new Uint8Array(256);for(let u=0;u<256;u++)C[u]=p;return C}set(p,C){const u=(0,N.toUint8)(C);p>=0&&p<256?this._asciiMap[p]=u:this._map.set(p,u)}get(p){return p>=0&&p<256?this._asciiMap[p]:this._map.get(p)||this._defaultValue}}r.CharacterClassifier=e;class A{constructor(){this._actual=new e(0)}add(p){this._actual.set(p,1)}has(p){return this._actual.get(p)===1}}r.CharacterSet=A}),Y(X[3],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Position=void 0;class N{constructor(A,c){this.lineNumber=A,this.column=c}with(A=this.lineNumber,c=this.column){return A===this.lineNumber&&c===this.column?this:new N(A,c)}delta(A=0,c=0){return this.with(this.lineNumber+A,this.column+c)}equals(A){return N.equals(this,A)}static equals(A,c){return!A&&!c?!0:!!A&&!!c&&A.lineNumber===c.lineNumber&&A.column===c.column}isBefore(A){return N.isBefore(this,A)}static isBefore(A,c){return A.lineNumber<c.lineNumber?!0:c.lineNumber<A.lineNumber?!1:A.column<c.column}isBeforeOrEqual(A){return N.isBeforeOrEqual(this,A)}static isBeforeOrEqual(A,c){return A.lineNumber<c.lineNumber?!0:c.lineNumber<A.lineNumber?!1:A.column<=c.column}static compare(A,c){const p=A.lineNumber|0,C=c.lineNumber|0;if(p===C){const u=A.column|0,d=c.column|0;return u-d}return p-C}clone(){return new N(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(A){return new N(A.lineNumber,A.column)}static isIPosition(A){return A&&typeof A.lineNumber=="number"&&typeof A.column=="number"}}r.Position=N}),Y(X[2],Z([0,1,3]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Range=void 0;class e{constructor(c,p,C,u){c>C||c===C&&p>u?(this.startLineNumber=C,this.startColumn=u,this.endLineNumber=c,this.endColumn=p):(this.startLineNumber=c,this.startColumn=p,this.endLineNumber=C,this.endColumn=u)}isEmpty(){return e.isEmpty(this)}static isEmpty(c){return c.startLineNumber===c.endLineNumber&&c.startColumn===c.endColumn}containsPosition(c){return e.containsPosition(this,c)}static containsPosition(c,p){return!(p.lineNumber<c.startLineNumber||p.lineNumber>c.endLineNumber||p.lineNumber===c.startLineNumber&&p.column<c.startColumn||p.lineNumber===c.endLineNumber&&p.column>c.endColumn)}static strictContainsPosition(c,p){return!(p.lineNumber<c.startLineNumber||p.lineNumber>c.endLineNumber||p.lineNumber===c.startLineNumber&&p.column<=c.startColumn||p.lineNumber===c.endLineNumber&&p.column>=c.endColumn)}containsRange(c){return e.containsRange(this,c)}static containsRange(c,p){return!(p.startLineNumber<c.startLineNumber||p.endLineNumber<c.startLineNumber||p.startLineNumber>c.endLineNumber||p.endLineNumber>c.endLineNumber||p.startLineNumber===c.startLineNumber&&p.startColumn<c.startColumn||p.endLineNumber===c.endLineNumber&&p.endColumn>c.endColumn)}strictContainsRange(c){return e.strictContainsRange(this,c)}static strictContainsRange(c,p){return!(p.startLineNumber<c.startLineNumber||p.endLineNumber<c.startLineNumber||p.startLineNumber>c.endLineNumber||p.endLineNumber>c.endLineNumber||p.startLineNumber===c.startLineNumber&&p.startColumn<=c.startColumn||p.endLineNumber===c.endLineNumber&&p.endColumn>=c.endColumn)}plusRange(c){return e.plusRange(this,c)}static plusRange(c,p){let C,u,d,L;return p.startLineNumber<c.startLineNumber?(C=p.startLineNumber,u=p.startColumn):p.startLineNumber===c.startLineNumber?(C=p.startLineNumber,u=Math.min(p.startColumn,c.startColumn)):(C=c.startLineNumber,u=c.startColumn),p.endLineNumber>c.endLineNumber?(d=p.endLineNumber,L=p.endColumn):p.endLineNumber===c.endLineNumber?(d=p.endLineNumber,L=Math.max(p.endColumn,c.endColumn)):(d=c.endLineNumber,L=c.endColumn),new e(C,u,d,L)}intersectRanges(c){return e.intersectRanges(this,c)}static intersectRanges(c,p){let C=c.startLineNumber,u=c.startColumn,d=c.endLineNumber,L=c.endColumn;const t=p.startLineNumber,b=p.startColumn,l=p.endLineNumber,m=p.endColumn;return C<t?(C=t,u=b):C===t&&(u=Math.max(u,b)),d>l?(d=l,L=m):d===l&&(L=Math.min(L,m)),C>d||C===d&&u>L?null:new e(C,u,d,L)}equalsRange(c){return e.equalsRange(this,c)}static equalsRange(c,p){return!!c&&!!p&&c.startLineNumber===p.startLineNumber&&c.startColumn===p.startColumn&&c.endLineNumber===p.endLineNumber&&c.endColumn===p.endColumn}getEndPosition(){return e.getEndPosition(this)}static getEndPosition(c){return new N.Position(c.endLineNumber,c.endColumn)}getStartPosition(){return e.getStartPosition(this)}static getStartPosition(c){return new N.Position(c.startLineNumber,c.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(c,p){return new e(this.startLineNumber,this.startColumn,c,p)}setStartPosition(c,p){return new e(c,p,this.endLineNumber,this.endColumn)}collapseToStart(){return e.collapseToStart(this)}delta(c){return new e(this.startLineNumber+c,this.startColumn,this.endLineNumber+c,this.endColumn)}static collapseToStart(c){return new e(c.startLineNumber,c.startColumn,c.startLineNumber,c.startColumn)}static fromPositions(c,p=c){return new e(c.lineNumber,c.column,p.lineNumber,p.column)}static lift(c){return c?new e(c.startLineNumber,c.startColumn,c.endLineNumber,c.endColumn):null}static isIRange(c){return c&&typeof c.startLineNumber=="number"&&typeof c.startColumn=="number"&&typeof c.endLineNumber=="number"&&typeof c.endColumn=="number"}static areIntersectingOrTouching(c,p){return!(c.endLineNumber<p.startLineNumber||c.endLineNumber===p.startLineNumber&&c.endColumn<p.startColumn||p.endLineNumber<c.startLineNumber||p.endLineNumber===c.startLineNumber&&p.endColumn<c.startColumn)}static areIntersecting(c,p){return!(c.endLineNumber<p.startLineNumber||c.endLineNumber===p.startLineNumber&&c.endColumn<=p.startColumn||p.endLineNumber<c.startLineNumber||p.endLineNumber===c.startLineNumber&&p.endColumn<=c.startColumn)}static compareRangesUsingStarts(c,p){if(c&&p){const d=c.startLineNumber|0,L=p.startLineNumber|0;if(d===L){const t=c.startColumn|0,b=p.startColumn|0;if(t===b){const l=c.endLineNumber|0,m=p.endLineNumber|0;if(l===m){const v=c.endColumn|0,y=p.endColumn|0;return v-y}return l-m}return t-b}return d-L}return(c?1:0)-(p?1:0)}static compareRangesUsingEnds(c,p){return c.endLineNumber===p.endLineNumber?c.endColumn===p.endColumn?c.startLineNumber===p.startLineNumber?c.startColumn-p.startColumn:c.startLineNumber-p.startLineNumber:c.endColumn-p.endColumn:c.endLineNumber-p.endLineNumber}static spansMultipleLines(c){return c.endLineNumber>c.startLineNumber}toJSON(){return this}}r.Range=e}),Y(X[31],Z([0,1,3,2]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Selection=void 0;class A extends e.Range{constructor(p,C,u,d){super(p,C,u,d);this.selectionStartLineNumber=p,this.selectionStartColumn=C,this.positionLineNumber=u,this.positionColumn=d}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(p){return A.selectionsEqual(this,p)}static selectionsEqual(p,C){return p.selectionStartLineNumber===C.selectionStartLineNumber&&p.selectionStartColumn===C.selectionStartColumn&&p.positionLineNumber===C.positionLineNumber&&p.positionColumn===C.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(p,C){return this.getDirection()===0?new A(this.startLineNumber,this.startColumn,p,C):new A(p,C,this.startLineNumber,this.startColumn)}getPosition(){return new N.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new N.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(p,C){return this.getDirection()===0?new A(p,C,this.endLineNumber,this.endColumn):new A(this.endLineNumber,this.endColumn,p,C)}static fromPositions(p,C=p){return new A(p.lineNumber,p.column,C.lineNumber,C.column)}static fromRange(p,C){return C===0?new A(p.startLineNumber,p.startColumn,p.endLineNumber,p.endColumn):new A(p.endLineNumber,p.endColumn,p.startLineNumber,p.startColumn)}static liftSelection(p){return new A(p.selectionStartLineNumber,p.selectionStartColumn,p.positionLineNumber,p.positionColumn)}static selectionsArrEqual(p,C){if(p&&!C||!p&&C)return!1;if(!p&&!C)return!0;if(p.length!==C.length)return!1;for(let u=0,d=p.length;u<d;u++)if(!this.selectionsEqual(p[u],C[u]))return!1;return!0}static isISelection(p){return p&&typeof p.selectionStartLineNumber=="number"&&typeof p.selectionStartColumn=="number"&&typeof p.positionLineNumber=="number"&&typeof p.positionColumn=="number"}static createWithDirection(p,C,u,d,L){return L===0?new A(p,C,u,d):new A(u,d,p,C)}}r.Selection=A}),Y(X[32],Z([0,1,16]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getMapForWordSeparators=r.WordCharacterClassifier=void 0;class e extends N.CharacterClassifier{constructor(p){super(0);for(let C=0,u=p.length;C<u;C++)this.set(p.charCodeAt(C),2);this.set(32,1),this.set(9,1)}}r.WordCharacterClassifier=e;function A(c){const p={};return C=>(p.hasOwnProperty(C)||(p[C]=c(C)),p[C])}r.getMapForWordSeparators=A(c=>new e(c))}),Y(X[17],Z([0,1,12,13]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getWordAtText=r.ensureValidWordDefinition=r.DEFAULT_WORD_REGEXP=r.USUAL_WORD_SEPARATORS=void 0,r.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function A(d=""){let L="(-?\\d*\\.\\d\\w*)|([^";for(const t of r.USUAL_WORD_SEPARATORS)d.indexOf(t)>=0||(L+="\\"+t);return L+="\\s]+)",new RegExp(L,"g")}r.DEFAULT_WORD_REGEXP=A();function c(d){let L=r.DEFAULT_WORD_REGEXP;if(d&&d instanceof RegExp)if(d.global)L=d;else{let t="g";d.ignoreCase&&(t+="i"),d.multiline&&(t+="m"),d.unicode&&(t+="u"),L=new RegExp(d.source,t)}return L.lastIndex=0,L}r.ensureValidWordDefinition=c;const p=new e.LinkedList;p.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function C(d,L,t,b,l){if(l||(l=N.Iterable.first(p)),t.length>l.maxLen){let g=d-l.maxLen/2;return g<0?g=0:b+=g,t=t.substring(g,d+l.maxLen/2),C(d,L,t,b,l)}const m=Date.now(),v=d-1-b;let y=-1,S=null;for(let g=1;!(Date.now()-m>=l.timeBudget);g++){const i=v-l.windowSize*g;L.lastIndex=Math.max(0,i);const s=u(L,t,v,y);if(!s&&S||(S=s,i<=0))break;y=i}if(S){const g={word:S[0],startColumn:b+1+S.index,endColumn:b+1+S.index+S[0].length};return L.lastIndex=0,g}return null}r.getWordAtText=C;function u(d,L,t,b){let l;for(;l=d.exec(L);){const m=l.index||0;if(m<=t&&d.lastIndex>=t)return l;if(b>0&&m>b)return null}return null}}),Y(X[9],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.SequenceFromIntArray=r.OffsetRange=r.SequenceDiff=void 0;class N{constructor(p,C){this.seq1Range=p,this.seq2Range=C}}r.SequenceDiff=N;class e{constructor(p,C){this.start=p,this.endExclusive=C}delta(p){return new e(this.start+p,this.endExclusive+p)}get length(){return this.endExclusive-this.start}}r.OffsetRange=e;class A{constructor(p){this.arr=p}getElement(p){return this.arr[p]}get length(){return this.arr.length}}r.SequenceFromIntArray=A}),Y(X[33],Z([0,1,9]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MyersDiffAlgorithm=void 0;class e{compute(u,d){function L(i,s){for(;i<u.length&&s<d.length&&u.getElement(i)===d.getElement(s);)i++,s++;return i}let t=0;const b=new c;b.set(0,L(0,0));const l=new p;l.set(0,b.get(0)===0?null:new A(null,0,0,b.get(0)));let m=0;e:for(;;)for(t++,m=-t;m<=t;m+=2){const i=m===t?-1:b.get(m+1),s=m===-t?-1:b.get(m-1)+1,h=Math.min(Math.max(i,s),u.length),w=h-m,o=L(h,w);b.set(m,o);const a=h===i?l.get(m+1):l.get(m-1);if(l.set(m,o!==h?new A(a,h,w,o-h):a),b.get(m)===u.length&&b.get(m)-m===d.length)break e}let v=l.get(m);const y=[];let S=u.length,g=d.length;for(;;){const i=v?v.x+v.length:0,s=v?v.y+v.length:0;if((i!==S||s!==g)&&y.push(new N.SequenceDiff(new N.OffsetRange(i,S),new N.OffsetRange(s,g))),!v)break;S=v.x,g=v.y,v=v.prev}return y.reverse(),y}}r.MyersDiffAlgorithm=e;class A{constructor(u,d,L,t){this.prev=u,this.x=d,this.y=L,this.length=t}}class c{constructor(){this.positiveArr=new Int32Array(10),this.negativeArr=new Int32Array(10)}get(u){return u<0?(u=-u-1,this.negativeArr[u]):this.positiveArr[u]}set(u,d){if(u<0){if(u=-u-1,u>=this.negativeArr.length){const L=this.negativeArr;this.negativeArr=new Int32Array(L.length*2),this.negativeArr.set(L)}this.negativeArr[u]=d}else{if(u>=this.positiveArr.length){const L=this.positiveArr;this.positiveArr=new Int32Array(L.length*2),this.positiveArr.set(L)}this.positiveArr[u]=d}}}class p{constructor(){this.positiveArr=[],this.negativeArr=[]}get(u){return u<0?(u=-u-1,this.negativeArr[u]):this.positiveArr[u]}set(u,d){u<0?(u=-u-1,this.negativeArr[u]=d):this.positiveArr[u]=d}}}),Y(X[34],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Array2D=void 0;class N{constructor(A,c){this.width=A,this.height=c,this.array=[],this.array=new Array(A*c)}get(A,c){return this.array[A+c*this.width]}set(A,c,p){this.array[A+c*this.width]=p}}r.Array2D=N}),Y(X[35],Z([0,1,9,34]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DynamicProgrammingDiffing=void 0;class A{compute(p,C,u){const d=new e.Array2D(p.length,C.length),L=new e.Array2D(p.length,C.length),t=new e.Array2D(p.length,C.length);for(let g=0;g<p.length;g++)for(let i=0;i<C.length;i++){const s=g===0?0:d.get(g-1,i),h=i===0?0:d.get(g,i-1);let w;p.getElement(g)===C.getElement(i)?(g===0||i===0?w=0:w=d.get(g-1,i-1),w+=u?u(g,i):1):w=-1;const o=Math.max(s,h,w);if(o===s)t.set(g,i,0),L.set(g,i,1);else if(o===h)t.set(g,i,0),L.set(g,i,2);else{const a=g>0&&i>0?t.get(g-1,i-1):0;t.set(g,i,a+1),L.set(g,i,3)}d.set(g,i,o)}const b=[];let l=p.length,m=C.length;function v(g,i){(g+1!==l||i+1!==m)&&b.push(new N.SequenceDiff(new N.OffsetRange(g+1,l),new N.OffsetRange(i+1,m))),l=g,m=i}let y=p.length-1,S=C.length-1;for(;y>=0&&S>=0;)L.get(y,S)===3?(v(y,S),y--,S--):L.get(y,S)===1?y--:S--;return v(-1,-1),b.reverse(),b}}r.DynamicProgrammingDiffing=A}),Y(X[18],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LineRange=r.RangeMapping=r.LineRangeMapping=void 0;class N{constructor(p,C,u){this.originalRange=p,this.modifiedRange=C,this.innerChanges=u}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}}r.LineRangeMapping=N;class e{constructor(p,C){this.originalRange=p,this.modifiedRange=C}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}}r.RangeMapping=e;class A{constructor(p,C){this.startLineNumber=p,this.endLineNumberExclusive=C}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}}r.LineRange=A}),Y(X[36],Z([0,1,14,18,4,2]),function(F,r,N,e,A,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffComputer=r.SmartLinesDiffComputer=void 0;const p=3;class C{computeDiff(i,s,h){const o=new m(i,s,{maxComputationTime:h.maxComputationTime,shouldIgnoreTrimWhitespace:h.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff();return{quitEarly:o.quitEarly,changes:o.changes.map(a=>{var f;let _;a.originalEndLineNumber===0?_=new e.LineRange(a.originalStartLineNumber+1,a.originalStartLineNumber+1):_=new e.LineRange(a.originalStartLineNumber,a.originalEndLineNumber+1);let E;return a.modifiedEndLineNumber===0?E=new e.LineRange(a.modifiedStartLineNumber+1,a.modifiedStartLineNumber+1):E=new e.LineRange(a.modifiedStartLineNumber,a.modifiedEndLineNumber+1),{originalRange:_,modifiedRange:E,innerChanges:(f=a.charChanges)===null||f===void 0?void 0:f.map(M=>new e.RangeMapping(new c.Range(M.originalStartLineNumber,M.originalStartColumn,M.originalEndLineNumber,M.originalEndColumn),new c.Range(M.modifiedStartLineNumber,M.modifiedStartColumn,M.modifiedEndLineNumber,M.modifiedEndColumn)))}})}}}r.SmartLinesDiffComputer=C;function u(g,i,s,h){return new N.LcsDiff(g,i,s).ComputeDiff(h)}class d{constructor(i){const s=[],h=[];for(let w=0,o=i.length;w<o;w++)s[w]=v(i[w],1),h[w]=y(i[w],1);this.lines=i,this._startColumns=s,this._endColumns=h}getElements(){const i=[];for(let s=0,h=this.lines.length;s<h;s++)i[s]=this.lines[s].substring(this._startColumns[s]-1,this._endColumns[s]-1);return i}getStrictElement(i){return this.lines[i]}getStartLineNumber(i){return i+1}getEndLineNumber(i){return i+1}createCharSequence(i,s,h){const w=[],o=[],a=[];let f=0;for(let _=s;_<=h;_++){const E=this.lines[_],M=i?this._startColumns[_]:1,P=i?this._endColumns[_]:E.length+1;for(let D=M;D<P;D++)w[f]=E.charCodeAt(D-1),o[f]=_+1,a[f]=D,f++;!i&&_<h&&(w[f]=10,o[f]=_+1,a[f]=E.length+1,f++)}return new L(w,o,a)}}class L{constructor(i,s,h){this._charCodes=i,this._lineNumbers=s,this._columns=h}toString(){return"["+this._charCodes.map((i,s)=>(i===10?"\\n":String.fromCharCode(i))+`-(${this._lineNumbers[s]},${this._columns[s]})`).join(", ")+"]"}_assertIndex(i,s){if(i<0||i>=s.length)throw new Error("Illegal index")}getElements(){return this._charCodes}getStartLineNumber(i){return i>0&&i===this._lineNumbers.length?this.getEndLineNumber(i-1):(this._assertIndex(i,this._lineNumbers),this._lineNumbers[i])}getEndLineNumber(i){return i===-1?this.getStartLineNumber(i+1):(this._assertIndex(i,this._lineNumbers),this._charCodes[i]===10?this._lineNumbers[i]+1:this._lineNumbers[i])}getStartColumn(i){return i>0&&i===this._columns.length?this.getEndColumn(i-1):(this._assertIndex(i,this._columns),this._columns[i])}getEndColumn(i){return i===-1?this.getStartColumn(i+1):(this._assertIndex(i,this._columns),this._charCodes[i]===10?1:this._columns[i]+1)}}class t{constructor(i,s,h,w,o,a,f,_){this.originalStartLineNumber=i,this.originalStartColumn=s,this.originalEndLineNumber=h,this.originalEndColumn=w,this.modifiedStartLineNumber=o,this.modifiedStartColumn=a,this.modifiedEndLineNumber=f,this.modifiedEndColumn=_}static createFromDiffChange(i,s,h){const w=s.getStartLineNumber(i.originalStart),o=s.getStartColumn(i.originalStart),a=s.getEndLineNumber(i.originalStart+i.originalLength-1),f=s.getEndColumn(i.originalStart+i.originalLength-1),_=h.getStartLineNumber(i.modifiedStart),E=h.getStartColumn(i.modifiedStart),M=h.getEndLineNumber(i.modifiedStart+i.modifiedLength-1),P=h.getEndColumn(i.modifiedStart+i.modifiedLength-1);return new t(w,o,a,f,_,E,M,P)}}function b(g){if(g.length<=1)return g;const i=[g[0]];let s=i[0];for(let h=1,w=g.length;h<w;h++){const o=g[h],a=o.originalStart-(s.originalStart+s.originalLength),f=o.modifiedStart-(s.modifiedStart+s.modifiedLength);Math.min(a,f)<p?(s.originalLength=o.originalStart+o.originalLength-s.originalStart,s.modifiedLength=o.modifiedStart+o.modifiedLength-s.modifiedStart):(i.push(o),s=o)}return i}class l{constructor(i,s,h,w,o){this.originalStartLineNumber=i,this.originalEndLineNumber=s,this.modifiedStartLineNumber=h,this.modifiedEndLineNumber=w,this.charChanges=o}static createFromDiffResult(i,s,h,w,o,a,f){let _,E,M,P,D;if(s.originalLength===0?(_=h.getStartLineNumber(s.originalStart)-1,E=0):(_=h.getStartLineNumber(s.originalStart),E=h.getEndLineNumber(s.originalStart+s.originalLength-1)),s.modifiedLength===0?(M=w.getStartLineNumber(s.modifiedStart)-1,P=0):(M=w.getStartLineNumber(s.modifiedStart),P=w.getEndLineNumber(s.modifiedStart+s.modifiedLength-1)),a&&s.originalLength>0&&s.originalLength<20&&s.modifiedLength>0&&s.modifiedLength<20&&o()){const B=h.createCharSequence(i,s.originalStart,s.originalStart+s.originalLength-1),V=w.createCharSequence(i,s.modifiedStart,s.modifiedStart+s.modifiedLength-1);if(B.getElements().length>0&&V.getElements().length>0){let H=u(B,V,o,!0).changes;f&&(H=b(H)),D=[];for(let W=0,I=H.length;W<I;W++)D.push(t.createFromDiffChange(H[W],B,V))}}return new l(_,E,M,P,D)}}class m{constructor(i,s,h){this.shouldComputeCharChanges=h.shouldComputeCharChanges,this.shouldPostProcessCharChanges=h.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=h.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=h.shouldMakePrettyDiff,this.originalLines=i,this.modifiedLines=s,this.original=new d(i),this.modified=new d(s),this.continueLineDiff=S(h.maxComputationTime),this.continueCharDiff=S(h.maxComputationTime===0?0:Math.min(h.maxComputationTime,5e3))}computeDiff(){if(this.original.lines.length===1&&this.original.lines[0].length===0)return this.modified.lines.length===1&&this.modified.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:void 0}]};if(this.modified.lines.length===1&&this.modified.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const i=u(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),s=i.changes,h=i.quitEarly;if(this.shouldIgnoreTrimWhitespace){const f=[];for(let _=0,E=s.length;_<E;_++)f.push(l.createFromDiffResult(this.shouldIgnoreTrimWhitespace,s[_],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:h,changes:f}}const w=[];let o=0,a=0;for(let f=-1,_=s.length;f<_;f++){const E=f+1<_?s[f+1]:null,M=E?E.originalStart:this.originalLines.length,P=E?E.modifiedStart:this.modifiedLines.length;for(;o<M&&a<P;){const D=this.originalLines[o],B=this.modifiedLines[a];if(D!==B){{let V=v(D,1),H=v(B,1);for(;V>1&&H>1;){const W=D.charCodeAt(V-2),I=B.charCodeAt(H-2);if(W!==I)break;V--,H--}(V>1||H>1)&&this._pushTrimWhitespaceCharChange(w,o+1,1,V,a+1,1,H)}{let V=y(D,1),H=y(B,1);const W=D.length+1,I=B.length+1;for(;V<W&&H<I;){const U=D.charCodeAt(V-1),T=D.charCodeAt(H-1);if(U!==T)break;V++,H++}(V<W||H<I)&&this._pushTrimWhitespaceCharChange(w,o+1,V,W,a+1,H,I)}}o++,a++}E&&(w.push(l.createFromDiffResult(this.shouldIgnoreTrimWhitespace,E,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),o+=E.originalLength,a+=E.modifiedLength)}return{quitEarly:h,changes:w}}_pushTrimWhitespaceCharChange(i,s,h,w,o,a,f){if(this._mergeTrimWhitespaceCharChange(i,s,h,w,o,a,f))return;let _;this.shouldComputeCharChanges&&(_=[new t(s,h,s,w,o,a,o,f)]),i.push(new l(s,s,o,o,_))}_mergeTrimWhitespaceCharChange(i,s,h,w,o,a,f){const _=i.length;if(_===0)return!1;const E=i[_-1];return E.originalEndLineNumber===0||E.modifiedEndLineNumber===0?!1:E.originalEndLineNumber+1===s&&E.modifiedEndLineNumber+1===o?(E.originalEndLineNumber=s,E.modifiedEndLineNumber=o,this.shouldComputeCharChanges&&E.charChanges&&E.charChanges.push(new t(s,h,s,w,o,a,o,f)),!0):!1}}r.DiffComputer=m;function v(g,i){const s=A.firstNonWhitespaceIndex(g);return s===-1?i:s+1}function y(g,i){const s=A.lastNonWhitespaceIndex(g);return s===-1?i:s+2}function S(g){if(g===0)return()=>!0;const i=Date.now();return()=>Date.now()-i<g}}),Y(X[37],Z([0,1,3,2,9,35,18]),function(F,r,N,e,A,c,p){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.lineRangeMappingFromRangeMappings=r.StandardLinesDiffComputer=void 0;class C{constructor(b){this.detailedDiffingAlgorithm=b,this.lineDiffingAlgorithm=new c.DynamicProgrammingDiffing}computeDiff(b,l,m){const v=new Map;function y(w){let o=v.get(w);return o===void 0&&(o=v.size,v.set(w,o)),o}const S=b.map(w=>y(w.trim())),g=l.map(w=>y(w.trim())),i=this.lineDiffingAlgorithm.compute(new A.SequenceFromIntArray(S),new A.SequenceFromIntArray(g),(w,o)=>b[w]===l[o]?l[o].length===0?.1:1:.99),s=[];for(let w of i){(w.seq1Range.start>0&&w.seq1Range.length>0&&S[w.seq1Range.start-1]===S[w.seq1Range.endExclusive-1]||w.seq2Range.start>0&&w.seq2Range.length>0&&g[w.seq2Range.start-1]===g[w.seq2Range.endExclusive-1])&&(w=new A.SequenceDiff(w.seq1Range.delta(-1),w.seq2Range.delta(-1)));for(const o of this.refineDiff(b,l,w))s.push(o)}const h=u(s);return{quitEarly:!1,changes:h}}refineDiff(b,l,m){const v=new L(b,m.seq1Range),y=new L(l,m.seq2Range);return this.detailedDiffingAlgorithm.compute(v,y).map(i=>new p.RangeMapping(v.translateRange(i.seq1Range).delta(m.seq1Range.start),y.translateRange(i.seq2Range).delta(m.seq2Range.start)))}}r.StandardLinesDiffComputer=C;function u(t){const b=[];for(const l of d(t,(m,v)=>v.modifiedRange.startLineNumber-(m.modifiedRange.endLineNumber-(m.modifiedRange.endColumn>1?0:1))<=1)){const m=l[0],v=l[l.length-1];b.push(new p.LineRangeMapping(new p.LineRange(m.originalRange.startLineNumber,v.originalRange.endLineNumber+(v.originalRange.endColumn>1||v.modifiedRange.endColumn>1?1:0)),new p.LineRange(m.modifiedRange.startLineNumber,v.modifiedRange.endLineNumber+(v.originalRange.endColumn>1||v.modifiedRange.endColumn>1?1:0)),l))}return b}r.lineRangeMappingFromRangeMappings=u;function*d(t,b){let l,m;for(const v of t)m!==void 0&&b(m,v)?l.push(v):(l&&(yield l),l=[v]),m=v;l&&(yield l)}class L{constructor(b,l){this.lines=b,this.lineRange=l;let m=0;this.firstCharOnLineOffsets=new Int32Array(l.length);for(let y=l.start;y<l.endExclusive;y++)m+=b[y].length,this.firstCharOnLineOffsets[y-l.start]=m+1,m++;this.elements=new Int32Array(m);let v=0;for(let y=l.start;y<l.endExclusive;y++){const S=b[y];for(let g=0;g<S.length;g++)this.elements[v+g]=S.charCodeAt(g);v+=S.length,y<b.length-1&&(this.elements[v]=`
`.charCodeAt(0),v+=1)}}getElement(b){return this.elements[b]}get length(){return this.elements.length}translateOffset(b){let l=0,m=this.firstCharOnLineOffsets.length;for(;l<m;){const y=Math.floor((l+m)/2);this.firstCharOnLineOffsets[y]>b?m=y:l=y+1}const v=l===0?0:this.firstCharOnLineOffsets[l-1];return new N.Position(l+1,b-v+1)}translateRange(b){return e.Range.fromPositions(this.translateOffset(b.start),this.translateOffset(b.endExclusive))}}}),Y(X[38],Z([0,1,33,36,37]),function(F,r,N,e,A){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.linesDiffComputers=void 0,r.linesDiffComputers={smart:new e.SmartLinesDiffComputer,experimental:new A.StandardLinesDiffComputer(new N.MyersDiffAlgorithm)}}),Y(X[39],Z([0,1,16]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.computeLinks=r.LinkComputer=r.StateMachine=r.Uint8Matrix=void 0;class e{constructor(b,l,m){const v=new Uint8Array(b*l);for(let y=0,S=b*l;y<S;y++)v[y]=m;this._data=v,this.rows=b,this.cols=l}get(b,l){return this._data[b*this.cols+l]}set(b,l,m){this._data[b*this.cols+l]=m}}r.Uint8Matrix=e;class A{constructor(b){let l=0,m=0;for(let y=0,S=b.length;y<S;y++){const[g,i,s]=b[y];i>l&&(l=i),g>m&&(m=g),s>m&&(m=s)}l++,m++;const v=new e(m,l,0);for(let y=0,S=b.length;y<S;y++){const[g,i,s]=b[y];v.set(g,i,s)}this._states=v,this._maxCharCode=l}nextState(b,l){return l<0||l>=this._maxCharCode?0:this._states.get(b,l)}}r.StateMachine=A;let c=null;function p(){return c===null&&(c=new A([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),c}let C=null;function u(){if(C===null){C=new N.CharacterClassifier(0);const t=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let l=0;l<t.length;l++)C.set(t.charCodeAt(l),1);const b=".,;:";for(let l=0;l<b.length;l++)C.set(b.charCodeAt(l),2)}return C}class d{static _createLink(b,l,m,v,y){let S=y-1;do{const g=l.charCodeAt(S);if(b.get(g)!==2)break;S--}while(S>v);if(v>0){const g=l.charCodeAt(v-1),i=l.charCodeAt(S);(g===40&&i===41||g===91&&i===93||g===123&&i===125)&&S--}return{range:{startLineNumber:m,startColumn:v+1,endLineNumber:m,endColumn:S+2},url:l.substring(v,S+1)}}static computeLinks(b,l=p()){const m=u(),v=[];for(let y=1,S=b.getLineCount();y<=S;y++){const g=b.getLineContent(y),i=g.length;let s=0,h=0,w=0,o=1,a=!1,f=!1,_=!1,E=!1;for(;s<i;){let M=!1;const P=g.charCodeAt(s);if(o===13){let D;switch(P){case 40:a=!0,D=0;break;case 41:D=a?0:1;break;case 91:_=!0,f=!0,D=0;break;case 93:_=!1,D=f?0:1;break;case 123:E=!0,D=0;break;case 125:D=E?0:1;break;case 39:D=w===39?1:0;break;case 34:D=w===34?1:0;break;case 96:D=w===96?1:0;break;case 42:D=w===42?1:0;break;case 124:D=w===124?1:0;break;case 32:D=_?0:1;break;default:D=m.get(P)}D===1&&(v.push(d._createLink(m,g,y,h,s)),M=!0)}else if(o===12){let D;P===91?(f=!0,D=0):D=m.get(P),D===1?M=!0:o=13}else o=l.nextState(o,P),o===0&&(M=!0);M&&(o=1,a=!1,f=!1,E=!1,h=s+1,w=P),s++}o===13&&v.push(d._createLink(m,g,y,h,i))}return v}}r.LinkComputer=d;function L(t){return!t||typeof t.getLineCount!="function"||typeof t.getLineContent!="function"?[]:d.computeLinks(t)}r.computeLinks=L}),Y(X[40],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BasicInplaceReplace=void 0;class N{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(A,c,p,C,u){if(A&&c){const d=this.doNavigateValueSet(c,u);if(d)return{range:A,value:d}}if(p&&C){const d=this.doNavigateValueSet(C,u);if(d)return{range:p,value:d}}return null}doNavigateValueSet(A,c){const p=this.numberReplace(A,c);return p!==null?p:this.textReplace(A,c)}numberReplace(A,c){const p=Math.pow(10,A.length-(A.lastIndexOf(".")+1));let C=Number(A);const u=parseFloat(A);return!isNaN(C)&&!isNaN(u)&&C===u?C===0&&!c?null:(C=Math.floor(C*p),C+=c?p:-p,String(C/p)):null}textReplace(A,c){return this.valueSetsReplace(this._defaultValueSet,A,c)}valueSetsReplace(A,c,p){let C=null;for(let u=0,d=A.length;C===null&&u<d;u++)C=this.valueSetReplace(A[u],c,p);return C}valueSetReplace(A,c,p){let C=A.indexOf(c);return C>=0?(C+=p?1:-1,C<0?C=A.length-1:C%=A.length,A[C]):null}}r.BasicInplaceReplace=N,N.INSTANCE=new N}),Y(X[41],Z([0,1,8]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.shouldSynchronizeModel=r.ApplyEditsResult=r.SearchData=r.ValidAnnotatedEditOperation=r.isITextSnapshot=r.FindMatch=r.TextModelResolvedOptions=r.InjectedTextCursorStops=r.MinimapPosition=r.OverviewRulerLane=void 0;var e;(function(l){l[l.Left=1]="Left",l[l.Center=2]="Center",l[l.Right=4]="Right",l[l.Full=7]="Full"})(e=r.OverviewRulerLane||(r.OverviewRulerLane={}));var A;(function(l){l[l.Inline=1]="Inline",l[l.Gutter=2]="Gutter"})(A=r.MinimapPosition||(r.MinimapPosition={}));var c;(function(l){l[l.Both=0]="Both",l[l.Right=1]="Right",l[l.Left=2]="Left",l[l.None=3]="None"})(c=r.InjectedTextCursorStops||(r.InjectedTextCursorStops={}));class p{constructor(m){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,m.tabSize|0),this.indentSize=m.tabSize|0,this.insertSpaces=Boolean(m.insertSpaces),this.defaultEOL=m.defaultEOL|0,this.trimAutoWhitespace=Boolean(m.trimAutoWhitespace),this.bracketPairColorizationOptions=m.bracketPairColorizationOptions}equals(m){return this.tabSize===m.tabSize&&this.indentSize===m.indentSize&&this.insertSpaces===m.insertSpaces&&this.defaultEOL===m.defaultEOL&&this.trimAutoWhitespace===m.trimAutoWhitespace&&(0,N.equals)(this.bracketPairColorizationOptions,m.bracketPairColorizationOptions)}createChangeEvent(m){return{tabSize:this.tabSize!==m.tabSize,indentSize:this.indentSize!==m.indentSize,insertSpaces:this.insertSpaces!==m.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==m.trimAutoWhitespace}}}r.TextModelResolvedOptions=p;class C{constructor(m,v){this._findMatchBrand=void 0,this.range=m,this.matches=v}}r.FindMatch=C;function u(l){return l&&typeof l.read=="function"}r.isITextSnapshot=u;class d{constructor(m,v,y,S,g,i){this.identifier=m,this.range=v,this.text=y,this.forceMoveMarkers=S,this.isAutoWhitespaceEdit=g,this._isTracked=i}}r.ValidAnnotatedEditOperation=d;class L{constructor(m,v,y){this.regex=m,this.wordSeparators=v,this.simpleSearch=y}}r.SearchData=L;class t{constructor(m,v,y){this.reverseEdits=m,this.changes=v,this.trimAutoWhitespaceLineNumbers=y}}r.ApplyEditsResult=t;function b(l){return!l.isTooLargeForSyncing()&&!l.isForSimpleWidget}r.shouldSynchronizeModel=b}),Y(X[42],Z([0,1,21,15]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.PrefixSumIndexOfResult=r.ConstantTimePrefixSumComputer=r.PrefixSumComputer=void 0;class A{constructor(u){this.values=u,this.prefixSum=new Uint32Array(u.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}insertValues(u,d){u=(0,e.toUint32)(u);const L=this.values,t=this.prefixSum,b=d.length;return b===0?!1:(this.values=new Uint32Array(L.length+b),this.values.set(L.subarray(0,u),0),this.values.set(L.subarray(u),u+b),this.values.set(d,u),u-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=u-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(t.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(u,d){return u=(0,e.toUint32)(u),d=(0,e.toUint32)(d),this.values[u]===d?!1:(this.values[u]=d,u-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=u-1),!0)}removeValues(u,d){u=(0,e.toUint32)(u),d=(0,e.toUint32)(d);const L=this.values,t=this.prefixSum;if(u>=L.length)return!1;const b=L.length-u;return d>=b&&(d=b),d===0?!1:(this.values=new Uint32Array(L.length-d),this.values.set(L.subarray(0,u),0),this.values.set(L.subarray(u+d),u),this.prefixSum=new Uint32Array(this.values.length),u-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=u-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(t.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(u){return u<0?0:(u=(0,e.toUint32)(u),this._getPrefixSum(u))}_getPrefixSum(u){if(u<=this.prefixSumValidIndex[0])return this.prefixSum[u];let d=this.prefixSumValidIndex[0]+1;d===0&&(this.prefixSum[0]=this.values[0],d++),u>=this.values.length&&(u=this.values.length-1);for(let L=d;L<=u;L++)this.prefixSum[L]=this.prefixSum[L-1]+this.values[L];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],u),this.prefixSum[u]}getIndexOf(u){u=Math.floor(u),this.getTotalSum();let d=0,L=this.values.length-1,t=0,b=0,l=0;for(;d<=L;)if(t=d+(L-d)/2|0,b=this.prefixSum[t],l=b-this.values[t],u<l)L=t-1;else if(u>=b)d=t+1;else break;return new p(t,u-l)}}r.PrefixSumComputer=A;class c{constructor(u){this._values=u,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(u){return this._ensureValid(),u===0?0:this._prefixSum[u-1]}getIndexOf(u){this._ensureValid();const d=this._indexBySum[u],L=d>0?this._prefixSum[d-1]:0;return new p(d,u-L)}removeValues(u,d){this._values.splice(u,d),this._invalidate(u)}insertValues(u,d){this._values=(0,N.arrayInsert)(this._values,u,d),this._invalidate(u)}_invalidate(u){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,u-1)}_ensureValid(){if(!this._isValid){for(let u=this._validEndIndex+1,d=this._values.length;u<d;u++){const L=this._values[u],t=u>0?this._prefixSum[u-1]:0;this._prefixSum[u]=t+L;for(let b=0;b<L;b++)this._indexBySum[t+b]=u}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(u,d){this._values[u]!==d&&(this._values[u]=d,this._invalidate(u))}}r.ConstantTimePrefixSumComputer=c;class p{constructor(u,d){this.index=u,this.remainder=d,this._prefixSumIndexOfResultBrand=void 0,this.index=u,this.remainder=d}}r.PrefixSumIndexOfResult=p}),Y(X[43],Z([0,1,4,3,42]),function(F,r,N,e,A){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MirrorTextModel=void 0;class c{constructor(C,u,d,L){this._uri=C,this._lines=u,this._eol=d,this._versionId=L,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(C){C.eol&&C.eol!==this._eol&&(this._eol=C.eol,this._lineStarts=null);const u=C.changes;for(const d of u)this._acceptDeleteRange(d.range),this._acceptInsertText(new e.Position(d.range.startLineNumber,d.range.startColumn),d.text);this._versionId=C.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const C=this._eol.length,u=this._lines.length,d=new Uint32Array(u);for(let L=0;L<u;L++)d[L]=this._lines[L].length+C;this._lineStarts=new A.PrefixSumComputer(d)}}_setLineText(C,u){this._lines[C]=u,this._lineStarts&&this._lineStarts.setValue(C,this._lines[C].length+this._eol.length)}_acceptDeleteRange(C){if(C.startLineNumber===C.endLineNumber){if(C.startColumn===C.endColumn)return;this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.startLineNumber-1].substring(C.endColumn-1));return}this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.endLineNumber-1].substring(C.endColumn-1)),this._lines.splice(C.startLineNumber,C.endLineNumber-C.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(C.startLineNumber,C.endLineNumber-C.startLineNumber)}_acceptInsertText(C,u){if(u.length===0)return;const d=(0,N.splitLines)(u);if(d.length===1){this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+d[0]+this._lines[C.lineNumber-1].substring(C.column-1));return}d[d.length-1]+=this._lines[C.lineNumber-1].substring(C.column-1),this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+d[0]);const L=new Uint32Array(d.length-1);for(let t=1;t<d.length;t++)this._lines.splice(C.lineNumber+t-1,0,d[t]),L[t-1]=d[t].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(C.lineNumber,L)}}r.MirrorTextModel=c}),Y(X[44],Z([0,1,4,32,3,2,41]),function(F,r,N,e,A,c,p){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Searcher=r.isValidMatch=r.TextModelSearch=r.createFindMatch=r.isMultilineRegexSource=r.SearchParams=void 0;const C=999;class u{constructor(g,i,s,h){this.searchString=g,this.isRegex=i,this.matchCase=s,this.wordSeparators=h}parseSearchRequest(){if(this.searchString==="")return null;let g;this.isRegex?g=d(this.searchString):g=this.searchString.indexOf(`
`)>=0;let i=null;try{i=N.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:g,global:!0,unicode:!0})}catch{return null}if(!i)return null;let s=!this.isRegex&&!g;return s&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(s=this.matchCase),new p.SearchData(i,this.wordSeparators?(0,e.getMapForWordSeparators)(this.wordSeparators):null,s?this.searchString:null)}}r.SearchParams=u;function d(S){if(!S||S.length===0)return!1;for(let g=0,i=S.length;g<i;g++){const s=S.charCodeAt(g);if(s===10)return!0;if(s===92){if(g++,g>=i)break;const h=S.charCodeAt(g);if(h===110||h===114||h===87)return!0}}return!1}r.isMultilineRegexSource=d;function L(S,g,i){if(!i)return new p.FindMatch(S,null);const s=[];for(let h=0,w=g.length;h<w;h++)s[h]=g[h];return new p.FindMatch(S,s)}r.createFindMatch=L;class t{constructor(g){const i=[];let s=0;for(let h=0,w=g.length;h<w;h++)g.charCodeAt(h)===10&&(i[s++]=h);this._lineFeedsOffsets=i}findLineFeedCountBeforeOffset(g){const i=this._lineFeedsOffsets;let s=0,h=i.length-1;if(h===-1||g<=i[0])return 0;for(;s<h;){const w=s+((h-s)/2>>0);i[w]>=g?h=w-1:i[w+1]>=g?(s=w,h=w):s=w+1}return s+1}}class b{static findMatches(g,i,s,h,w){const o=i.parseSearchRequest();return o?o.regex.multiline?this._doFindMatchesMultiline(g,s,new y(o.wordSeparators,o.regex),h,w):this._doFindMatchesLineByLine(g,s,o,h,w):[]}static _getMultilineMatchRange(g,i,s,h,w,o){let a,f=0;h?(f=h.findLineFeedCountBeforeOffset(w),a=i+w+f):a=i+w;let _;if(h){const D=h.findLineFeedCountBeforeOffset(w+o.length)-f;_=a+o.length+D}else _=a+o.length;const E=g.getPositionAt(a),M=g.getPositionAt(_);return new c.Range(E.lineNumber,E.column,M.lineNumber,M.column)}static _doFindMatchesMultiline(g,i,s,h,w){const o=g.getOffsetAt(i.getStartPosition()),a=g.getValueInRange(i,1),f=g.getEOL()===`\r
`?new t(a):null,_=[];let E=0,M;for(s.reset(0);M=s.next(a);)if(_[E++]=L(this._getMultilineMatchRange(g,o,a,f,M.index,M[0]),M,h),E>=w)return _;return _}static _doFindMatchesLineByLine(g,i,s,h,w){const o=[];let a=0;if(i.startLineNumber===i.endLineNumber){const _=g.getLineContent(i.startLineNumber).substring(i.startColumn-1,i.endColumn-1);return a=this._findMatchesInLine(s,_,i.startLineNumber,i.startColumn-1,a,o,h,w),o}const f=g.getLineContent(i.startLineNumber).substring(i.startColumn-1);a=this._findMatchesInLine(s,f,i.startLineNumber,i.startColumn-1,a,o,h,w);for(let _=i.startLineNumber+1;_<i.endLineNumber&&a<w;_++)a=this._findMatchesInLine(s,g.getLineContent(_),_,0,a,o,h,w);if(a<w){const _=g.getLineContent(i.endLineNumber).substring(0,i.endColumn-1);a=this._findMatchesInLine(s,_,i.endLineNumber,0,a,o,h,w)}return o}static _findMatchesInLine(g,i,s,h,w,o,a,f){const _=g.wordSeparators;if(!a&&g.simpleSearch){const P=g.simpleSearch,D=P.length,B=i.length;let V=-D;for(;(V=i.indexOf(P,V+D))!==-1;)if((!_||v(_,i,B,V,D))&&(o[w++]=new p.FindMatch(new c.Range(s,V+1+h,s,V+1+D+h),null),w>=f))return w;return w}const E=new y(g.wordSeparators,g.regex);let M;E.reset(0);do if(M=E.next(i),M&&(o[w++]=L(new c.Range(s,M.index+1+h,s,M.index+1+M[0].length+h),M,a),w>=f))return w;while(M);return w}static findNextMatch(g,i,s,h){const w=i.parseSearchRequest();if(!w)return null;const o=new y(w.wordSeparators,w.regex);return w.regex.multiline?this._doFindNextMatchMultiline(g,s,o,h):this._doFindNextMatchLineByLine(g,s,o,h)}static _doFindNextMatchMultiline(g,i,s,h){const w=new A.Position(i.lineNumber,1),o=g.getOffsetAt(w),a=g.getLineCount(),f=g.getValueInRange(new c.Range(w.lineNumber,w.column,a,g.getLineMaxColumn(a)),1),_=g.getEOL()===`\r
`?new t(f):null;s.reset(i.column-1);const E=s.next(f);return E?L(this._getMultilineMatchRange(g,o,f,_,E.index,E[0]),E,h):i.lineNumber!==1||i.column!==1?this._doFindNextMatchMultiline(g,new A.Position(1,1),s,h):null}static _doFindNextMatchLineByLine(g,i,s,h){const w=g.getLineCount(),o=i.lineNumber,a=g.getLineContent(o),f=this._findFirstMatchInLine(s,a,o,i.column,h);if(f)return f;for(let _=1;_<=w;_++){const E=(o+_-1)%w,M=g.getLineContent(E+1),P=this._findFirstMatchInLine(s,M,E+1,1,h);if(P)return P}return null}static _findFirstMatchInLine(g,i,s,h,w){g.reset(h-1);const o=g.next(i);return o?L(new c.Range(s,o.index+1,s,o.index+1+o[0].length),o,w):null}static findPreviousMatch(g,i,s,h){const w=i.parseSearchRequest();if(!w)return null;const o=new y(w.wordSeparators,w.regex);return w.regex.multiline?this._doFindPreviousMatchMultiline(g,s,o,h):this._doFindPreviousMatchLineByLine(g,s,o,h)}static _doFindPreviousMatchMultiline(g,i,s,h){const w=this._doFindMatchesMultiline(g,new c.Range(1,1,i.lineNumber,i.column),s,h,10*C);if(w.length>0)return w[w.length-1];const o=g.getLineCount();return i.lineNumber!==o||i.column!==g.getLineMaxColumn(o)?this._doFindPreviousMatchMultiline(g,new A.Position(o,g.getLineMaxColumn(o)),s,h):null}static _doFindPreviousMatchLineByLine(g,i,s,h){const w=g.getLineCount(),o=i.lineNumber,a=g.getLineContent(o).substring(0,i.column-1),f=this._findLastMatchInLine(s,a,o,h);if(f)return f;for(let _=1;_<=w;_++){const E=(w+o-_-1)%w,M=g.getLineContent(E+1),P=this._findLastMatchInLine(s,M,E+1,h);if(P)return P}return null}static _findLastMatchInLine(g,i,s,h){let w=null,o;for(g.reset(0);o=g.next(i);)w=L(new c.Range(s,o.index+1,s,o.index+1+o[0].length),o,h);return w}}r.TextModelSearch=b;function l(S,g,i,s,h){if(s===0)return!0;const w=g.charCodeAt(s-1);if(S.get(w)!==0||w===13||w===10)return!0;if(h>0){const o=g.charCodeAt(s);if(S.get(o)!==0)return!0}return!1}function m(S,g,i,s,h){if(s+h===i)return!0;const w=g.charCodeAt(s+h);if(S.get(w)!==0||w===13||w===10)return!0;if(h>0){const o=g.charCodeAt(s+h-1);if(S.get(o)!==0)return!0}return!1}function v(S,g,i,s,h){return l(S,g,i,s,h)&&m(S,g,i,s,h)}r.isValidMatch=v;class y{constructor(g,i){this._wordSeparators=g,this._searchRegex=i,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(g){this._searchRegex.lastIndex=g,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(g){const i=g.length;let s;do{if(this._prevMatchStartIndex+this._prevMatchLength===i||(s=this._searchRegex.exec(g),!s))return null;const h=s.index,w=s[0].length;if(h===this._prevMatchStartIndex&&w===this._prevMatchLength){if(w===0){N.getNextCodePoint(g,i,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=h,this._prevMatchLength=w,!this._wordSeparators||v(this._wordSeparators,g,i,h,w))return s}while(s);return null}}r.Searcher=y}),Y(X[45],Z([0,1,2,44,4,22,17]),function(F,r,N,e,A,c,p){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.UnicodeTextModelHighlighter=void 0;class C{static computeUnicodeHighlights(b,l,m){const v=m?m.startLineNumber:1,y=m?m.endLineNumber:b.getLineCount(),S=new d(l),g=S.getCandidateCodePoints();let i;g==="allNonBasicAscii"?i=new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):i=new RegExp(`${u(Array.from(g))}`,"g");const s=new e.Searcher(null,i),h=[];let w=!1,o,a=0,f=0,_=0;e:for(let E=v,M=y;E<=M;E++){const P=b.getLineContent(E),D=P.length;s.reset(0);do if(o=s.next(P),o){let B=o.index,V=o.index+o[0].length;if(B>0){const U=P.charCodeAt(B-1);A.isHighSurrogate(U)&&B--}if(V+1<D){const U=P.charCodeAt(V-1);A.isHighSurrogate(U)&&V++}const H=P.substring(B,V),W=(0,p.getWordAtText)(B+1,p.DEFAULT_WORD_REGEXP,P,0),I=S.shouldHighlightNonBasicASCII(H,W?W.word:null);if(I!==0){I===3?a++:I===2?f++:I===1?_++:(0,c.assertNever)(I);const U=1e3;if(h.length>=U){w=!0;break e}h.push(new N.Range(E,B+1,E,V+1))}}while(o)}return{ranges:h,hasMore:w,ambiguousCharacterCount:a,invisibleCharacterCount:f,nonBasicAsciiCharacterCount:_}}static computeUnicodeHighlightReason(b,l){const m=new d(l);switch(m.shouldHighlightNonBasicASCII(b,null)){case 0:return null;case 2:return{kind:1};case 3:{const y=b.codePointAt(0),S=m.ambiguousCharacters.getPrimaryConfusable(y),g=A.AmbiguousCharacters.getLocales().filter(i=>!A.AmbiguousCharacters.getInstance(new Set([...l.allowedLocales,i])).isAmbiguous(y));return{kind:0,confusableWith:String.fromCodePoint(S),notAmbiguousInLocales:g}}case 1:return{kind:2}}}}r.UnicodeTextModelHighlighter=C;function u(t,b){return`[${A.escapeRegExpCharacters(t.map(m=>String.fromCodePoint(m)).join(""))}]`}class d{constructor(b){this.options=b,this.allowedCodePoints=new Set(b.allowedCodePoints),this.ambiguousCharacters=A.AmbiguousCharacters.getInstance(new Set(b.allowedLocales))}getCandidateCodePoints(){if(this.options.nonBasicASCII)return"allNonBasicAscii";const b=new Set;if(this.options.invisibleCharacters)for(const l of A.InvisibleCharacters.codePoints)L(String.fromCodePoint(l))||b.add(l);if(this.options.ambiguousCharacters)for(const l of this.ambiguousCharacters.getConfusableCodePoints())b.add(l);for(const l of this.allowedCodePoints)b.delete(l);return b}shouldHighlightNonBasicASCII(b,l){const m=b.codePointAt(0);if(this.allowedCodePoints.has(m))return 0;if(this.options.nonBasicASCII)return 1;let v=!1,y=!1;if(l)for(const S of l){const g=S.codePointAt(0),i=A.isBasicASCII(S);v=v||i,!i&&!this.ambiguousCharacters.isAmbiguous(g)&&!A.InvisibleCharacters.isInvisibleCharacter(g)&&(y=!0)}return!v&&y?0:this.options.invisibleCharacters&&!L(b)&&A.InvisibleCharacters.isInvisibleCharacter(m)?2:this.options.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(m)?3:0}}function L(t){return t===" "||t===`
`||t==="	"}}),Y(X[46],Z([0,1]),function(F,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.WrappingIndent=r.TrackedRangeStickiness=r.TextEditorCursorStyle=r.TextEditorCursorBlinkingStyle=r.SymbolTag=r.SymbolKind=r.SignatureHelpTriggerKind=r.SelectionDirection=r.ScrollbarVisibility=r.ScrollType=r.RenderMinimap=r.RenderLineNumbersType=r.PositionAffinity=r.OverviewRulerLane=r.OverlayWidgetPositionPreference=r.MouseTargetType=r.MinimapPosition=r.MarkerTag=r.MarkerSeverity=r.KeyCode=r.InlineCompletionTriggerKind=r.InlayHintKind=r.InjectedTextCursorStops=r.IndentAction=r.EndOfLineSequence=r.EndOfLinePreference=r.EditorOption=r.EditorAutoIndentStrategy=r.DocumentHighlightKind=r.DefaultEndOfLine=r.CursorChangeReason=r.ContentWidgetPositionPreference=r.CompletionTriggerKind=r.CompletionItemTag=r.CompletionItemKind=r.CompletionItemInsertTextRule=r.CodeActionTriggerType=r.AccessibilitySupport=void 0;var N;(function(n){n[n.Unknown=0]="Unknown",n[n.Disabled=1]="Disabled",n[n.Enabled=2]="Enabled"})(N=r.AccessibilitySupport||(r.AccessibilitySupport={}));var e;(function(n){n[n.Invoke=1]="Invoke",n[n.Auto=2]="Auto"})(e=r.CodeActionTriggerType||(r.CodeActionTriggerType={}));var A;(function(n){n[n.KeepWhitespace=1]="KeepWhitespace",n[n.InsertAsSnippet=4]="InsertAsSnippet"})(A=r.CompletionItemInsertTextRule||(r.CompletionItemInsertTextRule={}));var c;(function(n){n[n.Method=0]="Method",n[n.Function=1]="Function",n[n.Constructor=2]="Constructor",n[n.Field=3]="Field",n[n.Variable=4]="Variable",n[n.Class=5]="Class",n[n.Struct=6]="Struct",n[n.Interface=7]="Interface",n[n.Module=8]="Module",n[n.Property=9]="Property",n[n.Event=10]="Event",n[n.Operator=11]="Operator",n[n.Unit=12]="Unit",n[n.Value=13]="Value",n[n.Constant=14]="Constant",n[n.Enum=15]="Enum",n[n.EnumMember=16]="EnumMember",n[n.Keyword=17]="Keyword",n[n.Text=18]="Text",n[n.Color=19]="Color",n[n.File=20]="File",n[n.Reference=21]="Reference",n[n.Customcolor=22]="Customcolor",n[n.Folder=23]="Folder",n[n.TypeParameter=24]="TypeParameter",n[n.User=25]="User",n[n.Issue=26]="Issue",n[n.Snippet=27]="Snippet"})(c=r.CompletionItemKind||(r.CompletionItemKind={}));var p;(function(n){n[n.Deprecated=1]="Deprecated"})(p=r.CompletionItemTag||(r.CompletionItemTag={}));var C;(function(n){n[n.Invoke=0]="Invoke",n[n.TriggerCharacter=1]="TriggerCharacter",n[n.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(C=r.CompletionTriggerKind||(r.CompletionTriggerKind={}));var u;(function(n){n[n.EXACT=0]="EXACT",n[n.ABOVE=1]="ABOVE",n[n.BELOW=2]="BELOW"})(u=r.ContentWidgetPositionPreference||(r.ContentWidgetPositionPreference={}));var d;(function(n){n[n.NotSet=0]="NotSet",n[n.ContentFlush=1]="ContentFlush",n[n.RecoverFromMarkers=2]="RecoverFromMarkers",n[n.Explicit=3]="Explicit",n[n.Paste=4]="Paste",n[n.Undo=5]="Undo",n[n.Redo=6]="Redo"})(d=r.CursorChangeReason||(r.CursorChangeReason={}));var L;(function(n){n[n.LF=1]="LF",n[n.CRLF=2]="CRLF"})(L=r.DefaultEndOfLine||(r.DefaultEndOfLine={}));var t;(function(n){n[n.Text=0]="Text",n[n.Read=1]="Read",n[n.Write=2]="Write"})(t=r.DocumentHighlightKind||(r.DocumentHighlightKind={}));var b;(function(n){n[n.None=0]="None",n[n.Keep=1]="Keep",n[n.Brackets=2]="Brackets",n[n.Advanced=3]="Advanced",n[n.Full=4]="Full"})(b=r.EditorAutoIndentStrategy||(r.EditorAutoIndentStrategy={}));var l;(function(n){n[n.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",n[n.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",n[n.accessibilitySupport=2]="accessibilitySupport",n[n.accessibilityPageSize=3]="accessibilityPageSize",n[n.ariaLabel=4]="ariaLabel",n[n.autoClosingBrackets=5]="autoClosingBrackets",n[n.autoClosingDelete=6]="autoClosingDelete",n[n.autoClosingOvertype=7]="autoClosingOvertype",n[n.autoClosingQuotes=8]="autoClosingQuotes",n[n.autoIndent=9]="autoIndent",n[n.automaticLayout=10]="automaticLayout",n[n.autoSurround=11]="autoSurround",n[n.bracketPairColorization=12]="bracketPairColorization",n[n.guides=13]="guides",n[n.codeLens=14]="codeLens",n[n.codeLensFontFamily=15]="codeLensFontFamily",n[n.codeLensFontSize=16]="codeLensFontSize",n[n.colorDecorators=17]="colorDecorators",n[n.columnSelection=18]="columnSelection",n[n.comments=19]="comments",n[n.contextmenu=20]="contextmenu",n[n.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",n[n.cursorBlinking=22]="cursorBlinking",n[n.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",n[n.cursorStyle=24]="cursorStyle",n[n.cursorSurroundingLines=25]="cursorSurroundingLines",n[n.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",n[n.cursorWidth=27]="cursorWidth",n[n.disableLayerHinting=28]="disableLayerHinting",n[n.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",n[n.domReadOnly=30]="domReadOnly",n[n.dragAndDrop=31]="dragAndDrop",n[n.dropIntoEditor=32]="dropIntoEditor",n[n.emptySelectionClipboard=33]="emptySelectionClipboard",n[n.experimental=34]="experimental",n[n.extraEditorClassName=35]="extraEditorClassName",n[n.fastScrollSensitivity=36]="fastScrollSensitivity",n[n.find=37]="find",n[n.fixedOverflowWidgets=38]="fixedOverflowWidgets",n[n.folding=39]="folding",n[n.foldingStrategy=40]="foldingStrategy",n[n.foldingHighlight=41]="foldingHighlight",n[n.foldingImportsByDefault=42]="foldingImportsByDefault",n[n.foldingMaximumRegions=43]="foldingMaximumRegions",n[n.unfoldOnClickAfterEndOfLine=44]="unfoldOnClickAfterEndOfLine",n[n.fontFamily=45]="fontFamily",n[n.fontInfo=46]="fontInfo",n[n.fontLigatures=47]="fontLigatures",n[n.fontSize=48]="fontSize",n[n.fontWeight=49]="fontWeight",n[n.formatOnPaste=50]="formatOnPaste",n[n.formatOnType=51]="formatOnType",n[n.glyphMargin=52]="glyphMargin",n[n.gotoLocation=53]="gotoLocation",n[n.hideCursorInOverviewRuler=54]="hideCursorInOverviewRuler",n[n.hover=55]="hover",n[n.inDiffEditor=56]="inDiffEditor",n[n.inlineSuggest=57]="inlineSuggest",n[n.letterSpacing=58]="letterSpacing",n[n.lightbulb=59]="lightbulb",n[n.lineDecorationsWidth=60]="lineDecorationsWidth",n[n.lineHeight=61]="lineHeight",n[n.lineNumbers=62]="lineNumbers",n[n.lineNumbersMinChars=63]="lineNumbersMinChars",n[n.linkedEditing=64]="linkedEditing",n[n.links=65]="links",n[n.matchBrackets=66]="matchBrackets",n[n.minimap=67]="minimap",n[n.mouseStyle=68]="mouseStyle",n[n.mouseWheelScrollSensitivity=69]="mouseWheelScrollSensitivity",n[n.mouseWheelZoom=70]="mouseWheelZoom",n[n.multiCursorMergeOverlapping=71]="multiCursorMergeOverlapping",n[n.multiCursorModifier=72]="multiCursorModifier",n[n.multiCursorPaste=73]="multiCursorPaste",n[n.occurrencesHighlight=74]="occurrencesHighlight",n[n.overviewRulerBorder=75]="overviewRulerBorder",n[n.overviewRulerLanes=76]="overviewRulerLanes",n[n.padding=77]="padding",n[n.parameterHints=78]="parameterHints",n[n.peekWidgetDefaultFocus=79]="peekWidgetDefaultFocus",n[n.definitionLinkOpensInPeek=80]="definitionLinkOpensInPeek",n[n.quickSuggestions=81]="quickSuggestions",n[n.quickSuggestionsDelay=82]="quickSuggestionsDelay",n[n.readOnly=83]="readOnly",n[n.renameOnType=84]="renameOnType",n[n.renderControlCharacters=85]="renderControlCharacters",n[n.renderFinalNewline=86]="renderFinalNewline",n[n.renderLineHighlight=87]="renderLineHighlight",n[n.renderLineHighlightOnlyWhenFocus=88]="renderLineHighlightOnlyWhenFocus",n[n.renderValidationDecorations=89]="renderValidationDecorations",n[n.renderWhitespace=90]="renderWhitespace",n[n.revealHorizontalRightPadding=91]="revealHorizontalRightPadding",n[n.roundedSelection=92]="roundedSelection",n[n.rulers=93]="rulers",n[n.scrollbar=94]="scrollbar",n[n.scrollBeyondLastColumn=95]="scrollBeyondLastColumn",n[n.scrollBeyondLastLine=96]="scrollBeyondLastLine",n[n.scrollPredominantAxis=97]="scrollPredominantAxis",n[n.selectionClipboard=98]="selectionClipboard",n[n.selectionHighlight=99]="selectionHighlight",n[n.selectOnLineNumbers=100]="selectOnLineNumbers",n[n.showFoldingControls=101]="showFoldingControls",n[n.showUnused=102]="showUnused",n[n.snippetSuggestions=103]="snippetSuggestions",n[n.smartSelect=104]="smartSelect",n[n.smoothScrolling=105]="smoothScrolling",n[n.stickyTabStops=106]="stickyTabStops",n[n.stopRenderingLineAfter=107]="stopRenderingLineAfter",n[n.suggest=108]="suggest",n[n.suggestFontSize=109]="suggestFontSize",n[n.suggestLineHeight=110]="suggestLineHeight",n[n.suggestOnTriggerCharacters=111]="suggestOnTriggerCharacters",n[n.suggestSelection=112]="suggestSelection",n[n.tabCompletion=113]="tabCompletion",n[n.tabIndex=114]="tabIndex",n[n.unicodeHighlighting=115]="unicodeHighlighting",n[n.unusualLineTerminators=116]="unusualLineTerminators",n[n.useShadowDOM=117]="useShadowDOM",n[n.useTabStops=118]="useTabStops",n[n.wordSeparators=119]="wordSeparators",n[n.wordWrap=120]="wordWrap",n[n.wordWrapBreakAfterCharacters=121]="wordWrapBreakAfterCharacters",n[n.wordWrapBreakBeforeCharacters=122]="wordWrapBreakBeforeCharacters",n[n.wordWrapColumn=123]="wordWrapColumn",n[n.wordWrapOverride1=124]="wordWrapOverride1",n[n.wordWrapOverride2=125]="wordWrapOverride2",n[n.wrappingIndent=126]="wrappingIndent",n[n.wrappingStrategy=127]="wrappingStrategy",n[n.showDeprecated=128]="showDeprecated",n[n.inlayHints=129]="inlayHints",n[n.editorClassName=130]="editorClassName",n[n.pixelRatio=131]="pixelRatio",n[n.tabFocusMode=132]="tabFocusMode",n[n.layoutInfo=133]="layoutInfo",n[n.wrappingInfo=134]="wrappingInfo"})(l=r.EditorOption||(r.EditorOption={}));var m;(function(n){n[n.TextDefined=0]="TextDefined",n[n.LF=1]="LF",n[n.CRLF=2]="CRLF"})(m=r.EndOfLinePreference||(r.EndOfLinePreference={}));var v;(function(n){n[n.LF=0]="LF",n[n.CRLF=1]="CRLF"})(v=r.EndOfLineSequence||(r.EndOfLineSequence={}));var y;(function(n){n[n.None=0]="None",n[n.Indent=1]="Indent",n[n.IndentOutdent=2]="IndentOutdent",n[n.Outdent=3]="Outdent"})(y=r.IndentAction||(r.IndentAction={}));var S;(function(n){n[n.Both=0]="Both",n[n.Right=1]="Right",n[n.Left=2]="Left",n[n.None=3]="None"})(S=r.InjectedTextCursorStops||(r.InjectedTextCursorStops={}));var g;(function(n){n[n.Type=1]="Type",n[n.Parameter=2]="Parameter"})(g=r.InlayHintKind||(r.InlayHintKind={}));var i;(function(n){n[n.Automatic=0]="Automatic",n[n.Explicit=1]="Explicit"})(i=r.InlineCompletionTriggerKind||(r.InlineCompletionTriggerKind={}));var s;(function(n){n[n.DependsOnKbLayout=-1]="DependsOnKbLayout",n[n.Unknown=0]="Unknown",n[n.Backspace=1]="Backspace",n[n.Tab=2]="Tab",n[n.Enter=3]="Enter",n[n.Shift=4]="Shift",n[n.Ctrl=5]="Ctrl",n[n.Alt=6]="Alt",n[n.PauseBreak=7]="PauseBreak",n[n.CapsLock=8]="CapsLock",n[n.Escape=9]="Escape",n[n.Space=10]="Space",n[n.PageUp=11]="PageUp",n[n.PageDown=12]="PageDown",n[n.End=13]="End",n[n.Home=14]="Home",n[n.LeftArrow=15]="LeftArrow",n[n.UpArrow=16]="UpArrow",n[n.RightArrow=17]="RightArrow",n[n.DownArrow=18]="DownArrow",n[n.Insert=19]="Insert",n[n.Delete=20]="Delete",n[n.Digit0=21]="Digit0",n[n.Digit1=22]="Digit1",n[n.Digit2=23]="Digit2",n[n.Digit3=24]="Digit3",n[n.Digit4=25]="Digit4",n[n.Digit5=26]="Digit5",n[n.Digit6=27]="Digit6",n[n.Digit7=28]="Digit7",n[n.Digit8=29]="Digit8",n[n.Digit9=30]="Digit9",n[n.KeyA=31]="KeyA",n[n.KeyB=32]="KeyB",n[n.KeyC=33]="KeyC",n[n.KeyD=34]="KeyD",n[n.KeyE=35]="KeyE",n[n.KeyF=36]="KeyF",n[n.KeyG=37]="KeyG",n[n.KeyH=38]="KeyH",n[n.KeyI=39]="KeyI",n[n.KeyJ=40]="KeyJ",n[n.KeyK=41]="KeyK",n[n.KeyL=42]="KeyL",n[n.KeyM=43]="KeyM",n[n.KeyN=44]="KeyN",n[n.KeyO=45]="KeyO",n[n.KeyP=46]="KeyP",n[n.KeyQ=47]="KeyQ",n[n.KeyR=48]="KeyR",n[n.KeyS=49]="KeyS",n[n.KeyT=50]="KeyT",n[n.KeyU=51]="KeyU",n[n.KeyV=52]="KeyV",n[n.KeyW=53]="KeyW",n[n.KeyX=54]="KeyX",n[n.KeyY=55]="KeyY",n[n.KeyZ=56]="KeyZ",n[n.Meta=57]="Meta",n[n.ContextMenu=58]="ContextMenu",n[n.F1=59]="F1",n[n.F2=60]="F2",n[n.F3=61]="F3",n[n.F4=62]="F4",n[n.F5=63]="F5",n[n.F6=64]="F6",n[n.F7=65]="F7",n[n.F8=66]="F8",n[n.F9=67]="F9",n[n.F10=68]="F10",n[n.F11=69]="F11",n[n.F12=70]="F12",n[n.F13=71]="F13",n[n.F14=72]="F14",n[n.F15=73]="F15",n[n.F16=74]="F16",n[n.F17=75]="F17",n[n.F18=76]="F18",n[n.F19=77]="F19",n[n.NumLock=78]="NumLock",n[n.ScrollLock=79]="ScrollLock",n[n.Semicolon=80]="Semicolon",n[n.Equal=81]="Equal",n[n.Comma=82]="Comma",n[n.Minus=83]="Minus",n[n.Period=84]="Period",n[n.Slash=85]="Slash",n[n.Backquote=86]="Backquote",n[n.BracketLeft=87]="BracketLeft",n[n.Backslash=88]="Backslash",n[n.BracketRight=89]="BracketRight",n[n.Quote=90]="Quote",n[n.OEM_8=91]="OEM_8",n[n.IntlBackslash=92]="IntlBackslash",n[n.Numpad0=93]="Numpad0",n[n.Numpad1=94]="Numpad1",n[n.Numpad2=95]="Numpad2",n[n.Numpad3=96]="Numpad3",n[n.Numpad4=97]="Numpad4",n[n.Numpad5=98]="Numpad5",n[n.Numpad6=99]="Numpad6",n[n.Numpad7=100]="Numpad7",n[n.Numpad8=101]="Numpad8",n[n.Numpad9=102]="Numpad9",n[n.NumpadMultiply=103]="NumpadMultiply",n[n.NumpadAdd=104]="NumpadAdd",n[n.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",n[n.NumpadSubtract=106]="NumpadSubtract",n[n.NumpadDecimal=107]="NumpadDecimal",n[n.NumpadDivide=108]="NumpadDivide",n[n.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",n[n.ABNT_C1=110]="ABNT_C1",n[n.ABNT_C2=111]="ABNT_C2",n[n.AudioVolumeMute=112]="AudioVolumeMute",n[n.AudioVolumeUp=113]="AudioVolumeUp",n[n.AudioVolumeDown=114]="AudioVolumeDown",n[n.BrowserSearch=115]="BrowserSearch",n[n.BrowserHome=116]="BrowserHome",n[n.BrowserBack=117]="BrowserBack",n[n.BrowserForward=118]="BrowserForward",n[n.MediaTrackNext=119]="MediaTrackNext",n[n.MediaTrackPrevious=120]="MediaTrackPrevious",n[n.MediaStop=121]="MediaStop",n[n.MediaPlayPause=122]="MediaPlayPause",n[n.LaunchMediaPlayer=123]="LaunchMediaPlayer",n[n.LaunchMail=124]="LaunchMail",n[n.LaunchApp2=125]="LaunchApp2",n[n.Clear=126]="Clear",n[n.MAX_VALUE=127]="MAX_VALUE"})(s=r.KeyCode||(r.KeyCode={}));var h;(function(n){n[n.Hint=1]="Hint",n[n.Info=2]="Info",n[n.Warning=4]="Warning",n[n.Error=8]="Error"})(h=r.MarkerSeverity||(r.MarkerSeverity={}));var w;(function(n){n[n.Unnecessary=1]="Unnecessary",n[n.Deprecated=2]="Deprecated"})(w=r.MarkerTag||(r.MarkerTag={}));var o;(function(n){n[n.Inline=1]="Inline",n[n.Gutter=2]="Gutter"})(o=r.MinimapPosition||(r.MinimapPosition={}));var a;(function(n){n[n.UNKNOWN=0]="UNKNOWN",n[n.TEXTAREA=1]="TEXTAREA",n[n.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",n[n.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",n[n.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",n[n.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",n[n.CONTENT_TEXT=6]="CONTENT_TEXT",n[n.CONTENT_EMPTY=7]="CONTENT_EMPTY",n[n.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",n[n.CONTENT_WIDGET=9]="CONTENT_WIDGET",n[n.OVERVIEW_RULER=10]="OVERVIEW_RULER",n[n.SCROLLBAR=11]="SCROLLBAR",n[n.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",n[n.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(a=r.MouseTargetType||(r.MouseTargetType={}));var f;(function(n){n[n.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",n[n.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",n[n.TOP_CENTER=2]="TOP_CENTER"})(f=r.OverlayWidgetPositionPreference||(r.OverlayWidgetPositionPreference={}));var _;(function(n){n[n.Left=1]="Left",n[n.Center=2]="Center",n[n.Right=4]="Right",n[n.Full=7]="Full"})(_=r.OverviewRulerLane||(r.OverviewRulerLane={}));var E;(function(n){n[n.Left=0]="Left",n[n.Right=1]="Right",n[n.None=2]="None",n[n.LeftOfInjectedText=3]="LeftOfInjectedText",n[n.RightOfInjectedText=4]="RightOfInjectedText"})(E=r.PositionAffinity||(r.PositionAffinity={}));var M;(function(n){n[n.Off=0]="Off",n[n.On=1]="On",n[n.Relative=2]="Relative",n[n.Interval=3]="Interval",n[n.Custom=4]="Custom"})(M=r.RenderLineNumbersType||(r.RenderLineNumbersType={}));var P;(function(n){n[n.None=0]="None",n[n.Text=1]="Text",n[n.Blocks=2]="Blocks"})(P=r.RenderMinimap||(r.RenderMinimap={}));var D;(function(n){n[n.Smooth=0]="Smooth",n[n.Immediate=1]="Immediate"})(D=r.ScrollType||(r.ScrollType={}));var B;(function(n){n[n.Auto=1]="Auto",n[n.Hidden=2]="Hidden",n[n.Visible=3]="Visible"})(B=r.ScrollbarVisibility||(r.ScrollbarVisibility={}));var V;(function(n){n[n.LTR=0]="LTR",n[n.RTL=1]="RTL"})(V=r.SelectionDirection||(r.SelectionDirection={}));var H;(function(n){n[n.Invoke=1]="Invoke",n[n.TriggerCharacter=2]="TriggerCharacter",n[n.ContentChange=3]="ContentChange"})(H=r.SignatureHelpTriggerKind||(r.SignatureHelpTriggerKind={}));var W;(function(n){n[n.File=0]="File",n[n.Module=1]="Module",n[n.Namespace=2]="Namespace",n[n.Package=3]="Package",n[n.Class=4]="Class",n[n.Method=5]="Method",n[n.Property=6]="Property",n[n.Field=7]="Field",n[n.Constructor=8]="Constructor",n[n.Enum=9]="Enum",n[n.Interface=10]="Interface",n[n.Function=11]="Function",n[n.Variable=12]="Variable",n[n.Constant=13]="Constant",n[n.String=14]="String",n[n.Number=15]="Number",n[n.Boolean=16]="Boolean",n[n.Array=17]="Array",n[n.Object=18]="Object",n[n.Key=19]="Key",n[n.Null=20]="Null",n[n.EnumMember=21]="EnumMember",n[n.Struct=22]="Struct",n[n.Event=23]="Event",n[n.Operator=24]="Operator",n[n.TypeParameter=25]="TypeParameter"})(W=r.SymbolKind||(r.SymbolKind={}));var I;(function(n){n[n.Deprecated=1]="Deprecated"})(I=r.SymbolTag||(r.SymbolTag={}));var U;(function(n){n[n.Hidden=0]="Hidden",n[n.Blink=1]="Blink",n[n.Smooth=2]="Smooth",n[n.Phase=3]="Phase",n[n.Expand=4]="Expand",n[n.Solid=5]="Solid"})(U=r.TextEditorCursorBlinkingStyle||(r.TextEditorCursorBlinkingStyle={}));var T;(function(n){n[n.Line=1]="Line",n[n.Block=2]="Block",n[n.Underline=3]="Underline",n[n.LineThin=4]="LineThin",n[n.BlockOutline=5]="BlockOutline",n[n.UnderlineThin=6]="UnderlineThin"})(T=r.TextEditorCursorStyle||(r.TextEditorCursorStyle={}));var O;(function(n){n[n.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",n[n.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",n[n.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",n[n.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(O=r.TrackedRangeStickiness||(r.TrackedRangeStickiness={}));var $;(function(n){n[n.None=0]="None",n[n.Same=1]="Same",n[n.Indent=2]="Indent",n[n.DeepIndent=3]="DeepIndent"})($=r.WrappingIndent||(r.WrappingIndent={}))}),Y(X[47],Z([20,54]),function(F,r){return F.create("vs/base/common/platform",r)}),Y(X[5],Z([0,1,47]),function(F,r,N){"use strict";var e;Object.defineProperty(r,"__esModule",{value:!0}),r.isAndroid=r.isEdge=r.isSafari=r.isFirefox=r.isChrome=r.isLittleEndian=r.OS=r.setTimeout0=r.setTimeout0IsFaster=r.language=r.userAgent=r.isIOS=r.isWebWorker=r.isWeb=r.isNative=r.isLinux=r.isMacintosh=r.isWindows=r.globals=void 0;const A="en";let c=!1,p=!1,C=!1,u=!1,d=!1,L=!1,t=!1,b=!1,l=!1,m,v=A,y,S;r.globals=typeof self=="object"?self:typeof global=="object"?global:{};let g;typeof r.globals.vscode!="undefined"&&typeof r.globals.vscode.process!="undefined"?g=r.globals.vscode.process:typeof process!="undefined"&&(g=process);const i=typeof((e=g==null?void 0:g.versions)===null||e===void 0?void 0:e.electron)=="string",s=i&&(g==null?void 0:g.type)==="renderer";if(typeof navigator=="object"&&!s)S=navigator.userAgent,c=S.indexOf("Windows")>=0,p=S.indexOf("Macintosh")>=0,b=(S.indexOf("Macintosh")>=0||S.indexOf("iPad")>=0||S.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=S.indexOf("Linux")>=0,L=!0,m=N.getConfiguredDefaultLocale(N.localize(0,null))||A,v=m;else if(typeof g=="object"){c=g.platform==="win32",p=g.platform==="darwin",C=g.platform==="linux",u=C&&!!g.env.SNAP&&!!g.env.SNAP_REVISION,t=i,l=!!g.env.CI||!!g.env.BUILD_ARTIFACTSTAGINGDIRECTORY,m=A,v=A;const f=g.env.VSCODE_NLS_CONFIG;if(f)try{const _=JSON.parse(f),E=_.availableLanguages["*"];m=_.locale,v=E||A,y=_._translationsConfigFile}catch{}d=!0}else console.error("Unable to resolve platform.");let h=0;p?h=1:c?h=3:C&&(h=2),r.isWindows=c,r.isMacintosh=p,r.isLinux=C,r.isNative=d,r.isWeb=L,r.isWebWorker=L&&typeof r.globals.importScripts=="function",r.isIOS=b,r.userAgent=S,r.language=v,r.setTimeout0IsFaster=typeof r.globals.postMessage=="function"&&!r.globals.importScripts,r.setTimeout0=(()=>{if(r.setTimeout0IsFaster){const f=[];r.globals.addEventListener("message",E=>{if(E.data&&E.data.vscodeScheduleAsyncWork)for(let M=0,P=f.length;M<P;M++){const D=f[M];if(D.id===E.data.vscodeScheduleAsyncWork){f.splice(M,1),D.callback();return}}});let _=0;return E=>{const M=++_;f.push({id:M,callback:E}),r.globals.postMessage({vscodeScheduleAsyncWork:M},"*")}}return f=>setTimeout(f)})(),r.OS=p||b?2:c?1:3;let w=!0,o=!1;function a(){if(!o){o=!0;const f=new Uint8Array(2);f[0]=1,f[1]=2,w=new Uint16Array(f.buffer)[0]===(2<<8)+1}return w}r.isLittleEndian=a,r.isChrome=!!(r.userAgent&&r.userAgent.indexOf("Chrome")>=0),r.isFirefox=!!(r.userAgent&&r.userAgent.indexOf("Firefox")>=0),r.isSafari=!!(!r.isChrome&&r.userAgent&&r.userAgent.indexOf("Safari")>=0),r.isEdge=!!(r.userAgent&&r.userAgent.indexOf("Edg/")>=0),r.isAndroid=!!(r.userAgent&&r.userAgent.indexOf("Android")>=0)}),Y(X[48],Z([0,1,5]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.platform=r.env=r.cwd=void 0;let e;if(typeof N.globals.vscode!="undefined"&&typeof N.globals.vscode.process!="undefined"){const A=N.globals.vscode.process;e={get platform(){return A.platform},get arch(){return A.arch},get env(){return A.env},cwd(){return A.cwd()}}}else typeof process!="undefined"?e={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:e={get platform(){return N.isWindows?"win32":N.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};r.cwd=e.cwd,r.env=e.env,r.platform=e.platform}),Y(X[49],Z([0,1,48]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.sep=r.extname=r.basename=r.dirname=r.relative=r.resolve=r.normalize=r.posix=r.win32=void 0;const e=65,A=97,c=90,p=122,C=46,u=47,d=92,L=58,t=63;class b extends Error{constructor(s,h,w){let o;typeof h=="string"&&h.indexOf("not ")===0?(o="must not be",h=h.replace(/^not /,"")):o="must be";const a=s.indexOf(".")!==-1?"property":"argument";let f=`The "${s}" ${a} ${o} of type ${h}`;f+=`. Received type ${typeof w}`;super(f);this.code="ERR_INVALID_ARG_TYPE"}}function l(i,s){if(typeof i!="string")throw new b(s,"string",i)}function m(i){return i===u||i===d}function v(i){return i===u}function y(i){return i>=e&&i<=c||i>=A&&i<=p}function S(i,s,h,w){let o="",a=0,f=-1,_=0,E=0;for(let M=0;M<=i.length;++M){if(M<i.length)E=i.charCodeAt(M);else{if(w(E))break;E=u}if(w(E)){if(!(f===M-1||_===1))if(_===2){if(o.length<2||a!==2||o.charCodeAt(o.length-1)!==C||o.charCodeAt(o.length-2)!==C){if(o.length>2){const P=o.lastIndexOf(h);P===-1?(o="",a=0):(o=o.slice(0,P),a=o.length-1-o.lastIndexOf(h)),f=M,_=0;continue}else if(o.length!==0){o="",a=0,f=M,_=0;continue}}s&&(o+=o.length>0?`${h}..`:"..",a=2)}else o.length>0?o+=`${h}${i.slice(f+1,M)}`:o=i.slice(f+1,M),a=M-f-1;f=M,_=0}else E===C&&_!==-1?++_:_=-1}return o}function g(i,s){if(s===null||typeof s!="object")throw new b("pathObject","Object",s);const h=s.dir||s.root,w=s.base||`${s.name||""}${s.ext||""}`;return h?h===s.root?`${h}${w}`:`${h}${i}${w}`:w}r.win32={resolve(...i){let s="",h="",w=!1;for(let o=i.length-1;o>=-1;o--){let a;if(o>=0){if(a=i[o],l(a,"path"),a.length===0)continue}else s.length===0?a=N.cwd():(a=N.env[`=${s}`]||N.cwd(),(a===void 0||a.slice(0,2).toLowerCase()!==s.toLowerCase()&&a.charCodeAt(2)===d)&&(a=`${s}\\`));const f=a.length;let _=0,E="",M=!1;const P=a.charCodeAt(0);if(f===1)m(P)&&(_=1,M=!0);else if(m(P))if(M=!0,m(a.charCodeAt(1))){let D=2,B=D;for(;D<f&&!m(a.charCodeAt(D));)D++;if(D<f&&D!==B){const V=a.slice(B,D);for(B=D;D<f&&m(a.charCodeAt(D));)D++;if(D<f&&D!==B){for(B=D;D<f&&!m(a.charCodeAt(D));)D++;(D===f||D!==B)&&(E=`\\\\${V}\\${a.slice(B,D)}`,_=D)}}}else _=1;else y(P)&&a.charCodeAt(1)===L&&(E=a.slice(0,2),_=2,f>2&&m(a.charCodeAt(2))&&(M=!0,_=3));if(E.length>0)if(s.length>0){if(E.toLowerCase()!==s.toLowerCase())continue}else s=E;if(w){if(s.length>0)break}else if(h=`${a.slice(_)}\\${h}`,w=M,M&&s.length>0)break}return h=S(h,!w,"\\",m),w?`${s}\\${h}`:`${s}${h}`||"."},normalize(i){l(i,"path");const s=i.length;if(s===0)return".";let h=0,w,o=!1;const a=i.charCodeAt(0);if(s===1)return v(a)?"\\":i;if(m(a))if(o=!0,m(i.charCodeAt(1))){let _=2,E=_;for(;_<s&&!m(i.charCodeAt(_));)_++;if(_<s&&_!==E){const M=i.slice(E,_);for(E=_;_<s&&m(i.charCodeAt(_));)_++;if(_<s&&_!==E){for(E=_;_<s&&!m(i.charCodeAt(_));)_++;if(_===s)return`\\\\${M}\\${i.slice(E)}\\`;_!==E&&(w=`\\\\${M}\\${i.slice(E,_)}`,h=_)}}}else h=1;else y(a)&&i.charCodeAt(1)===L&&(w=i.slice(0,2),h=2,s>2&&m(i.charCodeAt(2))&&(o=!0,h=3));let f=h<s?S(i.slice(h),!o,"\\",m):"";return f.length===0&&!o&&(f="."),f.length>0&&m(i.charCodeAt(s-1))&&(f+="\\"),w===void 0?o?`\\${f}`:f:o?`${w}\\${f}`:`${w}${f}`},isAbsolute(i){l(i,"path");const s=i.length;if(s===0)return!1;const h=i.charCodeAt(0);return m(h)||s>2&&y(h)&&i.charCodeAt(1)===L&&m(i.charCodeAt(2))},join(...i){if(i.length===0)return".";let s,h;for(let a=0;a<i.length;++a){const f=i[a];l(f,"path"),f.length>0&&(s===void 0?s=h=f:s+=`\\${f}`)}if(s===void 0)return".";let w=!0,o=0;if(typeof h=="string"&&m(h.charCodeAt(0))){++o;const a=h.length;a>1&&m(h.charCodeAt(1))&&(++o,a>2&&(m(h.charCodeAt(2))?++o:w=!1))}if(w){for(;o<s.length&&m(s.charCodeAt(o));)o++;o>=2&&(s=`\\${s.slice(o)}`)}return r.win32.normalize(s)},relative(i,s){if(l(i,"from"),l(s,"to"),i===s)return"";const h=r.win32.resolve(i),w=r.win32.resolve(s);if(h===w||(i=h.toLowerCase(),s=w.toLowerCase(),i===s))return"";let o=0;for(;o<i.length&&i.charCodeAt(o)===d;)o++;let a=i.length;for(;a-1>o&&i.charCodeAt(a-1)===d;)a--;const f=a-o;let _=0;for(;_<s.length&&s.charCodeAt(_)===d;)_++;let E=s.length;for(;E-1>_&&s.charCodeAt(E-1)===d;)E--;const M=E-_,P=f<M?f:M;let D=-1,B=0;for(;B<P;B++){const H=i.charCodeAt(o+B);if(H!==s.charCodeAt(_+B))break;H===d&&(D=B)}if(B!==P){if(D===-1)return w}else{if(M>P){if(s.charCodeAt(_+B)===d)return w.slice(_+B+1);if(B===2)return w.slice(_+B)}f>P&&(i.charCodeAt(o+B)===d?D=B:B===2&&(D=3)),D===-1&&(D=0)}let V="";for(B=o+D+1;B<=a;++B)(B===a||i.charCodeAt(B)===d)&&(V+=V.length===0?"..":"\\..");return _+=D,V.length>0?`${V}${w.slice(_,E)}`:(w.charCodeAt(_)===d&&++_,w.slice(_,E))},toNamespacedPath(i){if(typeof i!="string")return i;if(i.length===0)return"";const s=r.win32.resolve(i);if(s.length<=2)return i;if(s.charCodeAt(0)===d){if(s.charCodeAt(1)===d){const h=s.charCodeAt(2);if(h!==t&&h!==C)return`\\\\?\\UNC\\${s.slice(2)}`}}else if(y(s.charCodeAt(0))&&s.charCodeAt(1)===L&&s.charCodeAt(2)===d)return`\\\\?\\${s}`;return i},dirname(i){l(i,"path");const s=i.length;if(s===0)return".";let h=-1,w=0;const o=i.charCodeAt(0);if(s===1)return m(o)?i:".";if(m(o)){if(h=w=1,m(i.charCodeAt(1))){let _=2,E=_;for(;_<s&&!m(i.charCodeAt(_));)_++;if(_<s&&_!==E){for(E=_;_<s&&m(i.charCodeAt(_));)_++;if(_<s&&_!==E){for(E=_;_<s&&!m(i.charCodeAt(_));)_++;if(_===s)return i;_!==E&&(h=w=_+1)}}}}else y(o)&&i.charCodeAt(1)===L&&(h=s>2&&m(i.charCodeAt(2))?3:2,w=h);let a=-1,f=!0;for(let _=s-1;_>=w;--_)if(m(i.charCodeAt(_))){if(!f){a=_;break}}else f=!1;if(a===-1){if(h===-1)return".";a=h}return i.slice(0,a)},basename(i,s){s!==void 0&&l(s,"ext"),l(i,"path");let h=0,w=-1,o=!0,a;if(i.length>=2&&y(i.charCodeAt(0))&&i.charCodeAt(1)===L&&(h=2),s!==void 0&&s.length>0&&s.length<=i.length){if(s===i)return"";let f=s.length-1,_=-1;for(a=i.length-1;a>=h;--a){const E=i.charCodeAt(a);if(m(E)){if(!o){h=a+1;break}}else _===-1&&(o=!1,_=a+1),f>=0&&(E===s.charCodeAt(f)?--f==-1&&(w=a):(f=-1,w=_))}return h===w?w=_:w===-1&&(w=i.length),i.slice(h,w)}for(a=i.length-1;a>=h;--a)if(m(i.charCodeAt(a))){if(!o){h=a+1;break}}else w===-1&&(o=!1,w=a+1);return w===-1?"":i.slice(h,w)},extname(i){l(i,"path");let s=0,h=-1,w=0,o=-1,a=!0,f=0;i.length>=2&&i.charCodeAt(1)===L&&y(i.charCodeAt(0))&&(s=w=2);for(let _=i.length-1;_>=s;--_){const E=i.charCodeAt(_);if(m(E)){if(!a){w=_+1;break}continue}o===-1&&(a=!1,o=_+1),E===C?h===-1?h=_:f!==1&&(f=1):h!==-1&&(f=-1)}return h===-1||o===-1||f===0||f===1&&h===o-1&&h===w+1?"":i.slice(h,o)},format:g.bind(null,"\\"),parse(i){l(i,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(i.length===0)return s;const h=i.length;let w=0,o=i.charCodeAt(0);if(h===1)return m(o)?(s.root=s.dir=i,s):(s.base=s.name=i,s);if(m(o)){if(w=1,m(i.charCodeAt(1))){let D=2,B=D;for(;D<h&&!m(i.charCodeAt(D));)D++;if(D<h&&D!==B){for(B=D;D<h&&m(i.charCodeAt(D));)D++;if(D<h&&D!==B){for(B=D;D<h&&!m(i.charCodeAt(D));)D++;D===h?w=D:D!==B&&(w=D+1)}}}}else if(y(o)&&i.charCodeAt(1)===L){if(h<=2)return s.root=s.dir=i,s;if(w=2,m(i.charCodeAt(2))){if(h===3)return s.root=s.dir=i,s;w=3}}w>0&&(s.root=i.slice(0,w));let a=-1,f=w,_=-1,E=!0,M=i.length-1,P=0;for(;M>=w;--M){if(o=i.charCodeAt(M),m(o)){if(!E){f=M+1;break}continue}_===-1&&(E=!1,_=M+1),o===C?a===-1?a=M:P!==1&&(P=1):a!==-1&&(P=-1)}return _!==-1&&(a===-1||P===0||P===1&&a===_-1&&a===f+1?s.base=s.name=i.slice(f,_):(s.name=i.slice(f,a),s.base=i.slice(f,_),s.ext=i.slice(a,_))),f>0&&f!==w?s.dir=i.slice(0,f-1):s.dir=s.root,s},sep:"\\",delimiter:";",win32:null,posix:null},r.posix={resolve(...i){let s="",h=!1;for(let w=i.length-1;w>=-1&&!h;w--){const o=w>=0?i[w]:N.cwd();l(o,"path"),o.length!==0&&(s=`${o}/${s}`,h=o.charCodeAt(0)===u)}return s=S(s,!h,"/",v),h?`/${s}`:s.length>0?s:"."},normalize(i){if(l(i,"path"),i.length===0)return".";const s=i.charCodeAt(0)===u,h=i.charCodeAt(i.length-1)===u;return i=S(i,!s,"/",v),i.length===0?s?"/":h?"./":".":(h&&(i+="/"),s?`/${i}`:i)},isAbsolute(i){return l(i,"path"),i.length>0&&i.charCodeAt(0)===u},join(...i){if(i.length===0)return".";let s;for(let h=0;h<i.length;++h){const w=i[h];l(w,"path"),w.length>0&&(s===void 0?s=w:s+=`/${w}`)}return s===void 0?".":r.posix.normalize(s)},relative(i,s){if(l(i,"from"),l(s,"to"),i===s||(i=r.posix.resolve(i),s=r.posix.resolve(s),i===s))return"";const h=1,w=i.length,o=w-h,a=1,f=s.length-a,_=o<f?o:f;let E=-1,M=0;for(;M<_;M++){const D=i.charCodeAt(h+M);if(D!==s.charCodeAt(a+M))break;D===u&&(E=M)}if(M===_)if(f>_){if(s.charCodeAt(a+M)===u)return s.slice(a+M+1);if(M===0)return s.slice(a+M)}else o>_&&(i.charCodeAt(h+M)===u?E=M:M===0&&(E=0));let P="";for(M=h+E+1;M<=w;++M)(M===w||i.charCodeAt(M)===u)&&(P+=P.length===0?"..":"/..");return`${P}${s.slice(a+E)}`},toNamespacedPath(i){return i},dirname(i){if(l(i,"path"),i.length===0)return".";const s=i.charCodeAt(0)===u;let h=-1,w=!0;for(let o=i.length-1;o>=1;--o)if(i.charCodeAt(o)===u){if(!w){h=o;break}}else w=!1;return h===-1?s?"/":".":s&&h===1?"//":i.slice(0,h)},basename(i,s){s!==void 0&&l(s,"ext"),l(i,"path");let h=0,w=-1,o=!0,a;if(s!==void 0&&s.length>0&&s.length<=i.length){if(s===i)return"";let f=s.length-1,_=-1;for(a=i.length-1;a>=0;--a){const E=i.charCodeAt(a);if(E===u){if(!o){h=a+1;break}}else _===-1&&(o=!1,_=a+1),f>=0&&(E===s.charCodeAt(f)?--f==-1&&(w=a):(f=-1,w=_))}return h===w?w=_:w===-1&&(w=i.length),i.slice(h,w)}for(a=i.length-1;a>=0;--a)if(i.charCodeAt(a)===u){if(!o){h=a+1;break}}else w===-1&&(o=!1,w=a+1);return w===-1?"":i.slice(h,w)},extname(i){l(i,"path");let s=-1,h=0,w=-1,o=!0,a=0;for(let f=i.length-1;f>=0;--f){const _=i.charCodeAt(f);if(_===u){if(!o){h=f+1;break}continue}w===-1&&(o=!1,w=f+1),_===C?s===-1?s=f:a!==1&&(a=1):s!==-1&&(a=-1)}return s===-1||w===-1||a===0||a===1&&s===w-1&&s===h+1?"":i.slice(s,w)},format:g.bind(null,"/"),parse(i){l(i,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(i.length===0)return s;const h=i.charCodeAt(0)===u;let w;h?(s.root="/",w=1):w=0;let o=-1,a=0,f=-1,_=!0,E=i.length-1,M=0;for(;E>=w;--E){const P=i.charCodeAt(E);if(P===u){if(!_){a=E+1;break}continue}f===-1&&(_=!1,f=E+1),P===C?o===-1?o=E:M!==1&&(M=1):o!==-1&&(M=-1)}if(f!==-1){const P=a===0&&h?1:a;o===-1||M===0||M===1&&o===f-1&&o===a+1?s.base=s.name=i.slice(P,f):(s.name=i.slice(P,o),s.base=i.slice(P,f),s.ext=i.slice(o,f))}return a>0?s.dir=i.slice(0,a-1):h&&(s.dir="/"),s},sep:"/",delimiter:":",win32:null,posix:null},r.posix.win32=r.win32.win32=r.win32,r.posix.posix=r.win32.posix=r.posix,r.normalize=N.platform==="win32"?r.win32.normalize:r.posix.normalize,r.resolve=N.platform==="win32"?r.win32.resolve:r.posix.resolve,r.relative=N.platform==="win32"?r.win32.relative:r.posix.relative,r.dirname=N.platform==="win32"?r.win32.dirname:r.posix.dirname,r.basename=N.platform==="win32"?r.win32.basename:r.posix.basename,r.extname=N.platform==="win32"?r.win32.extname:r.posix.extname,r.sep=N.platform==="win32"?r.win32.sep:r.posix.sep}),Y(X[19],Z([0,1,5]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StopWatch=void 0;const e=N.globals.performance&&typeof N.globals.performance.now=="function";class A{constructor(p){this._highResolution=e&&p,this._startTime=this._now(),this._stopTime=-1}static create(p=!0){return new A(p)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?N.globals.performance.now():Date.now()}}r.StopWatch=A}),Y(X[6],Z([0,1,11,7,13,19]),function(F,r,N,e,A,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Relay=r.EventBufferer=r.DebounceEmitter=r.PauseableEmitter=r.EventDeliveryQueue=r.Emitter=r.Event=void 0;const p=!1,C=!1;var u;(function(w){w.None=()=>e.Disposable.None;function o(K){if(C){const{onListenerDidAdd:j}=K,G=b.create();let Q=0;K.onListenerDidAdd=()=>{++Q==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),G.print()),j==null||j()}}}function a(K){return(j,G=null,Q)=>{let x=!1,ee;return ee=K(te=>{if(!x)return ee?ee.dispose():x=!0,j.call(G,te)},null,Q),x&&ee.dispose(),ee}}w.once=a;function f(K,j,G){return B((Q,x=null,ee)=>K(te=>Q.call(x,j(te)),null,ee),G)}w.map=f;function _(K,j,G){return B((Q,x=null,ee)=>K(te=>{j(te),Q.call(x,te)},null,ee),G)}w.forEach=_;function E(K,j,G){return B((Q,x=null,ee)=>K(te=>j(te)&&Q.call(x,te),null,ee),G)}w.filter=E;function M(K){return K}w.signal=M;function P(...K){return(j,G=null,Q)=>(0,e.combinedDisposable)(...K.map(x=>x(ee=>j.call(G,ee),null,Q)))}w.any=P;function D(K,j,G,Q){let x=G;return f(K,ee=>(x=j(x,ee),x),Q)}w.reduce=D;function B(K,j){let G;const Q={onFirstListenerAdd(){G=K(x.fire,x)},onLastListenerRemove(){G==null||G.dispose()}};j||o(Q);const x=new m(Q);return j==null||j.add(x),x.event}function V(K,j,G=100,Q=!1,x,ee){let te,ae,me,ue=0;const ve={leakWarningThreshold:x,onFirstListenerAdd(){te=K(Le=>{ue++,ae=j(ae,Le),Q&&!me&&(Ce.fire(ae),ae=void 0),clearTimeout(me),me=setTimeout(()=>{const Se=ae;ae=void 0,me=void 0,(!Q||ue>1)&&Ce.fire(Se),ue=0},G)})},onLastListenerRemove(){te.dispose()}};ee||o(ve);const Ce=new m(ve);return ee==null||ee.add(Ce),Ce.event}w.debounce=V;function H(K,j=(Q,x)=>Q===x,G){let Q=!0,x;return E(K,ee=>{const te=Q||!j(ee,x);return Q=!1,x=ee,te},G)}w.latch=H;function W(K,j,G){return[w.filter(K,j,G),w.filter(K,Q=>!j(Q),G)]}w.split=W;function I(K,j=!1,G=[]){let Q=G.slice(),x=K(ae=>{Q?Q.push(ae):te.fire(ae)});const ee=()=>{Q==null||Q.forEach(ae=>te.fire(ae)),Q=null},te=new m({onFirstListenerAdd(){x||(x=K(ae=>te.fire(ae)))},onFirstListenerDidAdd(){Q&&(j?setTimeout(ee):ee())},onLastListenerRemove(){x&&x.dispose(),x=null}});return te.event}w.buffer=I;class U{constructor(j){this.event=j,this.disposables=new e.DisposableStore}map(j){return new U(f(this.event,j,this.disposables))}forEach(j){return new U(_(this.event,j,this.disposables))}filter(j){return new U(E(this.event,j,this.disposables))}reduce(j,G){return new U(D(this.event,j,G,this.disposables))}latch(){return new U(H(this.event,void 0,this.disposables))}debounce(j,G=100,Q=!1,x){return new U(V(this.event,j,G,Q,x,this.disposables))}on(j,G,Q){return this.event(j,G,Q)}once(j,G,Q){return a(this.event)(j,G,Q)}dispose(){this.disposables.dispose()}}function T(K){return new U(K)}w.chain=T;function O(K,j,G=Q=>Q){const Q=(...ae)=>te.fire(G(...ae)),x=()=>K.on(j,Q),ee=()=>K.removeListener(j,Q),te=new m({onFirstListenerAdd:x,onLastListenerRemove:ee});return te.event}w.fromNodeEventEmitter=O;function $(K,j,G=Q=>Q){const Q=(...ae)=>te.fire(G(...ae)),x=()=>K.addEventListener(j,Q),ee=()=>K.removeEventListener(j,Q),te=new m({onFirstListenerAdd:x,onLastListenerRemove:ee});return te.event}w.fromDOMEventEmitter=$;function n(K){return new Promise(j=>a(K)(j))}w.toPromise=n;function se(K,j){return j(void 0),K(G=>j(G))}w.runAndSubscribe=se;function ge(K,j){let G=null;function Q(ee){G==null||G.dispose(),G=new e.DisposableStore,j(ee,G)}Q(void 0);const x=K(ee=>Q(ee));return(0,e.toDisposable)(()=>{x.dispose(),G==null||G.dispose()})}w.runAndSubscribeWithStore=ge;class _e{constructor(j,G){this.obs=j,this._counter=0,this._hasChanged=!1;const Q={onFirstListenerAdd:()=>{j.addObserver(this)},onLastListenerRemove:()=>{j.removeObserver(this)}};G||o(Q),this.emitter=new m(Q),G&&G.add(this.emitter)}beginUpdate(j){this._counter++}handleChange(j,G){this._hasChanged=!0}endUpdate(j){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function ye(K,j){return new _e(K,j).emitter.event}w.fromObservable=ye})(u=r.Event||(r.Event={}));class d{constructor(o){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${o}_${d._idPool++}`}start(o){this._stopWatch=new c.StopWatch(!0),this._listenerCount=o}stop(){if(this._stopWatch){const o=this._stopWatch.elapsed();this._elapsedOverall+=o,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${o.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}d._idPool=0;let L=-1;class t{constructor(o,a=Math.random().toString(18).slice(2,5)){this.customThreshold=o,this.name=a,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(o,a){let f=L;if(typeof this.customThreshold=="number"&&(f=this.customThreshold),f<=0||a<f)return;this._stacks||(this._stacks=new Map);const _=this._stacks.get(o.value)||0;if(this._stacks.set(o.value,_+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=f*.5;let E,M=0;for(const[P,D]of this._stacks)(!E||M<D)&&(E=P,M=D);console.warn(`[${this.name}] potential listener LEAK detected, having ${a} listeners already. MOST frequent listener (${M}):`),console.warn(E)}return()=>{const E=this._stacks.get(o.value)||0;this._stacks.set(o.value,E-1)}}}class b{constructor(o){this.value=o}static create(){var o;return new b((o=new Error().stack)!==null&&o!==void 0?o:"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class l{constructor(o,a,f){this.callback=o,this.callbackThis=a,this.stack=f,this.subscription=new e.SafeDisposable}invoke(o){this.callback.call(this.callbackThis,o)}}class m{constructor(o){var a,f;this._disposed=!1,this._options=o,this._leakageMon=L>0?new t(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((a=this._options)===null||a===void 0?void 0:a._profName)?new d(this._options._profName):void 0,this._deliveryQueue=(f=this._options)===null||f===void 0?void 0:f.deliveryQueue}dispose(){var o,a,f,_;if(!this._disposed){if(this._disposed=!0,this._listeners){if(p){const E=Array.from(this._listeners);queueMicrotask(()=>{var M;for(const P of E)P.subscription.isset()&&(P.subscription.unset(),(M=P.stack)===null||M===void 0||M.print())})}this._listeners.clear()}(o=this._deliveryQueue)===null||o===void 0||o.clear(this),(f=(a=this._options)===null||a===void 0?void 0:a.onLastListenerRemove)===null||f===void 0||f.call(a),(_=this._leakageMon)===null||_===void 0||_.dispose()}}get event(){return this._event||(this._event=(o,a,f)=>{var _,E,M;this._listeners||(this._listeners=new A.LinkedList);const P=this._listeners.isEmpty();P&&((_=this._options)===null||_===void 0?void 0:_.onFirstListenerAdd)&&this._options.onFirstListenerAdd(this);let D,B;this._leakageMon&&this._listeners.size>=30&&(B=b.create(),D=this._leakageMon.check(B,this._listeners.size+1)),p&&(B=B??b.create());const V=new l(o,a,B),H=this._listeners.push(V);P&&((E=this._options)===null||E===void 0?void 0:E.onFirstListenerDidAdd)&&this._options.onFirstListenerDidAdd(this),((M=this._options)===null||M===void 0?void 0:M.onListenerDidAdd)&&this._options.onListenerDidAdd(this,o,a);const W=V.subscription.set(()=>{D==null||D(),this._disposed||(H(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return f instanceof e.DisposableStore?f.add(W):Array.isArray(f)&&f.push(W),W}),this._event}fire(o){var a,f;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new y);for(const _ of this._listeners)this._deliveryQueue.push(this,_,o);(a=this._perfMon)===null||a===void 0||a.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),(f=this._perfMon)===null||f===void 0||f.stop()}}}r.Emitter=m;class v{constructor(){this._queue=new A.LinkedList}get size(){return this._queue.size}push(o,a,f){this._queue.push(new S(o,a,f))}clear(o){const a=new A.LinkedList;for(const f of this._queue)f.emitter!==o&&a.push(f);this._queue=a}deliver(){for(;this._queue.size>0;){const o=this._queue.shift();try{o.listener.invoke(o.event)}catch(a){(0,N.onUnexpectedError)(a)}}}}r.EventDeliveryQueue=v;class y extends v{clear(o){this._queue.clear()}}class S{constructor(o,a,f){this.emitter=o,this.listener=a,this.event=f}}class g extends m{constructor(o){super(o);this._isPaused=0,this._eventQueue=new A.LinkedList,this._mergeFn=o==null?void 0:o.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const o=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(o))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(o){this._listeners&&(this._isPaused!==0?this._eventQueue.push(o):super.fire(o))}}r.PauseableEmitter=g;class i extends g{constructor(o){var a;super(o);this._delay=(a=o.delay)!==null&&a!==void 0?a:100}fire(o){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(o)}}r.DebounceEmitter=i;class s{constructor(){this.buffers=[]}wrapEvent(o){return(a,f,_)=>o(E=>{const M=this.buffers[this.buffers.length-1];M?M.push(()=>a.call(f,E)):a.call(f,E)},void 0,_)}bufferEvents(o){const a=[];this.buffers.push(a);const f=o();return this.buffers.pop(),a.forEach(_=>_()),f}}r.EventBufferer=s;class h{constructor(){this.listening=!1,this.inputEvent=u.None,this.inputEventListener=e.Disposable.None,this.emitter=new m({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(o){this.inputEvent=o,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=o(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}r.Relay=h}),Y(X[50],Z([0,1,6]),function(F,r,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CancellationTokenSource=r.CancellationToken=void 0;const e=Object.freeze(function(C,u){const d=setTimeout(C.bind(u),0);return{dispose(){clearTimeout(d)}}});var A;(function(C){function u(d){return d===C.None||d===C.Cancelled||d instanceof c?!0:!d||typeof d!="object"?!1:typeof d.isCancellationRequested=="boolean"&&typeof d.onCancellationRequested=="function"}C.isCancellationToken=u,C.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:N.Event.None}),C.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:e})})(A=r.CancellationToken||(r.CancellationToken={}));class c{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?e:(this._emitter||(this._emitter=new N.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class p{constructor(u){this._token=void 0,this._parentListener=void 0,this._parentListener=u&&u.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new c),this._token}cancel(){this._token?this._token instanceof c&&this._token.cancel():this._token=A.Cancelled}dispose(u=!1){var d;u&&this.cancel(),(d=this._parentListener)===null||d===void 0||d.dispose(),this._token?this._token instanceof c&&this._token.dispose():this._token=A.None}}r.CancellationTokenSource=p}),Y(X[10],Z([0,1,49,5]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.uriToFsPath=r.URI=void 0;const A=/^\w[\w\d+.-]*$/,c=/^\//,p=/^\/\//;function C(a,f){if(!a.scheme&&f)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${a.authority}", path: "${a.path}", query: "${a.query}", fragment: "${a.fragment}"}`);if(a.scheme&&!A.test(a.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(a.path){if(a.authority){if(!c.test(a.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(p.test(a.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function u(a,f){return!a&&!f?"file":a}function d(a,f){switch(a){case"https":case"http":case"file":f?f[0]!==t&&(f=t+f):f=t;break}return f}const L="",t="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class l{constructor(f,_,E,M,P,D=!1){typeof f=="object"?(this.scheme=f.scheme||L,this.authority=f.authority||L,this.path=f.path||L,this.query=f.query||L,this.fragment=f.fragment||L):(this.scheme=u(f,D),this.authority=_||L,this.path=d(this.scheme,E||L),this.query=M||L,this.fragment=P||L,C(this,D))}static isUri(f){return f instanceof l?!0:f?typeof f.authority=="string"&&typeof f.fragment=="string"&&typeof f.path=="string"&&typeof f.query=="string"&&typeof f.scheme=="string"&&typeof f.fsPath=="string"&&typeof f.with=="function"&&typeof f.toString=="function":!1}get fsPath(){return i(this,!1)}with(f){if(!f)return this;let{scheme:_,authority:E,path:M,query:P,fragment:D}=f;return _===void 0?_=this.scheme:_===null&&(_=L),E===void 0?E=this.authority:E===null&&(E=L),M===void 0?M=this.path:M===null&&(M=L),P===void 0?P=this.query:P===null&&(P=L),D===void 0?D=this.fragment:D===null&&(D=L),_===this.scheme&&E===this.authority&&M===this.path&&P===this.query&&D===this.fragment?this:new v(_,E,M,P,D)}static parse(f,_=!1){const E=b.exec(f);return E?new v(E[2]||L,o(E[4]||L),o(E[5]||L),o(E[7]||L),o(E[9]||L),_):new v(L,L,L,L,L)}static file(f){let _=L;if(e.isWindows&&(f=f.replace(/\\/g,t)),f[0]===t&&f[1]===t){const E=f.indexOf(t,2);E===-1?(_=f.substring(2),f=t):(_=f.substring(2,E),f=f.substring(E)||t)}return new v("file",_,f,L,L)}static from(f){const _=new v(f.scheme,f.authority,f.path,f.query,f.fragment);return C(_,!0),_}static joinPath(f,..._){if(!f.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let E;return e.isWindows&&f.scheme==="file"?E=l.file(N.win32.join(i(f,!0),..._)).path:E=N.posix.join(f.path,..._),f.with({path:E})}toString(f=!1){return s(this,f)}toJSON(){return this}static revive(f){if(f){if(f instanceof l)return f;{const _=new v(f);return _._formatted=f.external,_._fsPath=f._sep===m?f.fsPath:null,_}}else return f}}r.URI=l;const m=e.isWindows?1:void 0;class v extends l{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=i(this,!1)),this._fsPath}toString(f=!1){return f?s(this,!0):(this._formatted||(this._formatted=s(this,!1)),this._formatted)}toJSON(){const f={$mid:1};return this._fsPath&&(f.fsPath=this._fsPath,f._sep=m),this._formatted&&(f.external=this._formatted),this.path&&(f.path=this.path),this.scheme&&(f.scheme=this.scheme),this.authority&&(f.authority=this.authority),this.query&&(f.query=this.query),this.fragment&&(f.fragment=this.fragment),f}}const y={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function S(a,f){let _,E=-1;for(let M=0;M<a.length;M++){const P=a.charCodeAt(M);if(P>=97&&P<=122||P>=65&&P<=90||P>=48&&P<=57||P===45||P===46||P===95||P===126||f&&P===47)E!==-1&&(_+=encodeURIComponent(a.substring(E,M)),E=-1),_!==void 0&&(_+=a.charAt(M));else{_===void 0&&(_=a.substr(0,M));const D=y[P];D!==void 0?(E!==-1&&(_+=encodeURIComponent(a.substring(E,M)),E=-1),_+=D):E===-1&&(E=M)}}return E!==-1&&(_+=encodeURIComponent(a.substring(E))),_!==void 0?_:a}function g(a){let f;for(let _=0;_<a.length;_++){const E=a.charCodeAt(_);E===35||E===63?(f===void 0&&(f=a.substr(0,_)),f+=y[E]):f!==void 0&&(f+=a[_])}return f!==void 0?f:a}function i(a,f){let _;return a.authority&&a.path.length>1&&a.scheme==="file"?_=`//${a.authority}${a.path}`:a.path.charCodeAt(0)===47&&(a.path.charCodeAt(1)>=65&&a.path.charCodeAt(1)<=90||a.path.charCodeAt(1)>=97&&a.path.charCodeAt(1)<=122)&&a.path.charCodeAt(2)===58?f?_=a.path.substr(1):_=a.path[1].toLowerCase()+a.path.substr(2):_=a.path,e.isWindows&&(_=_.replace(/\//g,"\\")),_}r.uriToFsPath=i;function s(a,f){const _=f?g:S;let E="",{scheme:M,authority:P,path:D,query:B,fragment:V}=a;if(M&&(E+=M,E+=":"),(P||M==="file")&&(E+=t,E+=t),P){let H=P.indexOf("@");if(H!==-1){const W=P.substr(0,H);P=P.substr(H+1),H=W.indexOf(":"),H===-1?E+=_(W,!1):(E+=_(W.substr(0,H),!1),E+=":",E+=_(W.substr(H+1),!1)),E+="@"}P=P.toLowerCase(),H=P.indexOf(":"),H===-1?E+=_(P,!1):(E+=_(P.substr(0,H),!1),E+=P.substr(H))}if(D){if(D.length>=3&&D.charCodeAt(0)===47&&D.charCodeAt(2)===58){const H=D.charCodeAt(1);H>=65&&H<=90&&(D=`/${String.fromCharCode(H+32)}:${D.substr(3)}`)}else if(D.length>=2&&D.charCodeAt(1)===58){const H=D.charCodeAt(0);H>=65&&H<=90&&(D=`${String.fromCharCode(H+32)}:${D.substr(2)}`)}E+=_(D,!0)}return B&&(E+="?",E+=_(B,!1)),V&&(E+="#",E+=f?V:S(V,!1)),E}function h(a){try{return decodeURIComponent(a)}catch{return a.length>3?a.substr(0,3)+h(a.substr(3)):a}}const w=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function o(a){return a.match(w)?a.replace(w,f=>h(f)):a}}),Y(X[55],Z([0,1,11,6,7,8,5,4]),function(F,r,N,e,A,c,p,C){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.create=r.SimpleWorkerServer=r.SimpleWorkerClient=r.logOnceWebWorkerWarning=void 0;const u="$initialize";let d=!1;function L(o){!p.isWeb||(d||(d=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(o.message))}r.logOnceWebWorkerWarning=L;class t{constructor(a,f,_,E){this.vsWorker=a,this.req=f,this.method=_,this.args=E,this.type=0}}class b{constructor(a,f,_,E){this.vsWorker=a,this.seq=f,this.res=_,this.err=E,this.type=1}}class l{constructor(a,f,_,E){this.vsWorker=a,this.req=f,this.eventName=_,this.arg=E,this.type=2}}class m{constructor(a,f,_){this.vsWorker=a,this.req=f,this.event=_,this.type=3}}class v{constructor(a,f){this.vsWorker=a,this.req=f,this.type=4}}class y{constructor(a){this._workerId=-1,this._handler=a,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(a){this._workerId=a}sendMessage(a,f){const _=String(++this._lastSentReq);return new Promise((E,M)=>{this._pendingReplies[_]={resolve:E,reject:M},this._send(new t(this._workerId,_,a,f))})}listen(a,f){let _=null;const E=new e.Emitter({onFirstListenerAdd:()=>{_=String(++this._lastSentReq),this._pendingEmitters.set(_,E),this._send(new l(this._workerId,_,a,f))},onLastListenerRemove:()=>{this._pendingEmitters.delete(_),this._send(new v(this._workerId,_)),_=null}});return E.event}handleMessage(a){!a||!a.vsWorker||this._workerId!==-1&&a.vsWorker!==this._workerId||this._handleMessage(a)}_handleMessage(a){switch(a.type){case 1:return this._handleReplyMessage(a);case 0:return this._handleRequestMessage(a);case 2:return this._handleSubscribeEventMessage(a);case 3:return this._handleEventMessage(a);case 4:return this._handleUnsubscribeEventMessage(a)}}_handleReplyMessage(a){if(!this._pendingReplies[a.seq]){console.warn("Got reply to unknown seq");return}const f=this._pendingReplies[a.seq];if(delete this._pendingReplies[a.seq],a.err){let _=a.err;a.err.$isError&&(_=new Error,_.name=a.err.name,_.message=a.err.message,_.stack=a.err.stack),f.reject(_);return}f.resolve(a.res)}_handleRequestMessage(a){const f=a.req;this._handler.handleMessage(a.method,a.args).then(E=>{this._send(new b(this._workerId,f,E,void 0))},E=>{E.detail instanceof Error&&(E.detail=(0,N.transformErrorForSerialization)(E.detail)),this._send(new b(this._workerId,f,void 0,(0,N.transformErrorForSerialization)(E)))})}_handleSubscribeEventMessage(a){const f=a.req,_=this._handler.handleEvent(a.eventName,a.arg)(E=>{this._send(new m(this._workerId,f,E))});this._pendingEvents.set(f,_)}_handleEventMessage(a){if(!this._pendingEmitters.has(a.req)){console.warn("Got event for unknown req");return}this._pendingEmitters.get(a.req).fire(a.event)}_handleUnsubscribeEventMessage(a){if(!this._pendingEvents.has(a.req)){console.warn("Got unsubscribe for unknown req");return}this._pendingEvents.get(a.req).dispose(),this._pendingEvents.delete(a.req)}_send(a){const f=[];if(a.type===0)for(let _=0;_<a.args.length;_++)a.args[_]instanceof ArrayBuffer&&f.push(a.args[_]);else a.type===1&&a.res instanceof ArrayBuffer&&f.push(a.res);this._handler.sendMessage(a,f)}}class S extends A.Disposable{constructor(a,f,_){super();let E=null;this._worker=this._register(a.create("vs/base/common/worker/simpleWorker",V=>{this._protocol.handleMessage(V)},V=>{E==null||E(V)})),this._protocol=new y({sendMessage:(V,H)=>{this._worker.postMessage(V,H)},handleMessage:(V,H)=>{if(typeof _[V]!="function")return Promise.reject(new Error("Missing method "+V+" on main thread host."));try{return Promise.resolve(_[V].apply(_,H))}catch(W){return Promise.reject(W)}},handleEvent:(V,H)=>{if(i(V)){const W=_[V].call(_,H);if(typeof W!="function")throw new Error(`Missing dynamic event ${V} on main thread host.`);return W}if(g(V)){const W=_[V];if(typeof W!="function")throw new Error(`Missing event ${V} on main thread host.`);return W}throw new Error(`Malformed event name ${V}`)}}),this._protocol.setWorkerId(this._worker.getId());let M=null;typeof p.globals.require!="undefined"&&typeof p.globals.require.getConfig=="function"?M=p.globals.require.getConfig():typeof p.globals.requirejs!="undefined"&&(M=p.globals.requirejs.s.contexts._.config);const P=(0,c.getAllMethodNames)(_);this._onModuleLoaded=this._protocol.sendMessage(u,[this._worker.getId(),JSON.parse(JSON.stringify(M)),f,P]);const D=(V,H)=>this._request(V,H),B=(V,H)=>this._protocol.listen(V,H);this._lazyProxy=new Promise((V,H)=>{E=H,this._onModuleLoaded.then(W=>{V(s(W,D,B))},W=>{H(W),this._onError("Worker failed to load "+f,W)})})}getProxyObject(){return this._lazyProxy}_request(a,f){return new Promise((_,E)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(a,f).then(_,E)},E)})}_onError(a,f){console.error(a),console.info(f)}}r.SimpleWorkerClient=S;function g(o){return o[0]==="o"&&o[1]==="n"&&C.isUpperAsciiLetter(o.charCodeAt(2))}function i(o){return/^onDynamic/.test(o)&&C.isUpperAsciiLetter(o.charCodeAt(9))}function s(o,a,f){const _=P=>function(){const D=Array.prototype.slice.call(arguments,0);return a(P,D)},E=P=>function(D){return f(P,D)},M={};for(const P of o){if(i(P)){M[P]=E(P);continue}if(g(P)){M[P]=f(P,void 0);continue}M[P]=_(P)}return M}class h{constructor(a,f){this._requestHandlerFactory=f,this._requestHandler=null,this._protocol=new y({sendMessage:(_,E)=>{a(_,E)},handleMessage:(_,E)=>this._handleMessage(_,E),handleEvent:(_,E)=>this._handleEvent(_,E)})}onmessage(a){this._protocol.handleMessage(a)}_handleMessage(a,f){if(a===u)return this.initialize(f[0],f[1],f[2],f[3]);if(!this._requestHandler||typeof this._requestHandler[a]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+a));try{return Promise.resolve(this._requestHandler[a].apply(this._requestHandler,f))}catch(_){return Promise.reject(_)}}_handleEvent(a,f){if(!this._requestHandler)throw new Error("Missing requestHandler");if(i(a)){const _=this._requestHandler[a].call(this._requestHandler,f);if(typeof _!="function")throw new Error(`Missing dynamic event ${a} on request handler.`);return _}if(g(a)){const _=this._requestHandler[a];if(typeof _!="function")throw new Error(`Missing event ${a} on request handler.`);return _}throw new Error(`Malformed event name ${a}`)}initialize(a,f,_,E){this._protocol.setWorkerId(a);const D=s(E,(B,V)=>this._protocol.sendMessage(B,V),(B,V)=>this._protocol.listen(B,V));return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(D),Promise.resolve((0,c.getAllMethodNames)(this._requestHandler))):(f&&(typeof f.baseUrl!="undefined"&&delete f.baseUrl,typeof f.paths!="undefined"&&typeof f.paths.vs!="undefined"&&delete f.paths.vs,typeof f.trustedTypesPolicy!==void 0&&delete f.trustedTypesPolicy,f.catchError=!0,p.globals.require.config(f)),new Promise((B,V)=>{(p.globals.require||F)([_],W=>{if(this._requestHandler=W.create(D),!this._requestHandler){V(new Error("No RequestHandler!"));return}B((0,c.getAllMethodNames)(this._requestHandler))},V)}))}}r.SimpleWorkerServer=h;function w(o){return new h(o,null)}r.create=w}),Y(X[51],Z([0,1,6,7]),function(F,r,N,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=void 0;class A{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new N.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(C){this._onDidChange.fire({changedLanguages:C,changedColorMap:!1})}register(C,u){return this._map.set(C,u),this.fire([C]),(0,e.toDisposable)(()=>{this._map.get(C)===u&&(this._map.delete(C),this.fire([C]))})}registerFactory(C,u){var d;(d=this._factories.get(C))===null||d===void 0||d.dispose();const L=new c(this,C,u);return this._factories.set(C,L),(0,e.toDisposable)(()=>{const t=this._factories.get(C);!t||t!==L||(this._factories.delete(C),t.dispose())})}getOrCreate(C){return le(this,void 0,void 0,function*(){const u=this.get(C);if(u)return u;const d=this._factories.get(C);return!d||d.isResolved?null:(yield d.resolve(),this.get(C))})}get(C){return this._map.get(C)||null}isResolved(C){if(this.get(C))return!0;const d=this._factories.get(C);return!!(!d||d.isResolved)}setColorMap(C){this._colorMap=C,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}r.TokenizationRegistry=A;class c extends e.Disposable{constructor(C,u,d){super();this._registry=C,this._languageId=u,this._factory=d,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}resolve(){return le(this,void 0,void 0,function*(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise})}_create(){return le(this,void 0,void 0,function*(){const C=yield Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,C&&!this._isDisposed&&this._register(this._registry.register(this._languageId,C))})}}}),Y(X[52],Z([0,1,24,10,2,51]),function(F,r,N,e,A,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=r.InlayHintKind=r.Command=r.FoldingRangeKind=r.SymbolKinds=r.isLocationLink=r.DocumentHighlightKind=r.SignatureHelpTriggerKind=r.InlineCompletionTriggerKind=r.CompletionItemKinds=r.EncodedTokenizationResult=r.TokenizationResult=r.Token=void 0;class p{constructor(i,s,h){this._tokenBrand=void 0,this.offset=i,this.type=s,this.language=h}toString(){return"("+this.offset+", "+this.type+")"}}r.Token=p;class C{constructor(i,s){this._tokenizationResultBrand=void 0,this.tokens=i,this.endState=s}}r.TokenizationResult=C;class u{constructor(i,s){this._encodedTokenizationResultBrand=void 0,this.tokens=i,this.endState=s}}r.EncodedTokenizationResult=u;var d;(function(g){const i=new Map;i.set(0,N.Codicon.symbolMethod),i.set(1,N.Codicon.symbolFunction),i.set(2,N.Codicon.symbolConstructor),i.set(3,N.Codicon.symbolField),i.set(4,N.Codicon.symbolVariable),i.set(5,N.Codicon.symbolClass),i.set(6,N.Codicon.symbolStruct),i.set(7,N.Codicon.symbolInterface),i.set(8,N.Codicon.symbolModule),i.set(9,N.Codicon.symbolProperty),i.set(10,N.Codicon.symbolEvent),i.set(11,N.Codicon.symbolOperator),i.set(12,N.Codicon.symbolUnit),i.set(13,N.Codicon.symbolValue),i.set(15,N.Codicon.symbolEnum),i.set(14,N.Codicon.symbolConstant),i.set(15,N.Codicon.symbolEnum),i.set(16,N.Codicon.symbolEnumMember),i.set(17,N.Codicon.symbolKeyword),i.set(27,N.Codicon.symbolSnippet),i.set(18,N.Codicon.symbolText),i.set(19,N.Codicon.symbolColor),i.set(20,N.Codicon.symbolFile),i.set(21,N.Codicon.symbolReference),i.set(22,N.Codicon.symbolCustomColor),i.set(23,N.Codicon.symbolFolder),i.set(24,N.Codicon.symbolTypeParameter),i.set(25,N.Codicon.account),i.set(26,N.Codicon.issues);function s(o){let a=i.get(o);return a||(console.info("No codicon found for CompletionItemKind "+o),a=N.Codicon.symbolProperty),a}g.toIcon=s;const h=new Map;h.set("method",0),h.set("function",1),h.set("constructor",2),h.set("field",3),h.set("variable",4),h.set("class",5),h.set("struct",6),h.set("interface",7),h.set("module",8),h.set("property",9),h.set("event",10),h.set("operator",11),h.set("unit",12),h.set("value",13),h.set("constant",14),h.set("enum",15),h.set("enum-member",16),h.set("enumMember",16),h.set("keyword",17),h.set("snippet",27),h.set("text",18),h.set("color",19),h.set("file",20),h.set("reference",21),h.set("customcolor",22),h.set("folder",23),h.set("type-parameter",24),h.set("typeParameter",24),h.set("account",25),h.set("issue",26);function w(o,a){let f=h.get(o);return typeof f=="undefined"&&!a&&(f=9),f}g.fromString=w})(d=r.CompletionItemKinds||(r.CompletionItemKinds={}));var L;(function(g){g[g.Automatic=0]="Automatic",g[g.Explicit=1]="Explicit"})(L=r.InlineCompletionTriggerKind||(r.InlineCompletionTriggerKind={}));var t;(function(g){g[g.Invoke=1]="Invoke",g[g.TriggerCharacter=2]="TriggerCharacter",g[g.ContentChange=3]="ContentChange"})(t=r.SignatureHelpTriggerKind||(r.SignatureHelpTriggerKind={}));var b;(function(g){g[g.Text=0]="Text",g[g.Read=1]="Read",g[g.Write=2]="Write"})(b=r.DocumentHighlightKind||(r.DocumentHighlightKind={}));function l(g){return g&&e.URI.isUri(g.uri)&&A.Range.isIRange(g.range)&&(A.Range.isIRange(g.originSelectionRange)||A.Range.isIRange(g.targetSelectionRange))}r.isLocationLink=l;var m;(function(g){const i=new Map;i.set(0,N.Codicon.symbolFile),i.set(1,N.Codicon.symbolModule),i.set(2,N.Codicon.symbolNamespace),i.set(3,N.Codicon.symbolPackage),i.set(4,N.Codicon.symbolClass),i.set(5,N.Codicon.symbolMethod),i.set(6,N.Codicon.symbolProperty),i.set(7,N.Codicon.symbolField),i.set(8,N.Codicon.symbolConstructor),i.set(9,N.Codicon.symbolEnum),i.set(10,N.Codicon.symbolInterface),i.set(11,N.Codicon.symbolFunction),i.set(12,N.Codicon.symbolVariable),i.set(13,N.Codicon.symbolConstant),i.set(14,N.Codicon.symbolString),i.set(15,N.Codicon.symbolNumber),i.set(16,N.Codicon.symbolBoolean),i.set(17,N.Codicon.symbolArray),i.set(18,N.Codicon.symbolObject),i.set(19,N.Codicon.symbolKey),i.set(20,N.Codicon.symbolNull),i.set(21,N.Codicon.symbolEnumMember),i.set(22,N.Codicon.symbolStruct),i.set(23,N.Codicon.symbolEvent),i.set(24,N.Codicon.symbolOperator),i.set(25,N.Codicon.symbolTypeParameter);function s(h){let w=i.get(h);return w||(console.info("No codicon found for SymbolKind "+h),w=N.Codicon.symbolProperty),w}g.toIcon=s})(m=r.SymbolKinds||(r.SymbolKinds={}));class v{constructor(i){this.value=i}}r.FoldingRangeKind=v,v.Comment=new v("comment"),v.Imports=new v("imports"),v.Region=new v("region");var y;(function(g){function i(s){return!s||typeof s!="object"?!1:typeof s.id=="string"&&typeof s.title=="string"}g.is=i})(y=r.Command||(r.Command={}));var S;(function(g){g[g.Type=1]="Type",g[g.Parameter=2]="Parameter"})(S=r.InlayHintKind||(r.InlayHintKind={})),r.TokenizationRegistry=new c.TokenizationRegistry}),Y(X[53],Z([0,1,50,6,27,10,3,2,31,52,46]),function(F,r,N,e,A,c,p,C,u,d,L){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createMonacoBaseAPI=r.KeyMod=void 0;class t{static chord(m,v){return(0,A.KeyChord)(m,v)}}r.KeyMod=t,t.CtrlCmd=2048,t.Shift=1024,t.Alt=512,t.WinCtrl=256;function b(){return{editor:void 0,languages:void 0,CancellationTokenSource:N.CancellationTokenSource,Emitter:e.Emitter,KeyCode:L.KeyCode,KeyMod:t,Position:p.Position,Range:C.Range,Selection:u.Selection,SelectionDirection:L.SelectionDirection,MarkerSeverity:L.MarkerSeverity,MarkerTag:L.MarkerTag,Uri:c.URI,Token:d.Token}}r.createMonacoBaseAPI=b}),Y(X[56],Z([0,1,14,5,10,3,2,43,17,39,40,53,19,45,38,8]),function(F,r,N,e,A,c,p,C,u,d,L,t,b,l,m,v){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.create=r.EditorSimpleWorker=r.MirrorModel=void 0;class y extends C.MirrorTextModel{get uri(){return this._uri}get eol(){return this._eol}getValue(){return this.getText()}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(s){return this._lines[s-1]}getWordAtPosition(s,h){const w=(0,u.getWordAtText)(s.column,(0,u.ensureValidWordDefinition)(h),this._lines[s.lineNumber-1],0);return w?new p.Range(s.lineNumber,w.startColumn,s.lineNumber,w.endColumn):null}words(s){const h=this._lines,w=this._wordenize.bind(this);let o=0,a="",f=0,_=[];return{*[Symbol.iterator](){for(;;)if(f<_.length){const E=a.substring(_[f].start,_[f].end);f+=1,yield E}else if(o<h.length)a=h[o],_=w(a,s),f=0,o+=1;else break}}}getLineWords(s,h){const w=this._lines[s-1],o=this._wordenize(w,h),a=[];for(const f of o)a.push({word:w.substring(f.start,f.end),startColumn:f.start+1,endColumn:f.end+1});return a}_wordenize(s,h){const w=[];let o;for(h.lastIndex=0;(o=h.exec(s))&&o[0].length!==0;)w.push({start:o.index,end:o.index+o[0].length});return w}getValueInRange(s){if(s=this._validateRange(s),s.startLineNumber===s.endLineNumber)return this._lines[s.startLineNumber-1].substring(s.startColumn-1,s.endColumn-1);const h=this._eol,w=s.startLineNumber-1,o=s.endLineNumber-1,a=[];a.push(this._lines[w].substring(s.startColumn-1));for(let f=w+1;f<o;f++)a.push(this._lines[f]);return a.push(this._lines[o].substring(0,s.endColumn-1)),a.join(h)}offsetAt(s){return s=this._validatePosition(s),this._ensureLineStarts(),this._lineStarts.getPrefixSum(s.lineNumber-2)+(s.column-1)}positionAt(s){s=Math.floor(s),s=Math.max(0,s),this._ensureLineStarts();const h=this._lineStarts.getIndexOf(s),w=this._lines[h.index].length;return{lineNumber:1+h.index,column:1+Math.min(h.remainder,w)}}_validateRange(s){const h=this._validatePosition({lineNumber:s.startLineNumber,column:s.startColumn}),w=this._validatePosition({lineNumber:s.endLineNumber,column:s.endColumn});return h.lineNumber!==s.startLineNumber||h.column!==s.startColumn||w.lineNumber!==s.endLineNumber||w.column!==s.endColumn?{startLineNumber:h.lineNumber,startColumn:h.column,endLineNumber:w.lineNumber,endColumn:w.column}:s}_validatePosition(s){if(!c.Position.isIPosition(s))throw new Error("bad position");let{lineNumber:h,column:w}=s,o=!1;if(h<1)h=1,w=1,o=!0;else if(h>this._lines.length)h=this._lines.length,w=this._lines[h-1].length+1,o=!0;else{const a=this._lines[h-1].length+1;w<1?(w=1,o=!0):w>a&&(w=a,o=!0)}return o?{lineNumber:h,column:w}:s}}r.MirrorModel=y;class S{constructor(s,h){this._host=s,this._models=Object.create(null),this._foreignModuleFactory=h,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(s){return this._models[s]}_getModels(){const s=[];return Object.keys(this._models).forEach(h=>s.push(this._models[h])),s}acceptNewModel(s){this._models[s.url]=new y(A.URI.parse(s.url),s.lines,s.EOL,s.versionId)}acceptModelChanged(s,h){if(!this._models[s])return;this._models[s].onEvents(h)}acceptRemovedModel(s){!this._models[s]||delete this._models[s]}computeUnicodeHighlights(s,h,w){return le(this,void 0,void 0,function*(){const o=this._getModel(s);return o?l.UnicodeTextModelHighlighter.computeUnicodeHighlights(o,h,w):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}})}computeDiff(s,h,w){return le(this,void 0,void 0,function*(){const o=this._getModel(s),a=this._getModel(h);return!o||!a?null:S.computeDiff(o,a,w)})}static computeDiff(s,h,w){const o=w.diffAlgorithm==="experimental"?m.linesDiffComputers.experimental:m.linesDiffComputers.smart,a=s.getLinesContent(),f=h.getLinesContent(),_=o.computeDiff(a,f,w);return{identical:_.changes.length>0?!1:this._modelsAreIdentical(s,h),quitEarly:_.quitEarly,changes:_.changes.map(M=>{var P;return[M.originalRange.startLineNumber,M.originalRange.endLineNumberExclusive,M.modifiedRange.startLineNumber,M.modifiedRange.endLineNumberExclusive,(P=M.innerChanges)===null||P===void 0?void 0:P.map(D=>[D.originalRange.startLineNumber,D.originalRange.startColumn,D.originalRange.endLineNumber,D.originalRange.endColumn,D.modifiedRange.startLineNumber,D.modifiedRange.startColumn,D.modifiedRange.endLineNumber,D.modifiedRange.endColumn])]})}}static _modelsAreIdentical(s,h){const w=s.getLineCount(),o=h.getLineCount();if(w!==o)return!1;for(let a=1;a<=w;a++){const f=s.getLineContent(a),_=h.getLineContent(a);if(f!==_)return!1}return!0}computeMoreMinimalEdits(s,h){return le(this,void 0,void 0,function*(){const w=this._getModel(s);if(!w)return h;const o=[];let a;h=h.slice(0).sort((f,_)=>{if(f.range&&_.range)return p.Range.compareRangesUsingStarts(f.range,_.range);const E=f.range?0:1,M=_.range?0:1;return E-M});for(let{range:f,text:_,eol:E}of h){if(typeof E=="number"&&(a=E),p.Range.isEmpty(f)&&!_)continue;const M=w.getValueInRange(f);if(_=_.replace(/\r\n|\n|\r/g,w.eol),M===_)continue;if(Math.max(_.length,M.length)>S._diffLimit){o.push({range:f,text:_});continue}const P=(0,N.stringDiff)(M,_,!1),D=w.offsetAt(p.Range.lift(f).getStartPosition());for(const B of P){const V=w.positionAt(D+B.originalStart),H=w.positionAt(D+B.originalStart+B.originalLength),W={text:_.substr(B.modifiedStart,B.modifiedLength),range:{startLineNumber:V.lineNumber,startColumn:V.column,endLineNumber:H.lineNumber,endColumn:H.column}};w.getValueInRange(W.range)!==W.text&&o.push(W)}}return typeof a=="number"&&o.push({eol:a,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),o})}computeLinks(s){return le(this,void 0,void 0,function*(){const h=this._getModel(s);return h?(0,d.computeLinks)(h):null})}textualSuggest(s,h,w,o){return le(this,void 0,void 0,function*(){const a=new b.StopWatch(!0),f=new RegExp(w,o),_=new Set;e:for(const E of s){const M=this._getModel(E);if(!!M){for(const P of M.words(f))if(!(P===h||!isNaN(Number(P)))&&(_.add(P),_.size>S._suggestionsLimit))break e}}return{words:Array.from(_),duration:a.elapsed()}})}computeWordRanges(s,h,w,o){return le(this,void 0,void 0,function*(){const a=this._getModel(s);if(!a)return Object.create(null);const f=new RegExp(w,o),_=Object.create(null);for(let E=h.startLineNumber;E<h.endLineNumber;E++){const M=a.getLineWords(E,f);for(const P of M){if(!isNaN(Number(P.word)))continue;let D=_[P.word];D||(D=[],_[P.word]=D),D.push({startLineNumber:E,startColumn:P.startColumn,endLineNumber:E,endColumn:P.endColumn})}}return _})}navigateValueSet(s,h,w,o,a){return le(this,void 0,void 0,function*(){const f=this._getModel(s);if(!f)return null;const _=new RegExp(o,a);h.startColumn===h.endColumn&&(h={startLineNumber:h.startLineNumber,startColumn:h.startColumn,endLineNumber:h.endLineNumber,endColumn:h.endColumn+1});const E=f.getValueInRange(h),M=f.getWordAtPosition({lineNumber:h.startLineNumber,column:h.startColumn},_);if(!M)return null;const P=f.getValueInRange(M);return L.BasicInplaceReplace.INSTANCE.navigateValueSet(h,E,M,P,w)})}loadForeignModule(s,h,w){const o=(_,E)=>this._host.fhr(_,E),f={host:(0,v.createProxyObject)(w,o),getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(f,h),Promise.resolve((0,v.getAllMethodNames)(this._foreignModule))):new Promise((_,E)=>{F([s],M=>{this._foreignModule=M.create(f,h),_((0,v.getAllMethodNames)(this._foreignModule))},E)})}fmr(s,h){if(!this._foreignModule||typeof this._foreignModule[s]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+s));try{return Promise.resolve(this._foreignModule[s].apply(this._foreignModule,h))}catch(w){return Promise.reject(w)}}}r.EditorSimpleWorker=S,S._diffLimit=1e5,S._suggestionsLimit=1e4;function g(i){return new S(i,null)}r.create=g,typeof importScripts=="function"&&(e.globals.monaco=(0,t.createMonacoBaseAPI)())})}).call(this);

//# sourceMappingURL=../../../../min-maps/vs/base/worker/workerMain.js.map